bool Body_OP_OptionalPhase2 (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
// Il y a un Body_CP_Phase1 qui autorise de fermer la phase 1 si 
// OpeningCondition_Prunings est vrai. D�s lors, l'ouverture de la phase 2
// ne depend que de la presence d'une parcelle encore a labourer.
//---------------------------------------------
{
  Entity* pPhase = pM->DescribedEntity();

  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pPhase);
  
  Entity* pPlot_j = NULL;
  int nbPlots = pEA->GetNumberOfElements();
  for(int j=0;j<nbPlots;j++) {
	pPlot_j = pEA->GetElement(j);
	float percentTilled = pPlot_j->GetFloatVarValue(PERCENT_AUTUMN_TILLED);
	if(App_FloatEQ(percentTilled, (float)0.)) {
	  result = TRUE;
	  break;
	}
  }
//printf("\n'%s' Body_OP_OptionalPhase2 returns %d", pPhase->InstanceName(), result);if((result) && pPlot_j) printf(" because '%s' not tilled", pPlot_j->InstanceName());
  return result;
}
