bool OpeningCondition_AutumnTillages (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int option = App_GetIntDecisionOption(pEA, OPT_AUTUMN_TILLAGE_O_P);

  int now = pCurrentSim->Clock();
  tm* pTm = ClockValueToTm(now);
  int year = pTm->tm_year + 1900;
  delete pTm;
  switch (option)  {
	
  case END_HARV : {
	/*
	Date* dateOuverture = GetDateParameterValue("Roujan", "finVendanges");
	int mday = dateOuverture->mday;
	int month = dateOuverture->month;
	int clockOuverture = DateToClockValue(mday, month, year);
	*/
	int clockOuverture = DateToClockValue(01, 10, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  case MID_OCT : {
	int clockOuverture = DateToClockValue(20, 10, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  case NONE : {
	int nbPlots = pEA->GetNumberOfElements();
	for(int k=0;k<nbPlots;k++) {
	  Entity* pPlot_k = pEA->GetElement(k);
	  pPlot_k->SetFloatVarValue(PERCENT_AUTUMN_TILLED, (float)-1.);
	}
	break;
  }
  default : {
	printf("\n'%s'::OpeningCondition_AutumnTillages_OnDate option inconnue : %d", pChantier->InstanceName(), option);
  }
	
  }
//printf("\n'%s'::OpeningCondition_AutumnTillages returns %d", pChantier->InstanceName(), result);
  return result;
}
