BackSprayingOperation::BackSprayingOperation() {
// =========================================================
// Une classe de Entity : 'BackSprayingOperation'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(BACK_SPRAYING_OPERATION);
  //SetParentClassId(MANUAL_OPERATION); // pour memoire (*)
  AddInstanceToClass();
  AssignBody(STATE_TRANSITION_PROCEDURE, backSprayingOperation_stateTransitionProcedure_Body);
  AssignBody(FEASIBILITY_CONDITION, backSprayingOperation_feasibilityCondition_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  int nominalSpeed = GetIntParameterValue("backSprayingOperation", "speed");
  SetIntVarValue(NOMINAL_INT_QUANTITY_SPEED, nominalSpeed);

  OperationResourceSpecification* pMBSpec = new OperationResourceSpecification();
  pMBSpec->SetIntVarValue(ENTITY_SPEC_REFERENCE_CLASS_ID, 
			  BACK_SPRAYER);
  pMBSpec->SetIntConstValue(SELECTOR_FCT_ID, ANYONE);
  pMBSpec->SetIntConstValue(SELECTOR_FCT_ARG, 1);
  
  AddEntityValueElement(REQUIRED_RESOURCES, pMBSpec);

};
