SerialDistributedActivitySet::SerialDistributedActivitySet() {
// =========================================================
// Une classe de Entity : 'SerialDistributedActivitySet'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SERIAL_DISTRIBUTED_ACTIVITY_SET);
  //SetParentClassId(ACTIVITY_MEETING_ANY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new TerminatedPlotsAttribute();    AddConstantDescriptor(pD);
  pD = new SkippedPlotsAttribute();       AddConstantDescriptor(pD);
  pD = new NeedForNextFavourableDays();   AddConstantDescriptor(pD);
  pD = new ActualRealizationBegDate();    AddConstantDescriptor(pD);
  pD = new ActualRealizationEndDate();    AddConstantDescriptor(pD);
  pD = new ActivityNominalDate();         AddConstantDescriptor(pD);
  pD = new AllocationPriorityDegree();    AddConstantDescriptor(pD);
  pD = new OperatedVineyardSubArea();     AddVariableDescriptor(pD);
   DistributedActivitySetEndDateMonitor->AttachToDescriptor(this, END_DATE);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};
