bool OpeningCondition_Debranchings (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : TRUE ssi on a atteint le 20 avril
//---------------------------------------------
{
  bool result = FALSE;
  // 
  // renvoyer TRUE ssi on a atteint le 20/04
  // 
  int now = pCurrentSim->Clock();
  tm* pTm = ClockValueToTm(now);
  int month = pTm->tm_mon;
  int year = pTm->tm_year + 1900;
  if(month > 7)    //sept, etc.
	year = year + 1;
  delete pTm;

  int clockOuverture = DateToClockValue(20, 4, year);
  if(now >= clockOuverture)
	result = TRUE;

//printf("\n'%s'::OpeningCondition_Debranchings returns %d", pChantier->InstanceName(), result);
  return result;
}
