bool backSprayingOperation_feasibilityCondition_Body(EntityMethod* pM) {
//----------------------------------------------------------------------
// Methode invoquee alors que l'activite est ouverte.
// Doit renvoyer vrai si l'operation est maintenant faisable.
//----------------------------------------------------------------------
  Operation* pOt = (Operation*)(pM->DescribedEntity());
//printf("\nentree '%s'::FC", pOt->InstanceName());
  bool result = myFloatAreaOperation_feasibilityCondition_Body(pM);
  if(result == FALSE) {
	//printf("\n'%s'::FC returns %d / non trafficalility", pOt->InstanceName(), result);
	// cette FC : + JPR 130220
	// quand la FC est non  satissfaite, et que le chantier concerné est
	// un trt EXTRA, on déclare que cette parcelle n'est plus à traiter
	//
	Entity* pInst = pOt->GetEntityVarValue(INSTRUCTION_CONTAINER);
	Entity* pChantier = NULL;
	int typeChantier = -9;
	pChantier = 
	  (Entity*)pInst->GetFirstContainer(CONCURRENT_DISTRIBUTED_ACTIVITY_SET,
										FALSE);
	if(pChantier == NULL) {
	  pChantier = 
		(Entity*)pInst->GetFirstContainer(SERIAL_DISTRIBUTED_ACTIVITY_SET,
										  FALSE);
	}
	typeChantier = App_GetDistributedActivitySetType(pChantier);
	if(typeChantier == EXTRA_PHYTO) {
	  Entity* pOOspec = pInst->GetEntityVarValue(OPERATED_OBJECT_SPEC_ATTRIBUTE);
	  pEntityTab* ooList = pOOspec->GetEntityTabVarValue(PRE_EXPANDED_LIST);
	  Entity* pPlot = (Entity*)ooList->get_element(0);
	  pPlot->SetFloatVarValue(PERCENT_EXTRA_PHYTO_TREATED, (float)-1.);
	  pOt->SetFloatVarValue(ACHIEVEMENT_DEGREE, (float)1., FALSE);
	  //  + JPR 130223 : si un trt 'Extra' a echoue par non-faisabilite,
	  // on conserve la possibilite d'en faire 2 (comme stipule dans le
	  // constructeur de ExtraPhytoTreatmentsIteration
	  Entity* pIterate = (Entity*)pChantier->GetFirstContainer(ACTIVITY_ITERATION, FALSE);
	  pIterate->SetIntVarValue(MAX_NUMBER_OF_REPLICATIONS, 3, FALSE);
	}
  }
  return result;
};
