bool Common_PhytoTreatment_Primary_OpeningPredicate (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  Vineyard* pEA = App_GetVineyard((Activity*)pChantier);
  int now = pCurrentSim->Clock(); 
//printf("\nt = %d entree Common_PhytoTreatment_Primary_OP chantier : '%s'", now, pChantier->InstanceName());
  Entity* pConduite = pEA->GetEntityConstValue(CONTROL_PLAN_ATTRIBUTE);

  bool result = FALSE;

  //
  // Body_OP_PhytoTreatments n'invoque pas la presente fonction
  // dans le cas REGULAR_PHYTO
  //
  int typeChantier = App_GetDistributedActivitySetType(pChantier);

  switch(typeChantier) {
  case EXTRA_PHYTO : {
    int pressionMin = App_GetIntDecisionOption(pEA, 
											   OPT_EXTRA_PHYTO_TREATMENTS_O_P);
	
	int powderyMildewLevel = App_GetIntPestInfo(pEA, POWDERY_MILDEW_LEVEL);
	int powderyMildewFlagShoot = App_GetIntPestInfo(pEA, POWDERY_MILDEW_FLAG_SHOOT);
	
	if((powderyMildewFlagShoot == OUI)
	   ||
	   (powderyMildewLevel >= pressionMin))
	  result = TRUE;
	break;
  }
  case ANTI_MILDIOU : {   // optional
	Entity* pComposedProgram = 
	  (Entity*)pChantier->GetFirstContainer(PHYTO_TREATMENT_COMPOSED_PROGRAM,
											TRUE);
	//
	// il faut que l'iteration 'regular' a d�j� eu au moins une realisation
	//
	Entity* pRegularIteration = (Entity*)pComposedProgram->GetElement(0);
	int nbRepl = pRegularIteration->GetIntVarValue(REPLICATION_COUNTER);
	
	if(nbRepl > 0) {
	  Boolean flag_mildew = pConduite->GetIntConstValue(FLAG_MILDEW);
	  int antiMildiouJustDone = 
		pComposedProgram->GetIntConstValue(ANTI_MILDEW_TREATMENT_JUST_DONE);
	  if(flag_mildew
		 &&
		 (antiMildiouJustDone  == 0))
		result = TRUE;
	}
	break;
  }
  case REGULAR_PHYTO : {
	printf("\nCommon_PhytoTreatment_Primary_OP pChantier : '%s'\n !!! passage inattendu dans le case REGULAR_PHYTO.\n", pChantier->InstanceName());
	exit(0);
  }
  }

//printf("\nCommon_PhytoTreatment_Primary_OP pChantier : '%s' returns %d", pChantier->InstanceName(), result);
  return result;
}
