int App_GetIntPestInfo (Vineyard* pEA, UserDescriptorId descId)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  int result = -D_INTMAX;
  
  Entity* pVineyardSet = (Entity*)pEA->GetSuperSet();

  BasicEntity* pPestMemory = 
	pVineyardSet->GetEntityConstValue(PEST_INFO_MEMORY_ATTRIBUTE);

  if(pPestMemory->GetNumberOfElements() > 0) {
	Entity* pPestMemoryItem = pPestMemory->GetElement(0);  // le plus recent, par construction 
	Descriptor* pCD = pPestMemoryItem->GetDescriptor(descId);
	if (pCD->ClassType() != INT)
	  BadDescriptorValueType(pVineyardSet, pCD->ClassName(), "App_GetIntPestInfo");

	result = ((IntConstantDescriptor*)pCD)->GetIntValue();
  }
  else {
	//printf("\nApp_GetIntPestInfo('%s', .) : pas d'information disponible.\n", pEA->InstanceName());
	//exit(0);
  }
//printf("\nApp_GetIntPestInfo('%s', %s) returns %d", pEA->InstanceName(), DescIdToCharTab[descId], result);
  return result;
}
