pEntityTab* getFirstWaveList_Body(EntityMethod* pM)
//-------------------------------------------------
// renvoie la liste des varietes prioritaires pour les traitements phyto
//-------------------------------------------------
{
  Entity* pVarGroupSet = pM->DescribedEntity();
//printf("\ngetFirstWaveList sur pVarGroupSet '%s'", pVarGroupSet->InstanceName()); 
  Entity* pVineyard = pM->GetEntityArgValue(VINEYARD_ARGUMENT);
//printf("\ngetFirstWaveList sur '%x'", pVineyard); 

  pEntityTab* result = new pEntityTab();

  int nbVarGroups = pVarGroupSet->GetNumberOfElements();

  pEntityTab* localVarietyList = pVineyard->GetEntityTabConstValue(GRAPE_VARIETY_LIST_ATTRIBUTE);
  if(nbVarGroups == 0) {
	result->push_back(*localVarietyList);
  }
  else {
	Entity* pFirstGroup = pVarGroupSet->GetElement(0);
	pEntityTab firstVarietyTab = pFirstGroup->GetElementTab();

	int inOutMode = pFirstGroup->GetIntConstValue(MEMBERSHIP_MODE);
	if(inOutMode == IN) {
	  result->push_back(firstVarietyTab);
	}
	else {
	  int nbLocals = localVarietyList->size();
	  for(int k=0;k<nbLocals;k++) {
		BasicEntity* localVar_k = localVarietyList->get_element(k);
		if(GetPosition(firstVarietyTab, localVar_k) < 0)
		  result->push_back(localVar_k);
	  }
	}
  }
//printf("\ngetFirstWaveList sur '%s' returns :", pVineyard->InstanceName()); result->display_names();
  return result;
};
