SpringTillagesIteration::SpringTillagesIteration(Vineyard* pEA, char* optionSerPar) {
// =========================================================
// Une classe de Entity : 'SpringTillagesIteration'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SPRING_TILLAGES_ITERATION);
  //SetParentClassId(DISTRIBUTED_ACTIVITY_SET_ITERATION); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new PreviousReplicationRefDate();  AddConstantDescriptor(pD);
  pD = new MaxReplicationNumberInDryPeriod();AddConstantDescriptor(pD);
  pD = new ReplicationInDryPeriodCounter();AddVariableDescriptor(pD);
  AssignBody(UPDATE_REACTIVATED_SON, springTillagesIteration_updateReactivatedSon_Body);
  AssignBody(OPENING_PREDICATE, springTillagesIteration_openingPredicate_Body);
  AssignBody(CLOSING_PREDICATE, springTillagesIteration_closingPredicate_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
  Activity* pAct;
  // --------------------------------------------------

  if(! strcmp(optionSerPar, "PAR"))
	pAct = new ConcurrentSpringTillages(pEA);
  else
	pAct = new SerialSpringTillages(pEA);
  AddElement(pAct);
  // --------------------------------------------------
  // + JPR 130425 (5.6)
  int n = GetIntParameterValue("virtualManager", "springTillagesMaxNumberOfReplicationsInDryPeriod");
  SetIntConstValue(MAX_REPLICATION_NUMBER_IN_DRY_PERIOD, n);
  // --------------------------------------------------
};
