VineyardActivity::VineyardActivity() {
// =========================================================
// Une classe de Entity : 'VineyardActivity'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(VINEYARD_ACTIVITY);
  //SetParentClassId(PRIMITIVE_ACTIVITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new MinPercentageToBeginOperation();AddConstantDescriptor(pD);
  pD = new MeanPriorityDegree();          AddConstantDescriptor(pD);
  Method* pM;
  pM = new OperationNominalDuration();    AddMethod (pM);
  AssignBody(SET_USER_OPERATION_NAME, vineyardActivity_setUserOperationName_Body);
  AssignBody(MAX_BEG_STATE_PREDICATE, vineyardActivity_maxBegStatePredicate_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
  
  //
  // Valeur par d�faut du 'pourcentage mini pouvant �tre realise avant l'arret
  // de travail' pour pouvoir debuter une operation.
  // Cette valeur est surchargee pour chaque activite manuelle.
  //
  float x = GetRealParameterValue("vineyardActivity", "standardMinPercentageToBeginOperation");
  SetFloatConstValue(MIN_PERCENTAGE_TO_BEGIN_OPERATION, x);
			  
};
