bool Body_MIOS_Clippings (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool toContinue = FALSE;
  Activity* pChantier = (Activity*)pM->DescribedEntity();
//printf("\nentree '%s'::Body_MIOS_Clippings", pChantier->InstanceName());
//pChantier->DisplaySituation();

  pEntityTab* pTmpTab
	= pChantier->GetEntityTabValue(TERMINATED_PLOTS_ATTRIBUTE);
  pEntityTab* pTerminatedPlots = new pEntityTab(*pTmpTab);
  pEntityTab* pInCoursePlots = new pEntityTab();

  int nbSons = pChantier->GetNumberOfOperands();
  for(int k=nbSons-1;k>=0;k--) {
	Entity* pAct = pChantier->GetOperand(k);
	int situation = pAct->GetIntVarValue(SITUATION);
	switch (situation) {
	case CLOSED : {
	  ((PrimitiveActivity*)pAct)->DeleteInDepth();
	  break;
	}
	case WAITING :
	case SLEEPING :
	case OPEN : {
	  Entity* pOt = NULL;
	  Entity* pOtSpec= pAct->GetEntityVarValue(OPERATION_SPEC_ATTRIBUTE);
	  if(pOtSpec) pOt = pOtSpec->GetEntityVarValue(SPECIFIED_OPERATION);
	  if(pOt) ((Operation*)pOt)->DeleteInDepth();
	  ((PrimitiveActivity*)pAct)->DeleteInDepth();
	  break;
	}
	case IN_COURSE : {
	  // --------------------------------------------------------
	  // recuperation de la parcelle operee
	  // --------------------------------------------------------
	  Entity* pPlot = NULL;
	  int type = pAct->GetIntConstValue(TYPE_ATTRIBUTE);
	  if(type == PRIMITIVE_ACTIVITY) {
		Operation* pOt = (Operation*)pAct->GetEntityVarValue(ALLOCATED_OPERATION);
		Entity* pCurrentOO = pOt->GetEntityConstValue(CURRENT_OPERATED_OBJECT);
		if(pCurrentOO) {
		  pPlot = pCurrentOO->GetEntityConstValue(RESOURCE_ENTITY);
		  pInCoursePlots->push_back(pPlot);
		}
		else {
		  printf("\n!!! '%s'::modifyInOpenSituation : la parcelle operee n'a pas pu etre designee\n    pour l'operation '%s'\n", pChantier->InstanceName(), pOt->InstanceName());
		  exit(0);
		}
	  }
	  else {
		printf("\n!!! 'modifyInOpenSituation : la fille '%s' de la conjunction '%s' n'est pas primitive\n", pAct->InstanceName(), pChantier->InstanceName());
	  }
	  break;
	}
	}
  }
  pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_CLIPPINGS,
								  TERMINATED_PLOTS_ARGUMENT, 
								  pTerminatedPlots); 
  pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_CLIPPINGS,  
								  IN_COURSE_PLOTS_ARGUMENT, 
								  pInCoursePlots);
  toContinue = pChantier->ExecPredicate(ADD_NEW_SITUATED_CLIPPINGS);
  //          ---------------------------------------------

  delete pInCoursePlots;
  delete pTerminatedPlots;
//printf("\n'%s'::Body_MIOS_Clippings returns %d", pChantier->InstanceName(), toContinue);
//pChantier->DisplaySituation();
  return toContinue;
}
