float sumUpGrassCoverVector_Body(EntityMethod* pM)
//------------------------------------------------
// renvoie un scalaire a partir du vecteur des couvertures sur les unit. hydro.
// ou -9. si pas de vecteur assigne par Mhydas
//------------------------------------------------
{
  Entity* pRow = pM->DescribedEntity();
  float result = (float)0.;

  pFloatTab* mhydasVector 
	= pRow->GetFloatTabConstValue(GRASS_COVER_VECTOR_FROM_MHYDAS);

  if(! mhydasVector) {
	if(gMyTraceWarnings)
	  printf("\npour '%s', sumUpGrassCoverVector n'a pas trouve de vecteur (attendu de OpenFluid).\nValeur -9 retournee.\n", pRow->InstanceName());
	return (float)-9.;
  }

  //
  // option a valider : on renvoie la moyenne
  //
  float total = 0.;
  int nbValues = mhydasVector->size();
  for(int i=0;i<nbValues;i++) {
	total += mhydasVector->get_element(i);
  }
  result = total/(float)nbValues;
	
  if(gMyTraceWarnings)
	printf("\n!!! sumUpGrassCoverVector : corps de methode a valider. \n");
//printf("\n'%s'::sumUpGrassCoverVector renvoie %5.3f", pRow->InstanceName(), result);
  return result;
};
