WeatherStation::WeatherStation() {
// =========================================================
// Une classe de Entity : 'WeatherStation'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(WEATHER_STATION);
  //SetParentClassId(BD_ENTITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new InstantAttribute();            AddConstantDescriptor(pD);
  pD = new Latitude();                    AddConstantDescriptor(pD);
  pD = new Longitude();                   AddConstantDescriptor(pD);
  pD = new PathNameAttribute();           AddConstantDescriptor(pD);
  pD = new DailyRainfallForecastFromCurrentDay();AddConstantDescriptor(pD);
  pD = new WinterBeginningClock();        AddConstantDescriptor(pD);
  pD = new WinterBeginningClockForInitst();AddConstantDescriptor(pD);
  pD = new Rainfall();                    AddVariableDescriptor(pD);
  pD = new Temperature();                 AddVariableDescriptor(pD);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  SetFloatTabConstValue(DAILY_RAINFALL_FORECAST_FROM_CURRENT_DAY, 
						new pFloatTab(10));

  // pour tri sur pluie decroissante (OpeningCondition_SpringTillages)
  pD = new AnonymousFloatAttribute();     AddVariableDescriptor(pD);
};
