bool App_AreAllPlotsDone(Activity* pChantier, UserDescriptorId descId)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool allDone = TRUE;
  Entity* pEA = App_GetVineyard(pChantier);
  int nbPlots = pEA->GetNumberOfElements();
  for(int k=0;k<nbPlots;k++) {
	Entity* pPlot_k = pEA->GetElement(k);
	float percentDone = pPlot_k->GetFloatVarValue(descId);
	int isDone = App_FloatEQ(percentDone, (float)1.)
	             || 
	             App_FloatEQ(percentDone, (float)-1.);
//printf("\n'%s' %s percentDone = %f isDone = %d", pPlot_k->InstanceName(), DescIdToCharTab[descId], percentDone, isDone);
	if(! isDone) {
	  allDone = FALSE;
	  break;
	}
  }
  return allDone;
}
