bool Body_CP_Debranchings (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : renvoie 'vrai' si
//                - toutes les parcelles a épamprer l'ont ete (condition 1)
//                  OU
//                - on a atteint le 15/06 (condition 2)
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();

  bool result = FALSE;

  bool allDone = TRUE;
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int nbPlots = pEA->GetNumberOfElements();
  for(int k=0;k<nbPlots;k++) {
	Entity* pPlot_k = pEA->GetElement(k);
	float percentDone = pPlot_k->GetFloatVarValue(PERCENT_DEBRANCHED);
	int isDone =    App_FloatEQ(percentDone, (float)1.)
	             || App_FloatEQ(percentDone, (float)-1.);
//printf("\n'%s' percentDone = %f isDone = %d", pPlot_k->InstanceName(), percentDone, isDone);
	if(! isDone) {
	  allDone = FALSE;
	  break;
	}
  }
  if(allDone)
	result = TRUE;

  if(! result) {
	// 
	// renvoyer TRUE ssi on a atteint le 15/06
	// 
	int now = pCurrentSim->Clock();
	tm* pTm = ClockValueToTm(now);
	int month = pTm->tm_mon;
	int year = pTm->tm_year + 1900;
	if(month > 7)    //  sept, etc.
	  year = year + 1;
	delete pTm;
	
	int clockOuverture = DateToClockValue(15, 6, year);
	if(now >= clockOuverture)
	  result = TRUE;
  }

//printf("\n'%s'::Body_CP_Debranchings returns %d", pChantier->InstanceName(), result);
  return result;
}
