bool Body_CP_Fertilizations_Phase3 (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : renvoie 'vrai' si plus de parcelles a fertiliser
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();
  bool result = FALSE;

  bool allDone = TRUE;
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int nbPlots = pEA->GetNumberOfElements();
  for(int k=0;k<nbPlots;k++) {
	Entity* pPlot_k = pEA->GetElement(k);
	float percentDone = pPlot_k->GetFloatVarValue(PERCENT_FERTILIZED);
	int isDone =    App_FloatEQ(percentDone, (float)1.)
	             || App_FloatEQ(percentDone, (float)-1.);
//printf("\n'%s' percentDone = %f isDone = %d", pPlot_k->InstanceName(), percentDone, isDone);
	if(! isDone) {
	  allDone = FALSE;
	  break;
	}
  }
  if(allDone)
	result = TRUE;

//printf("\n'%s'::Body_CP_Fertilizations_Phase3 returns %d", pChantier->InstanceName(), result);
  return result;
}
