bool aprilEmploymentPlan_timetableOpeningPredicate_Body(EntityMethod* pM) {
//-------------------------------------------------------------------------
// specifie l'ouverture d'un SeasonalEmploymentPlan
//-------------------------------------------------------------------------
// renvoie 'vrai' ssi la date courante est
// . apres le passage heure Hiver -> heure Ete de la m�me annee
//---------------------------------------------------------------------------
  Entity* pSeasonalPlan = pM->DescribedEntity();
  bool result = FALSE;
  //
  // l'instant courant
  //
  int now = pCurrentSim->Clock();
  tm* pTm_now = ClockValueToTm(now);
  int mday = pTm_now->tm_mday;
  int mon = pTm_now->tm_mon;
  //
  // la date a depasser pour entrer dans la periode
  // le passage Hiver -> Ete de la meme annee
  //
  // recherche du jour de passage heure Hiver -> heure Ete
  //
  pTm_now->tm_mon = 2; // mars
  for(int m=24;m<=31;m++) {
	pTm_now->tm_mday = m;
	mktime(pTm_now);
	int isdst_m = pTm_now->tm_isdst;
	if(isdst_m == 1) {
	  break;
	}
  }
//printf("\naprilEmploymentPlan_OP with %d %s hiver->ete le %d %s %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900);
  int seuil = StructTmToClockValue(pTm_now);
  //
  // test
  //
  if(now >= seuil)
	result = TRUE;

//printf("\naprilEmploymentPlan_OP with %d %s vs. %d %s %d returns %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900, result);
  delete pTm_now;

  return result;
};
