MotorizedChemicalDebranchingActivity::MotorizedChemicalDebranchingActivity(Vineyard* pEA) {
// =========================================================
// Une classe de Entity : 'MotorizedChemicalDebranchingActivity'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MOTORIZED_CHEMICAL_DEBRANCHING_ACTIVITY);
  //SetParentClassId(DEBRANCHING_ACTIVITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new CommercialFormulationList();   AddConstantDescriptor(pD);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
  
  //
  // Ersatz local d'un futur ReturnOperationClassId
  //
  pEntityTab* tmp = GetEntityList(DEBRANCHING_SPRAYER);
  if(tmp->size() > 0)
	SetIntVarValue(OPERATION_CLASS_ID, CHEMICAL_DEBRANCHER_OPERATED_SPRAYING);
  else
	SetIntVarValue(OPERATION_CLASS_ID, HAND_HELD_GUN_OPERATED_SPRAYING);


//printf("\nconstr MotorizedChemicalDebranchingActivity pEA : '%s'", pEA->InstanceName());
  PerformerSpecification* pPerfSpec = new PerformerSpecification();
  //-------------------------------------------------------
  EntitySpec* pES = new TractorDriverEntitySpec();
  //-------------------------------------------------------
  pES->ReferentEntity(pEA);
  pPerfSpec->SetEntitySpecConstValue(PERFORMER_ENTITY_SPEC_ATTRIBUTE, pES);
  pPerfSpec->SetIntConstValue(SELECTOR_FCT_ID, ANYONE);
  pPerfSpec->SetIntConstValue(SELECTOR_FCT_ARG, 1);
  pPerfSpec->SetIntVarValue(ENTITY_SPEC_REFERENCE_CLASS_ID, FARM_WORKER);
  pPerfSpec->SetIntConstValue(CONTINUATION_MODE, SAME_PREVIOUS_ENTITIES);
  
  SetEntityVarValue(PERFORMER_SPEC_ATTRIBUTE, pPerfSpec);
};
