void App_InstantiateWorkers (char* nomEA, Entity* pPool, char* subPool, char* shortName, char* className)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
//printf("\nApp_InstantiateWorkers subPool : '%s'", subPool);
  char str[50] = "";
  Boolean isChiefIdentified = FALSE;
  Entity* pE = NULL;
  Entity* pEmploymentPlan = NULL;
  Entity* pOffWorkCalendar = NULL;
  RecurrentAvailabilityTimetable* pProg = NULL;
  char* pfx, * sfx;
  int nbChar;
  if(strcmp(subPool, "0")) {
	Entity* pEA = GetNamedEntity(VINEYARD, nomEA);
	pfx = strtok(subPool, "_");
	sfx = strtok(NULL, "_");
	nbChar = strlen(pfx);
	isChiefIdentified = FALSE;
	for(int k=0;k<nbChar;k++) {
//printf("\n\t '%c'", pfx[k]);
	  //
	  // Pour chaque lettre, on cree une unite de MO pE
	  //
	  pE = App_NewEntityFromString(className);
	  if(pE) {
//printf("\tpE : '%s'", pE->InstanceName());
		//
		// - reconnaissance du manager
		//
		if(! isChiefIdentified
		   &&
		   sfx) {
		  pE->SetIntConstValue(IS_MANAGER, 1);
		  isChiefIdentified = TRUE;
		  pEmploymentPlan = new ManagerAnnualEmploymentPlan();
		  pOffWorkCalendar = 
			GetNamedEntity("offWorkCalendar", "calendrier_manager_1");
		  pE->SetIntConstValue(WORKING_TIME_DAILY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "day"));
//printf("\t(manager)");
		}
		else {
		  if(! strcmp(className, "permanentAllTaskTractorDriver")
			 ||
			 ! strcmp(className, "permanentPreferentialTractorDriver")) {
			pEmploymentPlan = new SpecialWorkerAnnualEmploymentPlan();
			pOffWorkCalendar = 
			  GetNamedEntity("offWorkCalendar", "calendrier_phyto_1");
		  }
		  else {
			if(pfx[k] == 'F') {
			  //
			  // - creation d'un AnnualEmploymentPlan et attachement a pE
			  //
			  pEmploymentPlan = new StandardWorkerAnnualEmploymentPlan();
			}
			else if(pfx[k] == 'P') {
			  pEmploymentPlan = new StandardWorkerAnnualEmploymentPlan(); // ??
			}
			else if(pfx[k] == 'R') {
			  pEmploymentPlan = new StandardWorkerAnnualEmploymentPlan(); // ??
			}
			else {
			  printf("\nApp_InstantiateWorkers '%s' : ni F ni P ni R", className);
			  exit(0);
			}
			pOffWorkCalendar = 
			  GetNamedEntity("offWorkCalendar", "calendrier_standard_1");
		  }
		}
		// incrémentation nombre d'unités de MO
		int currentNbWorkers = pEA->GetIntConstValue(NUMBER_OF_WORKERS);
		pEA->SetIntConstValue(NUMBER_OF_WORKERS, currentNbWorkers+1);
//printf("\nnbWorkers -> %d", pEA->GetIntConstValue(NUMBER_OF_WORKERS));
		//
		// - attachement reciproque AnnualEmploymentPlan <-> FarmWorker
		//
		pE->SetEntityConstValue(ANNUAL_EMPLOYMENT_PLAN_ATTRIBUTE,
								pEmploymentPlan);
		pEmploymentPlan->SetEntityConstValue(FARM_WORKER_ATTRIBUTE, pE);
		//
		// - attachement de la Timetable des SeasonalPlan's <-> FarmWorker
		//
		pEmploymentPlan->SetEntityArgValue(ATTACH_FARM_WORKER_TO_TIMETABLES,
										   FARM_WORKER_ARGUMENT, pE);
		pEmploymentPlan->ExecVoidMethod(ATTACH_FARM_WORKER_TO_TIMETABLES);
		//
		// - attachement d'un calendrier de jours feries et de conges
		//
		pEmploymentPlan->SetEntityConstValue(OFF_WORK_CALENDAR_ATTRIBUTE, 
											 pOffWorkCalendar);
		//
		// - nommage et ajout au pool de ressources de l'ARB
		//
		sprintf(str, "%s_%s_%c_%d", 
				nomEA, shortName, pfx[k], pE->InstanceNumber());
//printf("\ninstanciation de '%s'", str);
		pE->SetInstanceName(str);
		pPool->AddElement(pE);
	  }
	}
  }
}
