bool OpeningCondition_Fertilizations_OnDate (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int option = App_GetIntDecisionOption(pEA, OPT_FERTILIZATION_O_P);

  int now = pCurrentSim->Clock();
  tm* pTm = ClockValueToTm(now);
  int month = pTm->tm_mon;
  int year = pTm->tm_year + 1900;
  delete pTm;
  switch (option)  {
	
  case END_HARV : {
	/*
	Date* dateOuverture = GetDateParameterValue("Roujan", "finVendanges");
	int mday = dateOuverture->mday;
	int month = dateOuverture->month;
	int clockOuverture = DateToClockValue(mday, month, year);
	*/
	int clockOuverture = DateToClockValue(01, 10, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case MID_OCT : {
	int clockOuverture = DateToClockValue(20, 10, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case EARLY_FEB : {
	if(month > 7)    // sept, oct, etc.
	  year = year + 1;
	int clockOuverture = DateToClockValue(01, 02, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case EARLY_MAR : {
	if(month > 7)    // sept, oct, etc.
	  year = year + 1;
	int clockOuverture = DateToClockValue(01, 03, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
	
  }
//printf("\n'%s'::OpeningCondition_Fertilizations_OnDate returns %d", pChantier->InstanceName(), result);
  return result;
}
