#include "UserTypes.h"
//#include <unistd.h>  // pour getpid

//---------------------------------------------
// Fonction 'main'
//---------------------------------------------

int main (int argc, char* argv[])
{
  App_ParseMainArguments(argc, argv);
  ParseParameterFile(argv[1]);
  
  int nbRepl = 1;
  FactorialDesignOfExperiment* pFEDS = GetDesignOfExperiment();
  if(pFEDS) {
	//pFEDS->Display();
  }
  Boolean isExpeOver = FALSE;
  int numSim = 0;
  while(! isExpeOver) {
	nbRepl = 1;  // default value if no FEDS
	if(pFEDS)
	  nbRepl = pFEDS->NextSimulationSettings();
	
	if(! pFEDS || (nbRepl < 0))  //no FEDS or FEDS is over
	  isExpeOver = TRUE;
	
	for(int i=0;i<nbRepl;i++) {
	  main_core(argc, argv, ++numSim);
	}
  }
  
  DeleteParameters();
  DeleteExpeSpecifications();
  return 0;
}
