int weekDayAfternoon_setThisTimeSlotEndValue_Body(EntityMethod* pM) {
//-------------------------------------------------------------------
// (commentaire �ventuel)
//-------------------------------------------------------------------
  AvailabilityTimeSlot* pTimeSlot 
	= (AvailabilityTimeSlot*)(pM->DescribedEntity());
  int result = -9;

  int now = pCurrentSim->Clock();
  //
  // recuperation date de debut de ce TimeSlot
  //
  int thisTimeSlotBegDate = pTimeSlot->GetIntVarValue(BEG_DATE);	
//printf("\nentree '%s'_set..EndValue this..BegDate = %d", pTimeSlot->InstanceName(), thisTimeSlotBegDate);

  if(thisTimeSlotBegDate >= 0) {
	tm* pTm = ClockValueToTm(thisTimeSlotBegDate);
	//
	// par convention CDIESE, 
	// la date de fin est la premiere posterieure au TimeSlot
	//
	Entity* pTimetable = pTimeSlot->GetSuperSet();
	Entity* pSeasonalPlan = 
	  pTimetable->GetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE);
	int toBeExtended = 
	  pSeasonalPlan->GetIntConstValue(CURRENT_SLOT_TO_BE_EXTENDED);
	float endHour;
	if(toBeExtended)
	  endHour = 
		pSeasonalPlan->GetFloatConstValue(WORK_DAY_AFTERNOON_EXTENDED_END_HOUR);
	else
	  endHour = 
		pSeasonalPlan->GetFloatConstValue(WORK_DAY_AFTERNOON_END_HOUR);
	pTm->tm_hour = (int)floor(endHour);
	pTm->tm_isdst = -1;// 120704
	mktime(pTm);
	int thisTimeSlotEndDate = StructTmToClockValue(pTm);
	delete pTm;
	if(thisTimeSlotEndDate < 0)
	  result = now;
	else
	  result = thisTimeSlotEndDate;
  }
		
//printf("\n'%s'_setThisTimeSlotEndValue returns %d", pTimeSlot->InstanceName(), result);
  return result;
};
