bool App_IsStageReached (WeatherStation* pWS_arg, char* nomVariety_arg, char* nomStade_arg)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 'vrai' ssi le stade est pleinement atteint sur la variete
//              : et la station meteo
//---------------------------------------------
{
  bool result = FALSE;
  pEntityTab* isoAgeingEntityTab = GetEntityList(ISO_AGEING_ENTITY);
  int nbElem = isoAgeingEntityTab->size();
  bool isoEntityFound = FALSE;
  for(int k=0;k<nbElem;k++) {
	Entity* pIsoAgeingEntity = (Entity*)isoAgeingEntityTab->get_element(k);
	Entity* pVariety 
	  = pIsoAgeingEntity->GetEntityConstValue(GRAPE_VARIETY_ATTRIBUTE);
	Entity* pWS 
	  = pIsoAgeingEntity->GetEntityConstValue(WEATHER_STATION_ATTRIBUTE);
	if(! strcmp(pVariety->InstanceName(), nomVariety_arg)
	   &&
	   (pWS == pWS_arg)) {
	  isoEntityFound = FALSE;
	  Entity* pAge = pIsoAgeingEntity->GetEntityConstValue(AGE_ATTRIBUTE);
	  int currentIndex = pAge->GetIntVarValue(CURRENT_STAGE_INDEX); 
	  pEntityTab* pStadeTab = pAge->GetEntityTabConstValue(STAGE_TAB);
	  int nbStages = pStadeTab->size();
	  for(int i=0;i<nbStages;i++) {
		Entity* pStage_i = (Entity*)pStadeTab->get_element(i);
		char* nomStade_i = pStage_i->GetStringConstValue(STAGE_NAME);
		if(! strcmp(nomStade_i, nomStade_arg)) {
		  if(i <= currentIndex) {
			result = TRUE;
			break;
		  }
		}
	  }
	}
	if(isoEntityFound)
	  break;
  }
//printf("\nApp_IsStageReached('%s','%s','%s') returns %d", pWS_arg, nomVariety_arg, nomStade_arg, result); 
}
