bool Body_OP_Prunings_OnDate (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();

  bool result = TRUE;
  //
  // Quand ce chantier est en phase 2 ou 3 d'une conduite (cas normal),
  // on ferme la phase 1 si OpeningCondition_Prunings_OnDate
  // renvoie 'vrai'.
  // En consequence, l'appel de la ligne ci-dessous renvoie n�cessairement
  // 'vrai'. On l'inhibe donc (avec initialisation de result a TRUE).
  //
  //result = OpeningCondition_Prunings_OnDate(pChantier);
	

  if(result == TRUE) {
	
	//=================================================
	// creation du premier lot de parcelles a tailler
	//=================================================
	
	pChantier->ClearEntityTabValues(TERMINATED_PLOTS_ATTRIBUTE);

	pEntityTab* pTerminatedPlots = new pEntityTab(); // vide
	pEntityTab* pInCoursePlots = new pEntityTab(); // vide

  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_PRUNINGS, 
									TERMINATED_PLOTS_ARGUMENT, 
									pTerminatedPlots); 
  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_PRUNINGS,
									IN_COURSE_PLOTS_ARGUMENT, 
									pInCoursePlots);
  	pChantier->ExecPredicate(ADD_NEW_SITUATED_PRUNINGS);
  	//  ---------------------------------------------

	delete pTerminatedPlots;
	delete pInCoursePlots;
  }

//printf("\nBody_OP_Prunings_onDate_Body('%s') returns %d", pChantier->InstanceName(), result);
  return result;
}
