bool OpeningCondition_Plantations_OnDate (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int option = App_GetIntDecisionOption(pEA, OPT_PLANTATION_O_P);

  int now = pCurrentSim->Clock();
  tm* pTm = ClockValueToTm(now);
  int month = pTm->tm_mon;
  int year = pTm->tm_year + 1900;
  if(month > 7)       // sept, etc.
	year = year + 1;
  delete pTm;
  switch (option)  {

  case MID_FEB : {
	int clockOuverture = DateToClockValue(20, 2, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case MID_MAR : {
	int clockOuverture = DateToClockValue(10, 3, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case LATE_MAR : {
	int clockOuverture = DateToClockValue(20, 3, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
  case EARLY_APR : {
	int clockOuverture = DateToClockValue(1, 4, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  };
	
  }
//printf("\n'%s'::OpeningCondition_Plantations_OnDate returns %d", pChantier->InstanceName(), result);
  return result;
}
