ExtraPhytoTreatmentsIteration::ExtraPhytoTreatmentsIteration(Vineyard* pEA, char* optionSerPar) {
// =========================================================
// Une classe de Entity : 'ExtraPhytoTreatmentsIteration'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(EXTRA_PHYTO_TREATMENTS_ITERATION);
  //SetParentClassId(DISTRIBUTED_ACTIVITY_SET_ITERATION); // pour memoire (*)
  AddInstanceToClass();
  AssignBody(UPDATE_REACTIVATED_SON, extraPhytoTreatmentsIteration_updateReactivatedSon_Body);
  AssignBody(OPENING_PREDICATE, extraPhytoTreatmentsIteration_openingPredicate_Body);
  AssignBody(CLOSING_PREDICATE, extraPhytoTreatmentsIteration_closingPredicate_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  SetIntVarValue(MAX_NUMBER_OF_REPLICATIONS, 2, FALSE);  // not monitored

  Activity* pAct;
  // --------------------------------------------------
  if(! strcmp(optionSerPar, "PAR"))
	pAct = new ConcurrentExtraPhytoTreatments(pEA);
  else
	pAct = new SerialExtraPhytoTreatments(pEA);
  // --------------------------------------------------

  pAct->SetIntConstValue(NEED_FOR_NEXT_FAVOURABLE_DAYS, 1);
  //
  // Une fois ouvert, le chantier doit etre commence dans les 3 jours,
  // ou bien etre abandonne, sans que ca soit un echec
  // Le delai de 3 jours est specifie dans Body_OP_PhytoTreatments :
  // si ouverture autorises, valuation de MAX_BEG_DATE a +3j
  //
  Activity* pOpt = new ActivityOptional();
  pOpt->AddElement(pAct);

  AddElement(pOpt);
};
