MotorizedPhytoTreatmentActivity::MotorizedPhytoTreatmentActivity(Vineyard* pEA) {
// =========================================================
// Une classe de Entity : 'MotorizedPhytoTreatmentActivity'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MOTORIZED_PHYTO_TREATMENT_ACTIVITY);
  //SetParentClassId(PHYTO_TREATMENT_ACTIVITY); // pour memoire (*)
  AddInstanceToClass();
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

//printf("\nconstr MotorizedPhytoTreatmentActivity pEA : '%s'", pEA->InstanceName());
  PerformerSpecification* pPerfSpec = new PerformerSpecification();
  //-------------------------------------------------------
  EntitySpec* pES = new TractorDriverEntitySpec();
  //-------------------------------------------------------
  pES->ReferentEntity(pEA);
  pPerfSpec->SetEntitySpecConstValue(PERFORMER_ENTITY_SPEC_ATTRIBUTE, pES);
  pPerfSpec->SetIntConstValue(SELECTOR_FCT_ID, ANYONE);
  pPerfSpec->SetIntConstValue(SELECTOR_FCT_ARG, 1);
  pPerfSpec->SetIntVarValue(ENTITY_SPEC_REFERENCE_CLASS_ID, FARM_WORKER);
  pPerfSpec->SetIntConstValue(CONTINUATION_MODE, SAME_PREVIOUS_ENTITIES);
  
  SetEntityVarValue(PERFORMER_SPEC_ATTRIBUTE, pPerfSpec);
};
