Row::Row() {
// =========================================================
// Une classe de Entity : 'Row'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(ROW);
  //SetParentClassId(BD_ENTITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new RelativeArea();                AddConstantDescriptor(pD);
  pD = new SoilManagementModality();      AddConstantDescriptor(pD);
  pD = new LastOperationsMemoryAttribute();AddConstantDescriptor(pD);
  pD = new SoilHumidityVectorFromMhydas();AddConstantDescriptor(pD);
  pD = new GrassCoverVectorFromMhydas();  AddConstantDescriptor(pD);
  Method* pM;
  pM = new SumUpGrassCoverVector();       AddMethod (pM);
  pM = new SumUpSoilHumidityVector();     AddMethod (pM);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  SetEntityConstValue(LAST_OPERATIONS_MEMORY_ATTRIBUTE, 
					  new LastOperationsMemory());
};
