###################
#  Specification  #
###################

OperationResourceSpec AirAssistedSprayingOperationResourceSpec {
      ClassSymbol               : AIR_ASSISTED_SPRAYING_OPERATION_RESOURCE_SPEC
      ClassName                 : "airAssistedSprayingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   AIR_ASSISTED_SPRAYING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec ChemicalDebrancherSprayingOperationResourceSpec {
      ClassSymbol               : CHEMICAL_DEBRANCHER_SPRAYING_OPERATION_RESOURCE_SPEC
      ClassName                 : "chemicalDebrancherSprayingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   CHEMICAL_DEBRANCHER_SPRAYING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec ClippingOperationResourceSpec {
      ClassSymbol               : CLIPPING_OPERATION_RESOURCE_SPEC
      ClassName                 : "clippingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   CLIPPING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec FertilizationOperationResourceSpec {
      ClassSymbol               : FERTILIZATION_OPERATION_RESOURCE_SPEC
      ClassName                 : "fertilizationOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   FERTILIZATION_RESOURCE_SET 
}
#==============================================
OperationResourceSpec GrinderShootThinningOperationResourceSpec {
      ClassSymbol               : GRINDER_SHOOT_THINNING_OPERATION_RESOURCE_SPEC
      ClassName                 : "grinderShootThinningOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   GRINDER_SHOOT_THINNING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec HandHeldGunSprayingOperationResourceSpec {
      ClassSymbol               : HAND_HELD_GUN_SPRAYING_OPERATION_RESOURCE_SPEC
      ClassName                 : "handHeldGunSprayingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   HAND_HELD_GUN_SPRAYING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec HorizontalRailSprayingOperationResourceSpec {
      ClassSymbol               : HORIZONTAL_RAIL_SPRAYING_OPERATION_RESOURCE_SPEC
      ClassName                 : "horizontalRailSprayingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   HORIZONTAL_RAIL_SPRAYING_RESOURCE_SET 
}
#==============================================
OperationResourceSpec RotaryTillageOperationResourceSpec {
      ClassSymbol               : ROTARY_TILLAGE_OPERATION_RESOURCE_SPEC
      ClassName                 : "rotaryTillageOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   ROTARY_TILLAGE_RESOURCE_SET 
}
#==============================================
OperationResourceSpec SpringTineTillageOperationResourceSpec {
      ClassSymbol               : SPRING_TINE_TILLAGE_OPERATION_RESOURCE_SPEC
      ClassName                 : "springTineTillageOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   SPRING_TINE_TILLAGE_RESOURCE_SET 
}
#==============================================
OperationResourceSpec VerticalRailSprayingOperationResourceSpec {
      ClassSymbol               : VERTICAL_RAIL_SPRAYING_OPERATION_RESOURCE_SPEC
      ClassName                 : "verticalRailSprayingOperationResourceSpec"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATION_RESOURCE_SPECIFICATION

      OverloadedConstDesc value : SelectorFctId   ANYONE 
      OverloadedConstDesc value : SelectorFctArg   1 
      OverloadedVarDesc value   : EntitySpecReferenceClassId   VERTICAL_RAIL_SPRAYING_RESOURCE_SET 
}
#==============================================

