############
#  System  #
############

ControlledSystem VineGrowingTerritory {
      ClassSymbol               : VINE_GROWING_TERRITORY
      ClassName                 : "vineGrowingTerritory"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : CONTROLLED_SYSTEM

      OverloadedConstDesc value : AttachedEntity   AGRO_CLIMATIC_SYSTEM 
}
#==============================================
ProductionSystem VineProducingRegion {
      ClassSymbol               : VINE_PRODUCING_REGION
      ClassName                 : "vineProducingRegion"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : PRODUCTION_SYSTEM

}
#==============================================
Manager VirtualRegionManager {
      ClassSymbol               : VIRTUAL_REGION_MANAGER
      ClassName                 : "virtualRegionManager"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : MANAGER

      AddConstantDescriptor     : WorkOrganizationOptionSetAttribute   --- 
      AddConstantDescriptor     : OperationRecordingAttribute   --- 
      AddMethod                 : DumpOperationRecords
      OverloadedMethod body     : BestActivitySetSelector   virtualRegionManager_bestActivitySetSelector_Body
}
#==============================================
OperatingSystem VirtualRegionOperatingSystem {
      ClassSymbol               : VIRTUAL_REGION_OPERATING_SYSTEM
      ClassName                 : "virtualRegionOperatingSystem"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OPERATING_SYSTEM

}
#==============================================

