####################
#  SerialDataFile  #
####################

BufferizedDataFile HourlyWeatherFile {
      ClassSymbol               : HOURLY_WEATHER_FILE
      AccessType                : READ
      AssignFormat              : "%s%s%f"
      SetNbTopCommentLines      : 10

      AddField                  : FLD_DATE 	STRING
      AddField                  : FLD_HOUR 	STRING
      AddField                  : FLD_RAINFALL 	FLOAT

      AssignSetMemoryScopeMethod : hourlyWeatherFile_SetMemoryScope
      AssignSetPredictionScopeMethod : hourlyWeatherFile_SetPredictionScope
}
#==============================================
FactualDataFile PestInfoFile {
      ClassSymbol               : PEST_INFO_FILE
      AccessType                : READ
      AssignFormat              : "%s%s%d%s%d%f"
      SetNbTopCommentLines      : 1

      AddField                  : FLD_DMY 	STRING
      AddField                  : FLD_FLAGSHOOT 	STRING
      AddField                  : FLD_LEVEL_PM 	INT
      AddField                  : FLD_PRIM_INFECT_DM 	STRING
      AddField                  : FLD_LEVEL_DM 	INT
      AddField                  : FLD_RISK_DM 	FLOAT

      AssignGetRecordClockValueMethod : pestInfoFile_GetRecordClockValue
}
#==============================================
FactualDataFile PhenoStageFile {
      ClassSymbol               : PHENO_STAGE_FILE
      AccessType                : READ
      AssignFormat              : "%d%s%s"

      AddField                  : FLD_CODE_STADE 	INT
      AddField                  : FLD_JMA 	STRING
      AddField                  : FLD_VARIETE 	STRING

      AssignGetRecordClockValueMethod : phenoStageFile_GetRecordClockValue
}
#==============================================

