############
#  Method  #
############

Method AddNewSituatedAutumnTillages {
      ClassSymbol               : ADD_NEW_SITUATED_AUTUMN_TILLAGES
      ClassName                 : addNewSituatedAutumnTillages
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedAutumnTillages_Body
      ClassShortComment         : ajoute au chantier de labour d'automne des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedChemicalWeedings {
      ClassSymbol               : ADD_NEW_SITUATED_CHEMICAL_WEEDINGS
      ClassName                 : addNewSituatedChemicalWeedings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedChemicalWeedings_Body
      ClassShortComment         : ajoute au chantier de desherbage des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedClippings {
      ClassSymbol               : ADD_NEW_SITUATED_CLIPPINGS
      ClassName                 : addNewSituatedClippings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedClippings_Body
      ClassShortComment         : ajoute au chantier d'ecimage des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedDebranchings {
      ClassSymbol               : ADD_NEW_SITUATED_DEBRANCHINGS
      ClassName                 : addNewSituatedDebranchings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedDebranchings_Body
      ClassShortComment         : ajoute au chantier d'épamprage des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : ManualMotorizedArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedFertilizations {
      ClassSymbol               : ADD_NEW_SITUATED_FERTILIZATIONS
      ClassName                 : addNewSituatedFertilizations
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedFertilizations_Body
      ClassShortComment         : ajoute au chantier de fertilisation des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedInitSpringTillages {
      ClassSymbol               : ADD_NEW_SITUATED_INIT_SPRING_TILLAGES
      ClassName                 : addNewSituatedInitSpringTillages
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedInitSpringTillages_Body
      ClassShortComment         : ajoute au chantier de labour de reprise des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedPhytoTreatments {
      ClassSymbol               : ADD_NEW_SITUATED_PHYTO_TREATMENTS
      ClassName                 : addNewSituatedPhytoTreatments
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedPhytoTreatments_Body
      ClassShortComment         : ajoute au chantier de traitement phyto. des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedPlantations {
      ClassSymbol               : ADD_NEW_SITUATED_PLANTATIONS
      ClassName                 : addNewSituatedPlantations
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedPlantations_Body
      ClassShortComment         : ajoute au chantier de plantation des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedPrunings {
      ClassSymbol               : ADD_NEW_SITUATED_PRUNINGS
      ClassName                 : addNewSituatedPrunings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedPrunings_Body
      ClassShortComment         : ajoute au chantier de taille des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedShootThinnings {
      ClassSymbol               : ADD_NEW_SITUATED_SHOOT_THINNINGS
      ClassName                 : addNewSituatedShootThinnings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedShootThinnings_Body
      ClassShortComment         : ajoute au chantier de broyage des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedSpringChemicalWeedings {
      ClassSymbol               : ADD_NEW_SITUATED_SPRING_CHEMICAL_WEEDINGS
      ClassName                 : addNewSituatedSpringChemicalWeedings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedSpringChemicalWeedings_Body
      ClassShortComment         : ajoute au chantier de desherbage de printemps des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedSpringTillages {
      ClassSymbol               : ADD_NEW_SITUATED_SPRING_TILLAGES
      ClassName                 : addNewSituatedSpringTillages
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedSpringTillages_Body
      ClassShortComment         : ajoute au chantier de labour de printemps des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedTrellisings {
      ClassSymbol               : ADD_NEW_SITUATED_TRELLISINGS
      ClassName                 : addNewSituatedTrellisings
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedTrellisings_Body
      ClassShortComment         : ajoute au chantier de relevage des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AddNewSituatedWinterTillages {
      ClassSymbol               : ADD_NEW_SITUATED_WINTER_TILLAGES
      ClassName                 : addNewSituatedWinterTillages
      ObjectClass               : BD_ENTITY
      AssignBody                : addNewSituatedWinterTillages_Body
      ClassShortComment         : ajoute au chantier de labour d'hiver des activites sur de nouvelles parcelles
      Type                      : BOOLEAN
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method AntiDownyMildewAtLeastClosingPredicate {
      ClassSymbol               : ANTI_DOWNY_MILDEW_AT_LEAST_CLOSING_PREDICATE
      ClassName                 : antiDownyMildewAtLeastClosingPredicate
      ObjectClass               : BD_ENTITY
      AssignBody                : antiDownyMildewAtLeastClosingPredicate_Body
      ClassShortComment         : renvoie vrai ssi il y a lieu d'arreter la serie de traitement anti-mildiou en absence de pression
      Type                      : BOOLEAN
}
#==============================================
Method AntiDownyMildewUnderPressureClosingPredicate {
      ClassSymbol               : ANTI_DOWNY_MILDEW_UNDER_PRESSURE_CLOSING_PREDICATE
      ClassName                 : antiDownyMildewUnderPressureClosingPredicate
      ObjectClass               : BD_ENTITY
      AssignBody                : antiDownyMildewUnderPressureClosingPredicate_Body
      ClassShortComment         : renvoie vrai ssi il y a lieu d'arreter la serie de traitement anti-mildiou en presence de pression
      Type                      : BOOLEAN
}
#==============================================
Method AntiPowderyMildewClosingPredicate {
      ClassSymbol               : ANTI_POWDERY_MILDEW_CLOSING_PREDICATE
      ClassName                 : antiPowderyMildewClosingPredicate
      ObjectClass               : BD_ENTITY
      AssignBody                : antiPowderyMildewClosingPredicate_Body
      ClassShortComment         : renvoie vrai ssi il y a lieu d'arreter la serie de traitement anti-oidium
      Type                      : BOOLEAN
}
#==============================================
Method AssignRelativeAreaToRows {
      ClassSymbol               : ASSIGN_RELATIVE_AREA_TO_ROWS
      ClassName                 : assignRelativeAreaToRows
      ObjectClass               : BD_ENTITY
      AssignBody                : assignRelativeAreaToRows_Body
      ClassShortComment         : repartit la surface de la parcelle entre les quatre types de rangees
      Type                      : VOID
}
#==============================================
Method AttachFarmWorkerToTimetables {
      ClassSymbol               : ATTACH_FARM_WORKER_TO_TIMETABLES
      ClassName                 : attachFarmWorkerToTimetables
      ObjectClass               : BD_ENTITY
      AssignBody                : attachFarmWorkerToTimetables_Body
      ClassShortComment         : attachement reciproque entre l'ouvrier et les Timetable des periodes de l'AnnualPlan
      Type                      : VOID
      AddArgument               : FarmWorkerArgument
}
#==============================================
Method DumpOperationRecords {
      ClassSymbol               : DUMP_OPERATION_RECORDS
      ClassName                 : dumpOperationRecords
      ObjectClass               : BD_ENTITY
      AssignBody                : dumpOperationRecords_Body
      ClassShortComment         : ecrit sur un fichier externe le contenu de la memoire des operations du manager
      Type                      : VOID
}
#==============================================
Method GetActualThermalTimeFromEmergence {
      ClassSymbol               : GET_ACTUAL_THERMAL_TIME_FROM_EMERGENCE
      ClassName                 : getActualThermalTimeFromEmergence
      ObjectClass               : BD_ENTITY
      AssignBody                : getActualThermalTimeFromEmergence_Body
      ClassShortComment         : Renvoie la somme de degres.jour reelle depuie la levee
      Type                      : FLOAT
}
#==============================================
Method GetDayWhenStageAchieved {
      ClassSymbol               : GET_DAY_WHEN_STAGE_ACHIEVED
      ClassName                 : getDayWhenStageAchieved
      ObjectClass               : BD_ENTITY
      AssignBody                : getDayWhenStageAchieved_Body
      ClassShortComment         : renvoie le nb de jours depuis le semis, a la fin d'un stade donne
      Type                      : INT
      AddArgument               : StageIndexArgument
}
#==============================================
Method GetFirstWaveList {
      ClassSymbol               : GET_FIRST_WAVE_LIST
      ClassName                 : getFirstWaveList
      ObjectClass               : BD_ENTITY
      AssignBody                : getFirstWaveList_Body
      ClassShortComment         : renvoie la liste des varietes prioritaires pour les traitements phyto
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
}
#==============================================
Method GetRankedWaveList {
      ClassSymbol               : GET_RANKED_WAVE_LIST
      ClassName                 : getRankedWaveList
      ObjectClass               : BD_ENTITY
      AssignBody                : getRankedWaveList_Body
      ClassShortComment         : renvoie la liste des varietes a traiter phyto, en fct d'un rang de priorite en arg.
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : StageIndexArgument
}
#==============================================
Method IsClockValueInCalendar {
      ClassSymbol               : IS_CLOCK_VALUE_IN_CALENDAR
      ClassName                 : isClockValueInCalendar
      ObjectClass               : BD_ENTITY
      AssignBody                : isClockValueInCalendar_Body
      ClassShortComment         : renvoie 'vrai' ssi la valeur d'horloge en argument est dans le OffWorkCalendar
      Type                      : BOOLEAN
      AddArgument               : ClockArgument
}
#==============================================
Method IsClockValueInPeriod {
      ClassSymbol               : IS_CLOCK_VALUE_IN_PERIOD
      ClassName                 : isClockValueInPeriod
      ObjectClass               : BD_ENTITY
      AssignBody                : isClockValueInPeriod_Body
      ClassShortComment         : renvoie 'vrai' ssi la valeur d'horloge en argument est dans la WorkSinglePeriod
      Type                      : BOOLEAN
      AddArgument               : ClockArgument
}
#==============================================
Method IsMotorizationPossible {
      ClassSymbol               : IS_MOTORIZATION_POSSIBLE
      ClassName                 : isMotorizationPossible
      ObjectClass               : BD_ENTITY
      AssignBody                : isMotorizationPossible_Body
      ClassShortComment         : renvoie TRUE ssi les ressources de l'EA sont OK pour l'OT en argument
      Type                      : BOOLEAN
      AddArgument               : OperationClassArgument
}
#==============================================
Method OperationNominalDuration {
      ClassSymbol               : OPERATION_NOMINAL_DURATION
      ClassName                 : operationNominalDuration
      ObjectClass               : BD_ENTITY
      AssignBody                : operationNominalDuration_Body
      ClassShortComment         : returns the previsionnal duration of the operation of a primitive activity
      Type                      : FLOAT
      AddArgument               : CandidateEntityValueArgument
}
#==============================================
Method ReturnEffectiveTemperature {
      ClassSymbol               : RETURN_EFFECTIVE_TEMPERATURE
      ClassName                 : returnEffectiveTemperature
      ObjectClass               : BD_ENTITY
      AssignBody                : returnEffectiveTemperature_Body
      ClassShortComment         : donne la temp en prenant le zero de vegetation de la plante consideree
      Type                      : FLOAT
}
#==============================================
Method ReturnPassedRowsFrequency {
      ClassSymbol               : RETURN_PASSED_ROWS_FREQUENCY
      ClassName                 : returnPassedRowsFrequency
      ObjectClass               : BD_ENTITY
      AssignBody                : returnPassedRowsFrequency_Body
      ClassShortComment         : Renvoie la fr�quence de passage dans les inter-rangs en fonction de l'operation
      Type                      : FLOAT
      AddArgument               : OperationArgument
}
#==============================================
Method ReturnPhytoTreatmentOperationSubclass {
      ClassSymbol               : RETURN_PHYTO_TREATMENT_OPERATION_SUBCLASS
      ClassName                 : returnPhytoTreatmentOperationSubclass
      ObjectClass               : BD_ENTITY
      AssignBody                : returnPhytoTreatmentOperationSubclass_Body
      ClassShortComment         : renvoie une classe d'ot de traitement adaptee au materiel, parcelle, strategie
      Type                      : INT
      AddArgument               : PlotArgument
      AddArgument               : DistributedActivitySetArgument
      AddArgument               : SprayerTypeRegularOptionArgument
      AddArgument               : SprayerTypeAtBeginningOptionArgument
      AddArgument               : SprayNumberAtBeginningOptionArgument
}
#==============================================
Method ReturnShootThinningOperationSubclass {
      ClassSymbol               : RETURN_SHOOT_THINNING_OPERATION_SUBCLASS
      ClassName                 : returnShootThinningOperationSubclass
      ObjectClass               : BD_ENTITY
      AssignBody                : returnShootThinningOperationSubclass_Body
      ClassShortComment         : renvoie une classe d'ot de broyage adaptee au materiel, parcelle, strategie
      Type                      : INT
      AddArgument               : PlotArgument
}
#==============================================
Method ReturnSoilManagementGroupOnProfile {
      ClassSymbol               : RETURN_SOIL_MANAGEMENT_GROUP_ON_PROFILE
      ClassName                 : returnSoilManagementGroupOnProfile
      ObjectClass               : BD_ENTITY
      AssignBody                : returnSoilManagementGroupOnProfile_Body
      ClassShortComment         : renvoie le groupe de gestion en fonction des proprietes de la parcelle
      Type                      : P_ENTITY
      AddArgument               : ManagementGroupSetArgument
}
#==============================================
Method ReturnTillageOperationSubclass {
      ClassSymbol               : RETURN_TILLAGE_OPERATION_SUBCLASS
      ClassName                 : returnTillageOperationSubclass
      ObjectClass               : BD_ENTITY
      AssignBody                : returnTillageOperationSubclass_Body
      ClassShortComment         : renvoie une classe d'ot de labour adaptee au materiel, parcelle, strategie
      Type                      : INT
      AddArgument               : PlotArgument
      AddArgument               : SeasonArgument
}
#==============================================
Method SelectNewPlotsToAutumnTill {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_AUTUMN_TILL
      ClassName                 : selectNewPlotsToAutumnTill
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToAutumnTill_Body
      ClassShortComment         : renvoie un tableau de parcelles a labourer dans le chantier d'automne
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToClip {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_CLIP
      ClassName                 : selectNewPlotsToClip
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToClip_Body
      ClassShortComment         : renvoie un tableau de parcelles a ecimer
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : ClockArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
      AddArgument               : SerialParallelArgument
}
#==============================================
Method SelectNewPlotsToDebranch {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_DEBRANCH
      ClassName                 : selectNewPlotsToDebranch
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToDebranch_Body
      ClassShortComment         : renvoie un tableau de parcelles a epamprer
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : ManualMotorizedArgument
}
#==============================================
Method SelectNewPlotsToFertilize {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_FERTILIZE
      ClassName                 : selectNewPlotsToFertilize
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToFertilize_Body
      ClassShortComment         : renvoie un tableau de parcelles a fertiliser
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToInitSpringTill {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_INIT_SPRING_TILL
      ClassName                 : selectNewPlotsToInitSpringTill
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToInitSpringTill_Body
      ClassShortComment         : renvoie un tableau de parcelles a labourer dans le chantier de reprise
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToPhytoProtect {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_PHYTO_PROTECT
      ClassName                 : selectNewPlotsToPhytoProtect
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToPhytoProtect_Body
      ClassShortComment         : renvoie un tableau de parcelles a traiter
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : ManualMotorizedArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToPlant {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_PLANT
      ClassName                 : selectNewPlotsToPlant
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToPlant_Body
      ClassShortComment         : renvoie un tableau de parcelles a planter
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToPrune {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_PRUNE
      ClassName                 : selectNewPlotsToPrune
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToPrune_Body
      ClassShortComment         : renvoie un tableau de parcelles a tailler
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
      AddArgument               : SerialParallelArgument
}
#==============================================
Method SelectNewPlotsToShootThin {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_SHOOT_THIN
      ClassName                 : selectNewPlotsToShootThin
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToShootThin_Body
      ClassShortComment         : renvoie un tableau de parcelles a broyer
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToSpringTill {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_SPRING_TILL
      ClassName                 : selectNewPlotsToSpringTill
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToSpringTill_Body
      ClassShortComment         : renvoie un tableau de parcelles a labourer dans le chantier de printemps
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToSpringWeed {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_SPRING_WEED
      ClassName                 : selectNewPlotsToSpringWeed
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToSpringWeed_Body
      ClassShortComment         : renvoie un tableau de parcelles a desherber au printemps
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : ManualMotorizedArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToTrellis {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_TRELLIS
      ClassName                 : selectNewPlotsToTrellis
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToTrellis_Body
      ClassShortComment         : renvoie un tableau de parcelles a relever
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
      AddArgument               : SerialParallelArgument
}
#==============================================
Method SelectNewPlotsToWeed {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_WEED
      ClassName                 : selectNewPlotsToWeed
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToWeed_Body
      ClassShortComment         : renvoie un tableau de parcelles a desherber
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : ManualMotorizedArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SelectNewPlotsToWinterTill {
      ClassSymbol               : SELECT_NEW_PLOTS_TO_WINTER_TILL
      ClassName                 : selectNewPlotsToWinterTill
      ObjectClass               : BD_ENTITY
      AssignBody                : selectNewPlotsToWinterTill_Body
      ClassShortComment         : renvoie un tableau de parcelles a labourer dans le chantier d'hiver
      Type                      : ENTITY_TAB
      AddArgument               : VineyardArgument
      AddArgument               : SerialParallelArgument
      AddArgument               : TerminatedPlotsArgument
      AddArgument               : InCoursePlotsArgument
}
#==============================================
Method SetDayWhenStageAchieved {
      ClassSymbol               : SET_DAY_WHEN_STAGE_ACHIEVED
      ClassName                 : setDayWhenStageAchieved
      ObjectClass               : BD_ENTITY
      AssignBody                : setDayWhenStageAchieved_Body
      ClassShortComment         : dote le stade du jour de son achevement, passe en argument
      Type                      : VOID
      AddArgument               : DayWhenAchievedArgument
}
#==============================================
Method SetFlagMildew {
      ClassSymbol               : SET_FLAG_MILDEW
      ClassName                 : setFlagMildew
      ObjectClass               : BD_ENTITY
      AssignBody                : setFlagMildew_Body
      ClassShortComment         : etablit le descripteur FlagMildew de la conduite (mildewWarningProcess)
      Type                      : INT
}
#==============================================
Method SetRowSoilManagement {
      ClassSymbol               : SET_ROW_SOIL_MANAGEMENT
      ClassName                 : setRowSoilManagement
      ObjectClass               : BD_ENTITY
      AssignBody                : setRowSoilManagement_Body
      ClassShortComment         : etablit le mode de gestion de chaque rangee de la parcelle
      Type                      : VOID
}
#==============================================
Method SetScheduledAntiMildew {
      ClassSymbol               : SET_SCHEDULED_ANTI_MILDEW
      ClassName                 : setScheduledAntiMildew
      ObjectClass               : BD_ENTITY
      AssignBody                : setScheduledAntiMildew_Body
      ClassShortComment         : pour un chantier ouvert, etablit s'il est programme avec un anti-mildiou
      Type                      : VOID
      AddArgument               : VineyardArgument
}
#==============================================
Method SumUpGrassCoverVector {
      ClassSymbol               : SUM_UP_GRASS_COVER_VECTOR
      ClassName                 : sumUpGrassCoverVector
      ObjectClass               : BD_ENTITY
      AssignBody                : sumUpGrassCoverVector_Body
      ClassShortComment         : renvoie un scalaire a partir du vecteur des couvertures sur les unit. hydro.
      Type                      : FLOAT
}
#==============================================
Method SumUpSoilHumidityVector {
      ClassSymbol               : SUM_UP_SOIL_HUMIDITY_VECTOR
      ClassName                 : sumUpSoilHumidityVector
      ObjectClass               : BD_ENTITY
      AssignBody                : sumUpSoilHumidityVector_Body
      ClassShortComment         : renvoie un scalaire a partir du vecteur des humidites sur les unit. hydro.
      Type                      : FLOAT
}
#==============================================
Method TimetableClosingPredicate {
      ClassSymbol               : TIMETABLE_CLOSING_PREDICATE
      ClassName                 : timetableClosingPredicate
      ObjectClass               : BD_ENTITY
      AssignBody                : timetableClosingPredicate_Body
      ClassShortComment         : specifie la fermeture d'un SeasonalEmploymentPlan
      Type                      : BOOLEAN
}
#==============================================
Method TimetableOpeningPredicate {
      ClassSymbol               : TIMETABLE_OPENING_PREDICATE
      ClassName                 : timetableOpeningPredicate
      ObjectClass               : BD_ENTITY
      AssignBody                : timetableOpeningPredicate_Body
      ClassShortComment         : specifie l'ouverture d'un SeasonalEmploymentPlan
      Type                      : BOOLEAN
}
#==============================================
Method UpdateOffPeriodCurrentIndex {
      ClassSymbol               : UPDATE_OFF_PERIOD_CURRENT_INDEX
      ClassName                 : updateOffPeriodCurrentIndex
      ObjectClass               : BD_ENTITY
      AssignBody                : updateOffPeriodCurrentIndex_Body
      ClassShortComment         : modifie l'index pointant sur la periode en cours dans un OffWorkCalendar
      Type                      : INT
}
#==============================================
Method UpdateSeasonCurrentIndex {
      ClassSymbol               : UPDATE_SEASON_CURRENT_INDEX
      ClassName                 : updateSeasonCurrentIndex
      ObjectClass               : BD_ENTITY
      AssignBody                : updateSeasonCurrentIndex_Body
      ClassShortComment         : modifie l'index pointant sur la saison en cours dans un AnnualEmploymentPlan
      Type                      : INT
}
#==============================================

