bool extraPhytoTreatmentsIteration_openingPredicate_Body(EntityMethod* pM) {
//--------------------------------------------------------------------------
// Doit renvoyer vrai pour que l'activit� puisse �tre ouverte.
//--------------------------------------------------------------------------
  Entity* pIterate = pM->DescribedEntity();
  Vineyard* pEA = App_GetVineyard((Activity*)pIterate);
  bool result = FALSE;
  //
  // TRUE si  :
  // - il y a du 'carignan' dans l'EA
  // - l'iteration 'regular' a d�j� eu au moins une realisation
  // (la condition 'il y a des drapeaux OU la pression maladie est suffisante'
  //  est placee sur l'openingPredicate du chantier)
  //
  pEntityTab pPlotTab = pEA->GetElementTab();
  int nbElems = pPlotTab.size();
  bool hasCarignan = FALSE;
  for(int i=0;i<nbElems;i++) {
	Entity* pPlot = (Entity*)pPlotTab.get_element(i);
	Entity* pVariety = pPlot->GetEntityConstValue(GRAPE_VARIETY_ATTRIBUTE);
	if(! strcmp(pVariety->InstanceName(), "carignan")) {
	  hasCarignan = TRUE;
	  break;
	}
  }
  
  if(hasCarignan) {
	Entity* pComposedProgram = pIterate->GetSuperSet();
	Entity* pRegularIteration = (Entity*)pComposedProgram->GetElement(0);
	int nbRepl = pRegularIteration->GetIntVarValue(REPLICATION_COUNTER);
	
	if(nbRepl > 0)
	  result = TRUE;
  }

//printf("\n'%s'::extraPhytoTreatmentsIteration_OP returns %d", pIterate->InstanceName(), result);
  return result;
};
