int weekDayAfternoon_setThisTimeSlotBegValue_Body(EntityMethod* pM) {
//-------------------------------------------------------------------
// (commentaire �ventuel)
//-------------------------------------------------------------------
  AvailabilityTimeSlot* pTimeSlot 
	= (AvailabilityTimeSlot*)(pM->DescribedEntity());
  int result;

  int now = pCurrentSim->Clock();
  //
  // recuperation date de fin du TimeSlot WeekDayMorning
  //
  Entity* pTimetable = pTimeSlot->GetSuperSet();
  int timeSlotIndex = pTimetable->GetElementPosition(pTimeSlot);
  Entity* pPrevTimeSlot = pTimetable->GetElement(timeSlotIndex-1);
  int prevTimeSlotEndDate = pPrevTimeSlot->GetIntVarValue(END_DATE);
  tm* pTm = ClockValueToTm(prevTimeSlotEndDate);
  //
  // par convention CDIESE, 
  // la date de fin est la premiere posterieure au TimeSlot
  //
  Entity* pSeasonalPlan = 
	pTimetable->GetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE);
  //
  // determination si l'instant courant est dans un jour ferie ou de conge
  //
  Entity* pAnnualPlan = pSeasonalPlan->GetSuperSet();
  Entity* pCalendar = pAnnualPlan->GetEntityConstValue(OFF_WORK_CALENDAR_ATTRIBUTE);
  pCalendar->SetIntArgValue(IS_CLOCK_VALUE_IN_CALENDAR, CLOCK_ARGUMENT, now);
  bool isOff = pCalendar->ExecPredicate(IS_CLOCK_VALUE_IN_CALENDAR);
  float begHour;
  if(isOff) {
	//
	// jour ferie ou de conge -> l'intervalle de dispo est reduit a rien
	// -> date de debut = date de fin
	//
	begHour = pSeasonalPlan->GetFloatConstValue(WORK_DAY_AFTERNOON_END_HOUR);
	pTm->tm_hour = (int)floor(begHour);
  }
  else  {
	begHour = pSeasonalPlan->GetFloatConstValue(WORK_DAY_AFTERNOON_BEG_HOUR);
	pTm->tm_hour = (int)ceil(begHour);
  } 
  pTm->tm_isdst = -1;// 120704
  mktime(pTm);
  int thisTimeSlotBegDate = StructTmToClockValue(pTm);
  delete pTm;
  if(thisTimeSlotBegDate < 0)
    result = now;
  else
    result = thisTimeSlotBegDate;
		
//printf("\n'%s'_setThisTimeSlotBegValue returns %d", pTimeSlot->InstanceName(), result);
  return result;
};
