int App_GetDistributedActivitySetType (Entity* pObj)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 130227 : ANTI_MILDIOU, EXTRA_PHYTO, REGULAR_PHYTO ou -9
//---------------------------------------------
{
//printf("\nentree App_GetDistributedActivitySetType('%s)", pObj->InstanceName());
  int typeChantier = -9;  // modif JPR 130227
  Entity* pIterate;
  Entity* pChantier = NULL;
  if(pObj->IsInstanceOf(ACTIVITY)) {
	pChantier = pObj;
	pIterate = (Entity*)pChantier->GetFirstContainer(ACTIVITY_ITERATION, 
													FALSE);
  }
  else if(pObj->IsInstanceOf(OPERATION)) {
	Entity* pInst = pObj->GetEntityVarValue(INSTRUCTION_CONTAINER);
	pIterate = (Entity*)pInst->GetFirstContainer(ACTIVITY_ITERATION, 
											 FALSE);
  }
  else {
	printf("\n!!! App_GetDistributedActivitySetType('%s) : type d'objet non gere.\n", pObj->InstanceName());
	exit(0);
  }
//printf("\n\tpIterate : %x pChantier : %s", pIterate, pChantier->InstanceName());
				
  if(pIterate) {
	if(pIterate->IsInstanceOf(REGULAR_PHYTO_TREATMENTS_ITERATION)) {
	  typeChantier = REGULAR_PHYTO;
	}
	else if(pIterate->IsInstanceOf(EXTRA_PHYTO_TREATMENTS_ITERATION)) {
	  typeChantier = EXTRA_PHYTO;
	}
  }
  else {  // modif JPR 130227
	if(pChantier->IsInstanceOf(SERIAL_ANTI_MILDEW_TREATMENTS)
	   ||
	   pChantier->IsInstanceOf(CONCURRENT_ANTI_MILDEW_TREATMENTS))
	  typeChantier = ANTI_MILDIOU;
  }
//printf("\nApp_GetDistributedActivitySetType('%s) returns %d", pObj->InstanceName(), typeChantier);
  return typeChantier;
}
