bool Body_OP_SpringTillages (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();
  // ci-dessous + JPR 120730 Dhivine_4.9
  Entity* pIterate = (Entity*)pChantier->GetFirstContainer(ACTIVITY_ITERATION,
												   FALSE);
  int replicationNumber = pIterate->GetIntVarValue(REPLICATION_COUNTER);
  int prevTillageClock = 
	pIterate->GetIntConstValue(PREVIOUS_REPLICATION_REF_DATE);
  // ci-dessous modif JPR 120730 Dhivine_4.9
  bool result = OpeningCondition_SpringTillages(pChantier,
												replicationNumber,
												prevTillageClock);

  if(result) {
	  
	//=================================================
	// creation du premier lot de parcelles a labourer
	// en fonction de l'option SER(ial) / PAR(allel)
	//=================================================

	pChantier->ClearEntityTabValues(TERMINATED_PLOTS_ATTRIBUTE);

	pEntityTab* pTerminatedPlots = new pEntityTab(); // vide
	pEntityTab* pInCoursePlots = new pEntityTab(); // vide

  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_SPRING_TILLAGES,
									TERMINATED_PLOTS_ARGUMENT, 
									pTerminatedPlots);
  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_SPRING_TILLAGES,
									IN_COURSE_PLOTS_ARGUMENT, 
									pInCoursePlots);
	pChantier->ExecPredicate(ADD_NEW_SITUATED_SPRING_TILLAGES);
  	//     ---------------------------------------------

	delete pTerminatedPlots;
	delete pInCoursePlots;
  }
  if(result) {
	pChantier->SetFloatVarValue(OPERATED_VINEYARD_SUB_AREA, (float)0.);
	// ci-dessous transport 120823 a partir de OpeningCondition_ST
	pIterate->SetIntConstValue(PREVIOUS_REPLICATION_REF_DATE, -9);
//printf("\n\t'%s'\t REF_DATE  = -9", pIterate->InstanceName());

	pChantier->SetIntConstValue(ACTUAL_REALIZATION_BEG_DATE, -9); // + JPR 130324
  }

//printf("\n'%s'::Body_OP_SpringTillages returns %d\n", pChantier->InstanceName(), result);
  return result;
}
