bool OpeningCondition_Prunings_OnDate (Entity* pObj)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  // pObj :    phase 1 
  //        ou chantier Prunings de la phase 2 
  //        ou chantier Fertilization/AutumnTillages de la phase 1
  // selon le client (= code appelant) de la presente fonction

  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pObj);
  int option = App_GetIntDecisionOption(pEA, OPT_PRUNING_O_P);

  int now = pCurrentSim->Clock();
  switch (option)  {
	
  case EARLY_NOV : {
	tm* pTm = ClockValueToTm(now);
	int year = pTm->tm_year + 1900;
	delete pTm;
	int clockOuverture = DateToClockValue(01, 11, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  case MID_NOV : {
	tm* pTm = ClockValueToTm(now);
	int year = pTm->tm_year + 1900;
	delete pTm;
	int clockOuverture = DateToClockValue(12, 11, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  case LATE_NOV : {
	tm* pTm = ClockValueToTm(now);
	int year = pTm->tm_year + 1900;
	delete pTm;
	int clockOuverture = DateToClockValue(20, 11, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  case EARLY_DEC : {
	tm* pTm = ClockValueToTm(now);
	int year = pTm->tm_year + 1900;
	delete pTm;
	int clockOuverture = DateToClockValue(01, 12, year);
	if(now >= clockOuverture)
	  result = TRUE; 
	break;
  }
  default : {
	printf("\n'%s'::OpeningCondition_Prunings_OnDate option inconnue : %d", pObj->InstanceName(), option);
  }
	
  }
//printf("\n'%s'::OpeningCondition_Prunings_OnDate returns %d", pObj->InstanceName(), result);
  return result;
}
