void attachFarmWorkerToTimetables_Body(EntityMethod* pM)
//-----------------------------------------------------
// attachement reciproque entre l'ouvrier et les Timetable des periodes de l'AnnualPlan
//-----------------------------------------------------
{
  Entity* pEmploymentPlan = pM->DescribedEntity();
  BasicEntity* pFarmWorker = pM->GetEntityArgValue(FARM_WORKER_ARGUMENT);

  int nbSeasons = pEmploymentPlan->GetNumberOfElements();
  for(int k=0;k<nbSeasons;k++)  {
	Entity* pSeasonalPlan = pEmploymentPlan->GetElement(k);
	Entity* pRATT = pSeasonalPlan->GetEntityConstValue(TIMETABLE_ATTRIBUTE);
	((RecurrentAvailabilityTimetable*)pRATT)->AttachToResource((SingleResource*)pFarmWorker);
  }
};
