// ==============================================
// Fichier : UserContinuousProcess.h
// Type    : source C++
// 
// Description : declaration des classes des 'ContinuousProcess'.
// ==============================================
#ifndef _User_CONTINUOUSPROCESS_HH
#define _User_CONTINUOUSPROCESS_HH

#include "UserTypes.h"

// ==============================================

class GrapevineAgeingProcess : public ContinuousProcess
{
  public :
    GrapevineAgeingProcess();
};


// ==============================================

class HourlyWeatherFileReading : public ReadBufferizedDataFileProcess
{
  public :
    HourlyWeatherFileReading();
};


#endif  // _User_CONTINUOUSPROCESS_HH
