// ==============================================
// Fichier : UserDiscreteProcess.h
// Type    : source C++
// 
// Description : declaration des classes des 'DiscreteProcess'.
// ==============================================

#ifndef _User_DISCRETEPROCESS_HH
#define _User_DISCRETEPROCESS_HH

#include "UserTypes.h"

// ==============================================

class ClearPerfAllocationAndUpdateSituation : public DiscreteProcess
{
  public :
    ClearPerfAllocationAndUpdateSituation();
};


// ==============================================

class MemoryItemGarbagingProcess : public DiscreteProcess
{
  public :
    MemoryItemGarbagingProcess();
};


// ==============================================

class MildewWarningProcess : public DiscreteProcess
{
  public :
    MildewWarningProcess();
};


// ==============================================

class MorningMhydasInteractionProcess : public DiscreteProcess
{
  public :
    MorningMhydasInteractionProcess();
};


// ==============================================

class UpdateSeasonCurrentIndexProcess : public DiscreteProcess
{
  public :
    UpdateSeasonCurrentIndexProcess();
};


// ==============================================

class InitPestInfoFileReading : public InitFactualDataFileReadingProcess
{
  public :
    InitPestInfoFileReading();
};


// ==============================================

class InitPhenoStageFileReading : public InitFactualDataFileReadingProcess
{
  public :
    InitPhenoStageFileReading();
};


#endif  // _User_DISCRETEPROCESS_HH
