// ==============================================
// Fichier : UserInterfaceDataItem.h
// Type    : source C++
// 
// Description : déclaration des classes des 'InterfaceDataItem'.
// ==============================================
  
#ifndef _User_INTERFACEDATAITEM_HH
#define _User_INTERFACEDATAITEM_HH
  
#include "UserTypes.h"
  
// ==============================================

class DhivineValuatedDataItem : public InterfaceDataItem
{
  public :
    DhivineValuatedDataItem();
};

// ==============================================

class MhydasValuatedDataItem : public InterfaceDataItem
{
  public :
    MhydasValuatedDataItem();
};

// ==============================================

class RelativeAreaDataItem : public DhivineValuatedDataItem
{
  public :
    RelativeAreaDataItem();
};

// ==============================================

class SoilHumidityVectorDataItem : public MhydasValuatedDataItem
{
  public :
    SoilHumidityVectorDataItem();
};

// ==============================================

class SoilManagementDataItem : public DhivineValuatedDataItem
{
  public :
    SoilManagementDataItem();
};

// ==============================================

class CulturalOperationsDataItem : public DhivineValuatedDataItem
{
  public :
    CulturalOperationsDataItem();
};

// ==============================================

class GrassCoverVectorDataItem : public MhydasValuatedDataItem
{
  public :
    GrassCoverVectorDataItem();
};

#endif  // _User_INTERFACEDATAITEM_HH
