// ==============================================
// Fichier : UserTypes.h
// Type    : source C++
// 
// Description : dfinitions des types 'Utilisateur'.
// ==============================================

// ------------------------------
// Declaration des classes des 'Entity'.
// ------------------------------

class AgroClimaticSystem;
class AirAssistedSprayer;
class AirAssistedSpraying;
class AirAssistedSprayingOperationResourceSpec;
class AirAssistedSprayingResourceSet;
class AllocationPriorityOptionSet;
class AllocationPriorityOptionSubset;
class AnnualEmploymentPlan;
class AprilEmploymentPlan;
class AprilNormalHoursEmploymentPlan;
class AprilReducedHoursEmploymentPlan;
class AtLeastOnePlot;
class AutumnTillageActivity;
class BackSprayer;
class BackSprayingOperation;
class ChemicalDebrancherOperatedSpraying;
class ChemicalDebrancherSprayingOperationResourceSpec;
class ChemicalDebrancherSprayingResourceSet;
class ChemicalWeedingActivity;
class Clipper;
class ClippingActivity;
class ClippingOperation;
class ClippingOperationResourceSpec;
class ClippingResourceSet;
class CollectorPane;
class ConcurrentAntiMildewTreatments;
class ConcurrentAutumnTillages;
class ConcurrentChemicalWeedings;
class ConcurrentClippings;
class ConcurrentClippingsIteration;
class ConcurrentDebranchings;
class ConcurrentDistributedActivitySet;
class ConcurrentExtraPhytoTreatments;
class ConcurrentFertilizations;
class ConcurrentInitSpringTillages;
class ConcurrentPrunings;
class ConcurrentRegularPhytoTreatments;
class ConcurrentShootThinnings;
class ConcurrentSpringChemicalWeedings;
class ConcurrentSpringTillages;
class ConcurrentTrellisings;
class ConcurrentWinterTillages;
class Conduite1;
class Conduite2;
class Conduite3;
class Conduite4;
class Conduite5;
class CropRow;
class CulturalOperationsDataItem;
class DebranchingActivity;
class DebranchingSprayer;
class DecisionOptionSet;
class DhivineValuatedDataItem;
class DistributedActivitySetIteration;
class DistributedActivitySetMemoryItem;
class EquipmentMultiLocalization;
class EquipmentUbiquityCondition;
class ExtraPhytoTreatmentsIteration;
class FarmEquipment;
class FarmWorker;
class FarmWorkerAvailabilityTimetable;
class FarmWorkerMultiLocalization;
class FarmWorkerMultiOccupation;
class FarmWorkerMultiOccupied;
class FarmWorkerUbiquityCondition;
class FebruaryMarchEmploymentPlan;
class FebruaryMarchNormalHoursEmploymentPlan;
class FebruaryMarchReducedHoursEmploymentPlan;
class FertilizationActivity;
class FertilizationOperation;
class FertilizationOperationResourceSpec;
class FertilizationResourceSet;
class FormationPruningActivity;
class GobeletPruningActivity;
class GrapeVariety;
class Grapevine;
class GrapevineAge;
class Grass;
class GrassAge;
class GrassCoverVectorDataItem;
class GrassType;
class Grinder;
class GrinderOperatedShootThinning;
class GrinderShootThinningOperationResourceSpec;
class GrinderShootThinningResourceSet;
class GuyotPruningActivity;
class HandHeldGunOperatedSpraying;
class HandHeldGunSprayingOperationResourceSpec;
class HandHeldGunSprayingResourceSet;
class HandHeldSprayGun;
class HorizontalRailOperatedSpraying;
class HorizontalRailSprayer;
class HorizontalRailSprayingOperationResourceSpec;
class HorizontalRailSprayingResourceSet;
class InitSpringTillageActivity;
class InterRow;
class IsoAgeingEntity;
class LastOperationsMemory;
class LastOperationsMemoryItem;
class LastPesticideApplicationsMemoryItem;
class LastTillageOperationsMemoryItem;
class LowCumulativeRainSuffered;
class ManagerAnnualEmploymentPlan;
class ManualChemicalDebranchingActivity;
class ManualChemicalWeedingActivity;
class ManualDebranchingOperation;
class ManualMechanicalDebranchingActivity;
class ManualOperation;
class ManualPhytoTreatmentActivity;
class MayAugustEmploymentPlan;
class MayAugustExtendedHoursEmploymentPlan;
class MayAugustNormalHoursEmploymentPlan;
class MayAugustReducedHoursEmploymentPlan;
class MhydasValuatedDataItem;
class MoreThanOnePlot;
class MoreThanOneTask;
class MotorizedChemicalDebranchingActivity;
class MotorizedChemicalWeedingActivity;
class MotorizedOperation;
class MotorizedPhytoTreatmentActivity;
class MotorizedSprayingOperation;
class MyFloatAreaOperation;
class NeutralInconsistencyCondition;
class NonPermanentFarmWorker;
class NonPermanentManualFarmWorker;
class NonPermanentTractorDriver;
class NovemberJanuaryEmploymentPlan;
class NovemberJanuaryNormalHoursEmploymentPlan;
class NovemberJanuaryReducedHoursEmploymentPlan;
class OffWorkCalendar;
class OffWorkSinglePeriod;
class OnlyPhytoTreatmentsAtEarlyMorning;
class OperationPriorityOptionSet;
class OperationPriorityOptionSubset;
class OperationRecordingItem;
class OperationRecordingStructure;
class PermanentAllTaskTractorDriver;
class PermanentFarmWorker;
class PermanentFarmWorkerFiveDayTimetable;
class PermanentFarmWorkerSevenDayTimetable;
class PermanentFarmWorkerSixDayTimetable;
class PermanentManualFarmWorker;
class PermanentMultiTaskManualWorker;
class PermanentMultiTaskWorker;
class PermanentPreferentialTractorDriver;
class PermanentPruner;
class PermanentTillageOrientedTractorDriver;
class PermanentTillageTractorDriver;
class PermanentTractorDriver;
class PermanentVegetationGrower;
class PestInfoMemory;
class PestInfoMemoryItem;
class PhenoStage;
class PhytoTreatmentActivity;
class PhytoTreatmentComposedProgram;
class PlantAge;
class PlantationActivity;
class PlantationOperation;
class Plot;
class PlotInternalPatternOptionSet;
class PlotInternalPatternOptionSubset;
class PlotWithSeveralOperations;
class PruningActivity;
class PruningMachine;
class PruningOperation;
class RegularPhytoTreatmentsIteration;
class RelativeAreaDataItem;
class RetiredWorkerAnnualEmploymentPlan;
class RotaryCultivator;
class RotaryOperatedShootThinning;
class RotaryOperatedTillage;
class RotaryTillageOperationResourceSpec;
class RotaryTillageResourceSet;
class Row;
class RoyatPruningActivity;
class SeasonalEmploymentPlan;
class SeptemberOctoberEmploymentPlan;
class SeptemberOctoberNormalHoursEmploymentPlan;
class SeptemberOctoberReducedHoursEmploymentPlan;
class SerialAntiMildewTreatments;
class SerialAutumnTillages;
class SerialChemicalWeedings;
class SerialClippings;
class SerialClippingsIteration;
class SerialDebranchings;
class SerialDistributedActivitySet;
class SerialExtraPhytoTreatments;
class SerialFertilizations;
class SerialInitSpringTillages;
class SerialManualChemicalWeedings;
class SerialManualDebranchings;
class SerialManualRegularPhytoTreatments;
class SerialManualSpringChemicalWeedings;
class SerialMotorizedChemicalWeedings;
class SerialMotorizedDebranchings;
class SerialMotorizedRegularPhytoTreatments;
class SerialMotorizedSpringChemicalWeedings;
class SerialPlantations;
class SerialPrunings;
class SerialRegularPhytoTreatments;
class SerialShootThinnings;
class SerialSpringChemicalWeedings;
class SerialSpringTillages;
class SerialTrellisings;
class SerialTrellisingsIteration;
class SerialWinterTillages;
class ShootThinningActivity;
class ShootThinningOperation;
class SoilHumidityVectorDataItem;
class SoilManagementDataItem;
class SoilManagementGroup;
class SoilManagementGroupSet;
class SoilReservoir;
class SoilSurface;
class SpecialWorkerAnnualEmploymentPlan;
class Sprayer;
class Spreader;
class SpringTillageActivity;
class SpringTillagesIteration;
class SpringTineCultivator;
class SpringTineOperatedTillage;
class SpringTineTillageOperationResourceSpec;
class SpringTineTillageResourceSet;
class StandardWorkerAnnualEmploymentPlan;
class Tank;
class TillageActivity;
class TillageOperation;
class TillageResourceSet;
class TillageTool;
class TooLateInWorkDayForActivityBeginning;
class Tractor;
class TrellisingActivity;
class TrellisingMachine;
class TrellisingOperation;
class VarietyGroup;
class VarietyGroupSet;
class VegetalCompartment;
class Vegetation;
class VerticalRailOperatedSpraying;
class VerticalRailSprayer;
class VerticalRailSprayingOperationResourceSpec;
class VerticalRailSprayingResourceSet;
class VineGrowingTerritory;
class VineProducingRegion;
class Vineyard;
class VineyardActivitiesResourcesBlock;
class VineyardActivity;
class VineyardControlSequence;
class VineyardIteratedConjunctiveSubplan;
class VineyardPhaseConjunctivePlan;
class VineyardPhaseOptionalPlan;
class VineyardSet;
class VirtualRegionManager;
class VirtualRegionOperatingSystem;
class WeatherStation;
class WeatherStationSet;
class WeekDayAfternoon;
class WeekDayMorning;
class WeekDayPart;
class WinterTillageActivity;
class WorkOrganizationOptionSet;
class WorkOrganizationOptionSubset;

#ifndef _User_TYPES_HH
#define _User_TYPES_HH

#include "O_diese.h"
#include "O_appli.h"

#ifdef _SWIG_
void O_App_xs_init();
#endif


// ------------------------------
// Declaration des variables globales.
// ------------------------------

extern bool gEveningFlag;
extern File* gFileBDD;
extern File* gFileEndingTrace;
extern bool gMyEndingTraceAllOperations;
extern char* gMyEndingTraceFileName;
extern bool gMyEndingTraceSomeOperations;
extern char* gMyEndingTraceStringTab;
extern char* gMyGanttFileName;
extern bool gMyGanttFileSpec;
extern char* gMyGanttFileSuffix;
extern char* gMyRecordFileName;
extern bool gMyRecordOperations;
extern bool gMyTraceOperations;
extern bool gMyTraceWarnings;
extern int gIntParam_virtualManager_memoryScope_;
extern int gIntParam_virtualManager_predictionScope_;
extern char* gStringParam_install_vineyardFile_;
extern char* gStringParam_install_resourceFile_;
extern char* gStringParam_install_planFile_;
extern float gRealParam_virtualManager_riskLevelForDownyMildewClosing_;
extern float gRealParam_virtualManager_rainfallThresholdForPhytoTreatment_;
extern float gRealParam_virtualManager_satisfactionThresholdForPhytoTreatment_;
extern float gRealParam_normalPlan_septemberOctoberMorningBegHour_;
extern float gRealParam_normalPlan_septemberOctoberMorningEndHour_;
extern float gRealParam_normalPlan_septemberOctoberMorningExtendedEndHour_;
extern float gRealParam_normalPlan_septemberOctoberAfternoonBegHour_;
extern float gRealParam_normalPlan_septemberOctoberAfternoonEndHour_;
extern float gRealParam_normalPlan_septemberOctoberAfternoonExtendedEndHour_;
extern float gRealParam_reducedPlan_septemberOctoberMorningBegHour_;
extern float gRealParam_reducedPlan_septemberOctoberMorningEndHour_;
extern float gRealParam_reducedPlan_septemberOctoberMorningExtendedEndHour_;
extern float gRealParam_reducedPlan_septemberOctoberAfternoonBegHour_;
extern float gRealParam_reducedPlan_septemberOctoberAfternoonEndHour_;
extern float gRealParam_reducedPlan_septemberOctoberAfternoonExtendedEndHour_;
extern float gRealParam_normalPlan_aprilMorningBegHour_;
extern float gRealParam_normalPlan_aprilMorningEndHour_;
extern float gRealParam_normalPlan_aprilMorningExtendedEndHour_;
extern float gRealParam_normalPlan_aprilAfternoonBegHour_;
extern float gRealParam_normalPlan_aprilAfternoonEndHour_;
extern float gRealParam_normalPlan_aprilAfternoonExtendedEndHour_;
extern float gRealParam_reducedPlan_aprilMorningBegHour_;
extern float gRealParam_reducedPlan_aprilMorningEndHour_;
extern float gRealParam_reducedPlan_aprilMorningExtendedEndHour_;
extern float gRealParam_reducedPlan_aprilAfternoonBegHour_;
extern float gRealParam_reducedPlan_aprilAfternoonEndHour_;
extern float gRealParam_reducedPlan_aprilAfternoonExtendedEndHour_;
extern float gRealParam_normalPlan_februaryMarchMorningBegHour_;
extern float gRealParam_normalPlan_februaryMarchMorningEndHour_;
extern float gRealParam_normalPlan_februaryMarchMorningExtendedEndHour_;
extern float gRealParam_normalPlan_februaryMarchAfternoonBegHour_;
extern float gRealParam_normalPlan_februaryMarchAfternoonEndHour_;
extern float gRealParam_normalPlan_februaryMarchAfternoonExtendedEndHour_;
extern float gRealParam_reducedPlan_februaryMarchMorningBegHour_;
extern float gRealParam_reducedPlan_februaryMarchMorningEndHour_;
extern float gRealParam_reducedPlan_februaryMarchMorningExtendedEndHour_;
extern float gRealParam_reducedPlan_februaryMarchAfternoonBegHour_;
extern float gRealParam_reducedPlan_februaryMarchAfternoonEndHour_;
extern float gRealParam_reducedPlan_februaryMarchAfternoonExtendedEndHour_;
extern float gRealParam_extendedPlan_mayAugustMorningBegHour_;
extern float gRealParam_extendedPlan_mayAugustMorningEndHour_;
extern float gRealParam_extendedPlan_mayAugustMorningExtendedEndHour_;
extern float gRealParam_extendedPlan_mayAugustAfternoonBegHour_;
extern float gRealParam_extendedPlan_mayAugustAfternoonEndHour_;
extern float gRealParam_extendedPlan_mayAugustAfternoonExtendedEndHour_;
extern float gRealParam_normalPlan_mayAugustMorningBegHour_;
extern float gRealParam_normalPlan_mayAugustMorningEndHour_;
extern float gRealParam_normalPlan_mayAugustMorningExtendedEndHour_;
extern float gRealParam_normalPlan_mayAugustAfternoonBegHour_;
extern float gRealParam_normalPlan_mayAugustAfternoonEndHour_;
extern float gRealParam_normalPlan_mayAugustAfternoonExtendedEndHour_;
extern float gRealParam_reducedPlan_mayAugustMorningBegHour_;
extern float gRealParam_reducedPlan_mayAugustMorningEndHour_;
extern float gRealParam_reducedPlan_mayAugustMorningExtendedEndHour_;
extern float gRealParam_reducedPlan_mayAugustAfternoonBegHour_;
extern float gRealParam_reducedPlan_mayAugustAfternoonEndHour_;
extern float gRealParam_reducedPlan_mayAugustAfternoonExtendedEndHour_;
extern float gRealParam_normalPlan_novemberJanuaryMorningBegHour_;
extern float gRealParam_normalPlan_novemberJanuaryMorningEndHour_;
extern float gRealParam_normalPlan_novemberJanuaryMorningExtendedEndHour_;
extern float gRealParam_normalPlan_novemberJanuaryAfternoonBegHour_;
extern float gRealParam_normalPlan_novemberJanuaryAfternoonEndHour_;
extern float gRealParam_normalPlan_novemberJanuaryAfternoonExtendedEndHour_;
extern float gRealParam_reducedPlan_novemberJanuaryMorningBegHour_;
extern float gRealParam_reducedPlan_novemberJanuaryMorningEndHour_;
extern float gRealParam_reducedPlan_novemberJanuaryMorningExtendedEndHour_;
extern float gRealParam_reducedPlan_novemberJanuaryAfternoonBegHour_;
extern float gRealParam_reducedPlan_novemberJanuaryAfternoonEndHour_;
extern float gRealParam_reducedPlan_novemberJanuaryAfternoonExtendedEndHour_;
extern int gIntParam_standardWorkingTime_day_;
extern int gIntParam_standardWorkingTime_week_;
extern int gIntParam_standardWorkingTime_year_;
extern int gIntParam_phytoTreatmentsWorkingTime_day_;
extern int gIntParam_managerWorkingTime_day_;
extern int gIntParam_managerWorkingTime_week_;
extern int gIntParam_phytoTreatmentsWorkingTime_week_;
extern int gIntParam_morningUpdateSituation_normalHour_;
extern int gIntParam_morningUpdateSituation_specialHour_;
extern int gIntParam_virtualManager_pestMemoryScope_;
extern int gIntParam_virtualManager_actualDownyMildewLevelThreshold_;
extern float gRealParam_workabilityHumidityMaxThresholdIfRain_nonPeakPeriod_;
extern float gRealParam_workabilityHumidityMaxThreshold_nonPeakPeriod_;
extern float gRealParam_workabilityHumidityMaxThreshold_peakPeriod_;
extern float gRealParam_arretMainDOeuvre_seuilCumulPluieJour_;
extern float gRealParam_vineyardActivity_standardMinPercentageToBeginOperation_;
extern float gRealParam_plantationOperation_overallSpeed_;
extern int gIntParam_trellisingOperation_speed_;
extern int gIntParam_backSprayingOperation_speed_;
extern int gIntParam_manualDebranchingOperation_speed_;
extern float gRealParam_tillageOperation_speed_;
extern float gRealParam_verticalRailOperatedSpraying_speed_;
extern float gRealParam_airAssistedSpraying_speed_;
extern float gRealParam_chemicalDebrancherOperatedSpraying_speed_;
extern float gRealParam_clippingOperation_speed_;
extern float gRealParam_fertilizationOperation_speed_;
extern float gRealParam_grinderOperatedShootThinning_speed_;
extern float gRealParam_handHeldGunOperatedSpraying_speed_;
extern float gRealParam_horizontalRailOperatedSpraying_speed_;
extern float gRealParam_rotaryOperatedShootThinning_speed_;
extern float gRealParam_virtualManager_weedThresholdForTillageOpening_;
extern char* gStringParam_recordOperations_file_;
extern float gRealParam_trafficabilityRainMaxThreshold_mechanicalOperation_;
extern float gRealParam_workabilityRainMaxThreshold_tillageOperation_;
extern int gIntParam_afternoonUpdateSituation_normalHour_;
extern float gRealParam_tillageOperation_speedReductionRate_;
extern int gIntParam_virtualManager_nbDaysThresholdForTillageOpening_;
extern int gIntParam_guyotPruning_speedNotPrePruned_;
extern float gRealParam_virtualManager_lowRainfallThresholdForWinterRainBasedSpringTillage_;
extern float gRealParam_virtualManager_highRainfallThresholdForWinterRainBasedSpringTillage_;
extern int gIntParam_virtualManager_springTillagesMaxNumberOfReplicationsInDryPeriod_;
extern float gRealParam_virtualManager_rainfallThresholdForWinterRainBasedInitSpringTillage_;
extern int gIntParam_virtualManager_downyMildewLevelThresholdForFlagUp_;
extern float gRealParam_virtualManager_downyMildewRiskThresholdForFlagUp_;



// ------------------------------
// Declaration des numrations locales.
// ------------------------------

enum Enum_CropEvents {
    BEG_PRUN = 160,
    END_DEBR = 161,
    END_HARV = 162,
    END_PRUN_THIN = 163,
    END_THIN = 164,
    END_THIN_CW = 165,
    END_THIN_FERT = 166,
    END_THIN_CW_FERT = 167
};
enum Enum_DebranchingModalities {
    PART_CHEM = 180,
    PART_MECA = 181,
    PART_MECA_CHEM = 182,
    WHOLE_CHEM = 183,
    WHOLE_MECA = 184,
    WHOLE_MECA_CHEM = 185
};
enum Enum_DownyMildewManagementModalities {
    R0 = 0,
    R1 = 1,
    RFLO = 2,
    F2 = 3,
    F3 = 4,
    FFLO = 5,
    S = 6
};
enum Enum_EarlyMidLate {
    EARLY_FEB = 130,
    EARLY_MAR = 131,
    EARLY_APR = 132,
    EARLY_JUN = 133,
    EARLY_JUL = 134,
    EARLY_OCT = 135,
    EARLY_NOV = 136,
    EARLY_DEC = 137,
    MID_JAN = 138,
    MID_FEB = 139,
    MID_MAR = 140,
    MID_APR = 141,
    MID_MAY = 142,
    MID_JUL = 143,
    MID_OCT = 144,
    MID_NOV = 145,
    MID_DEC = 146,
    LATE_MAR = 147,
    LATE_OCT = 148,
    LATE_NOV = 149,
    LATE_DEC = 150,
    TEN_AUG = 151
};
enum Enum_ExceptionId {
    ERR_NO_OT_SPEC = 80
};
enum Enum_Files {
    OPERATIONS_FILE = 210,
    ENDING_TRACE_FILE = 211
};
enum Enum_FlagShootValues {
    NON = 10,
    OUI = 11
};
enum Enum_Mois {
    AUGUST = 120,
    NOVEMBER = 121,
    DECEMBER = 122,
    NOVEMBRE = 123,
    DECEMBRE = 124
};
enum Enum_PhytoTreatmentRainAnticipation {
    BEFORE = 20,
    AFTER = 21
};
enum Enum_PhytoTreatmentTypes {
    ANTI_MILDIOU = 30,
    REGULAR_PHYTO = 31,
    EXTRA_PHYTO = 32
};
enum Enum_PowderyMildewManagementModalities {
    E1 = 40,
    E2 = 41,
    E3 = 42,
    G = 43,
    SG1 = 44,
    SG4 = 45
};
enum Enum_PrePruningModalities {
    NONE = 90,
    ALL_PLOTS = 91,
    ALL_BUT_GOB = 92,
    LARGE = 93,
    ROYAT = 94,
    VIGOROUS = 95,
    ROYAT_VIGOROUS = 96
};
enum Enum_Seasons {
    AUTUMN = 50,
    WINTER = 51,
    INITSPRING = 52,
    SPRING = 53
};
enum Enum_ShootThinningsOpeningOptions {
    ONE_PLOT_PRUNED = 170,
    SURF_PRUNED_3 = 171,
    SURF_PRUNED_12 = 172,
    SURF_PRUNED_17 = 173,
    SURF_PRUNED_MAJ = 174
};
enum Enum_SoilManagementModalities {
    TILLAGE = 60,
    CHEMICAL_WEEDING = 61,
    GRASS_COVER = 62,
    MIXED_TILLAGE_CW = 63
};
enum Enum_SoilManagementOptions {
    GRASS_COVERING = 65,
    GRASS_COVERING_TILLAGE = 66,
    CW_IN_SPACE = 67,
    CW_IN_TIME = 68,
    TOTAL_CW = 69,
    TOTAL_TILLAGE = 70
};
enum Enum_SprayerTypeOptions {
    HAND_HELD = 72,
    BACK_CARRIED = 73,
    HORIZONTAL = 74,
    VERTICAL = 75,
    AIR_ASSISTED = 76,
    DEBRANCHER = 77
};
enum Enum_SpringTillagesOpeningOptions {
    WEED_COVER = 190,
    OPTIMIZATION = 191,
    OPPORTUNITY = 192,
    LOW_RAIN_INTENSITY = 193,
    LOW_RAIN_INTENSITY_OR_LONG_DRY_PERIOD = 194,
    MEDIUM_RAIN_INTENSITY = 195,
    MEDIUM_RAIN_INTENSITY_OR_LONG_DRY_PERIOD = 196,
    HIGH_RAIN_INTENSITY = 197,
    HIGH_RAIN_INTENSITY_OR_LONG_DRY_PERIOD = 198,
    INIT_SPRING_TILLAGE = 199,
    WINTER_RAIN_BASED = 200,
    FARM_SCOPE = 201,
    PLOT_SCOPE = 202,
    PLOT_GROUP_SCOPE = 203
};


// ------------------------------
// Symboles de classe des 'Entity'.
// ------------------------------

enum O_App_ClassId {
    AGRO_CLIMATIC_SYSTEM = 401,
    AIR_ASSISTED_SPRAYER,
    AIR_ASSISTED_SPRAYING,
    AIR_ASSISTED_SPRAYING_OPERATION_RESOURCE_SPEC,
    AIR_ASSISTED_SPRAYING_RESOURCE_SET,
    ALLOCATION_PRIORITY_OPTION_SET,
    ALLOCATION_PRIORITY_OPTION_SUBSET,
    ANNUAL_EMPLOYMENT_PLAN,
    APRIL_EMPLOYMENT_PLAN,
    APRIL_NORMAL_HOURS_EMPLOYMENT_PLAN,
    APRIL_REDUCED_HOURS_EMPLOYMENT_PLAN,
    AT_LEAST_ONE_PLOT,
    AUTUMN_TILLAGE_ACTIVITY,
    BACK_SPRAYER,
    BACK_SPRAYING_OPERATION,
    CHEMICAL_DEBRANCHER_OPERATED_SPRAYING,
    CHEMICAL_DEBRANCHER_SPRAYING_OPERATION_RESOURCE_SPEC,
    CHEMICAL_DEBRANCHER_SPRAYING_RESOURCE_SET,
    CHEMICAL_WEEDING_ACTIVITY,
    CLIPPER,
    CLIPPING_ACTIVITY,
    CLIPPING_OPERATION,
    CLIPPING_OPERATION_RESOURCE_SPEC,
    CLIPPING_RESOURCE_SET,
    COLLECTOR_PANE,
    CONCURRENT_ANTI_MILDEW_TREATMENTS,
    CONCURRENT_AUTUMN_TILLAGES,
    CONCURRENT_CHEMICAL_WEEDINGS,
    CONCURRENT_CLIPPINGS,
    CONCURRENT_CLIPPINGS_ITERATION,
    CONCURRENT_DEBRANCHINGS,
    CONCURRENT_DISTRIBUTED_ACTIVITY_SET,
    CONCURRENT_EXTRA_PHYTO_TREATMENTS,
    CONCURRENT_FERTILIZATIONS,
    CONCURRENT_INIT_SPRING_TILLAGES,
    CONCURRENT_PRUNINGS,
    CONCURRENT_REGULAR_PHYTO_TREATMENTS,
    CONCURRENT_SHOOT_THINNINGS,
    CONCURRENT_SPRING_CHEMICAL_WEEDINGS,
    CONCURRENT_SPRING_TILLAGES,
    CONCURRENT_TRELLISINGS,
    CONCURRENT_WINTER_TILLAGES,
    CONDUITE1,
    CONDUITE2,
    CONDUITE3,
    CONDUITE4,
    CONDUITE5,
    CROP_ROW,
    CULTURAL_OPERATIONS_DATA_ITEM,
    DEBRANCHING_ACTIVITY,
    DEBRANCHING_SPRAYER,
    DECISION_OPTION_SET,
    DHIVINE_VALUATED_DATA_ITEM,
    DISTRIBUTED_ACTIVITY_SET_ITERATION,
    DISTRIBUTED_ACTIVITY_SET_MEMORY_ITEM,
    EQUIPMENT_MULTI_LOCALIZATION,
    EQUIPMENT_UBIQUITY_CONDITION,
    EXTRA_PHYTO_TREATMENTS_ITERATION,
    FARM_EQUIPMENT,
    FARM_WORKER,
    FARM_WORKER_AVAILABILITY_TIMETABLE,
    FARM_WORKER_MULTI_LOCALIZATION,
    FARM_WORKER_MULTI_OCCUPATION,
    FARM_WORKER_MULTI_OCCUPIED,
    FARM_WORKER_UBIQUITY_CONDITION,
    FEBRUARY_MARCH_EMPLOYMENT_PLAN,
    FEBRUARY_MARCH_NORMAL_HOURS_EMPLOYMENT_PLAN,
    FEBRUARY_MARCH_REDUCED_HOURS_EMPLOYMENT_PLAN,
    FERTILIZATION_ACTIVITY,
    FERTILIZATION_OPERATION,
    FERTILIZATION_OPERATION_RESOURCE_SPEC,
    FERTILIZATION_RESOURCE_SET,
    FORMATION_PRUNING_ACTIVITY,
    GOBELET_PRUNING_ACTIVITY,
    GRAPE_VARIETY,
    GRAPEVINE,
    GRAPEVINE_AGE,
    GRASS,
    GRASS_AGE,
    GRASS_COVER_VECTOR_DATA_ITEM,
    GRASS_TYPE,
    GRINDER,
    GRINDER_OPERATED_SHOOT_THINNING,
    GRINDER_SHOOT_THINNING_OPERATION_RESOURCE_SPEC,
    GRINDER_SHOOT_THINNING_RESOURCE_SET,
    GUYOT_PRUNING_ACTIVITY,
    HAND_HELD_GUN_OPERATED_SPRAYING,
    HAND_HELD_GUN_SPRAYING_OPERATION_RESOURCE_SPEC,
    HAND_HELD_GUN_SPRAYING_RESOURCE_SET,
    HAND_HELD_SPRAY_GUN,
    HORIZONTAL_RAIL_OPERATED_SPRAYING,
    HORIZONTAL_RAIL_SPRAYER,
    HORIZONTAL_RAIL_SPRAYING_OPERATION_RESOURCE_SPEC,
    HORIZONTAL_RAIL_SPRAYING_RESOURCE_SET,
    INIT_SPRING_TILLAGE_ACTIVITY,
    INTER_ROW,
    ISO_AGEING_ENTITY,
    LAST_OPERATIONS_MEMORY,
    LAST_OPERATIONS_MEMORY_ITEM,
    LAST_PESTICIDE_APPLICATIONS_MEMORY_ITEM,
    LAST_TILLAGE_OPERATIONS_MEMORY_ITEM,
    LOW_CUMULATIVE_RAIN_SUFFERED,
    MANAGER_ANNUAL_EMPLOYMENT_PLAN,
    MANUAL_CHEMICAL_DEBRANCHING_ACTIVITY,
    MANUAL_CHEMICAL_WEEDING_ACTIVITY,
    MANUAL_DEBRANCHING_OPERATION,
    MANUAL_MECHANICAL_DEBRANCHING_ACTIVITY,
    MANUAL_OPERATION,
    MANUAL_PHYTO_TREATMENT_ACTIVITY,
    MAY_AUGUST_EMPLOYMENT_PLAN,
    MAY_AUGUST_EXTENDED_HOURS_EMPLOYMENT_PLAN,
    MAY_AUGUST_NORMAL_HOURS_EMPLOYMENT_PLAN,
    MAY_AUGUST_REDUCED_HOURS_EMPLOYMENT_PLAN,
    MHYDAS_VALUATED_DATA_ITEM,
    MORE_THAN_ONE_PLOT,
    MORE_THAN_ONE_TASK,
    MOTORIZED_CHEMICAL_DEBRANCHING_ACTIVITY,
    MOTORIZED_CHEMICAL_WEEDING_ACTIVITY,
    MOTORIZED_OPERATION,
    MOTORIZED_PHYTO_TREATMENT_ACTIVITY,
    MOTORIZED_SPRAYING_OPERATION,
    MY_FLOAT_AREA_OPERATION,
    NEUTRAL_INCONSISTENCY_CONDITION,
    NON_PERMANENT_FARM_WORKER,
    NON_PERMANENT_MANUAL_FARM_WORKER,
    NON_PERMANENT_TRACTOR_DRIVER,
    NOVEMBER_JANUARY_EMPLOYMENT_PLAN,
    NOVEMBER_JANUARY_NORMAL_HOURS_EMPLOYMENT_PLAN,
    NOVEMBER_JANUARY_REDUCED_HOURS_EMPLOYMENT_PLAN,
    OFF_WORK_CALENDAR,
    OFF_WORK_SINGLE_PERIOD,
    ONLY_PHYTO_TREATMENTS_AT_EARLY_MORNING,
    OPERATION_PRIORITY_OPTION_SET,
    OPERATION_PRIORITY_OPTION_SUBSET,
    OPERATION_RECORDING_ITEM,
    OPERATION_RECORDING_STRUCTURE,
    PERMANENT_ALL_TASK_TRACTOR_DRIVER,
    PERMANENT_FARM_WORKER,
    PERMANENT_FARM_WORKER_FIVE_DAY_TIMETABLE,
    PERMANENT_FARM_WORKER_SEVEN_DAY_TIMETABLE,
    PERMANENT_FARM_WORKER_SIX_DAY_TIMETABLE,
    PERMANENT_MANUAL_FARM_WORKER,
    PERMANENT_MULTI_TASK_MANUAL_WORKER,
    PERMANENT_MULTI_TASK_WORKER,
    PERMANENT_PREFERENTIAL_TRACTOR_DRIVER,
    PERMANENT_PRUNER,
    PERMANENT_TILLAGE_ORIENTED_TRACTOR_DRIVER,
    PERMANENT_TILLAGE_TRACTOR_DRIVER,
    PERMANENT_TRACTOR_DRIVER,
    PERMANENT_VEGETATION_GROWER,
    PEST_INFO_MEMORY,
    PEST_INFO_MEMORY_ITEM,
    PHENO_STAGE,
    PHYTO_TREATMENT_ACTIVITY,
    PHYTO_TREATMENT_COMPOSED_PROGRAM,
    PLANT_AGE,
    PLANTATION_ACTIVITY,
    PLANTATION_OPERATION,
    PLOT,
    PLOT_INTERNAL_PATTERN_OPTION_SET,
    PLOT_INTERNAL_PATTERN_OPTION_SUBSET,
    PLOT_WITH_SEVERAL_OPERATIONS,
    PRUNING_ACTIVITY,
    PRUNING_MACHINE,
    PRUNING_OPERATION,
    REGULAR_PHYTO_TREATMENTS_ITERATION,
    RELATIVE_AREA_DATA_ITEM,
    RETIRED_WORKER_ANNUAL_EMPLOYMENT_PLAN,
    ROTARY_CULTIVATOR,
    ROTARY_OPERATED_SHOOT_THINNING,
    ROTARY_OPERATED_TILLAGE,
    ROTARY_TILLAGE_OPERATION_RESOURCE_SPEC,
    ROTARY_TILLAGE_RESOURCE_SET,
    ROW,
    ROYAT_PRUNING_ACTIVITY,
    SEASONAL_EMPLOYMENT_PLAN,
    SEPTEMBER_OCTOBER_EMPLOYMENT_PLAN,
    SEPTEMBER_OCTOBER_NORMAL_HOURS_EMPLOYMENT_PLAN,
    SEPTEMBER_OCTOBER_REDUCED_HOURS_EMPLOYMENT_PLAN,
    SERIAL_ANTI_MILDEW_TREATMENTS,
    SERIAL_AUTUMN_TILLAGES,
    SERIAL_CHEMICAL_WEEDINGS,
    SERIAL_CLIPPINGS,
    SERIAL_CLIPPINGS_ITERATION,
    SERIAL_DEBRANCHINGS,
    SERIAL_DISTRIBUTED_ACTIVITY_SET,
    SERIAL_EXTRA_PHYTO_TREATMENTS,
    SERIAL_FERTILIZATIONS,
    SERIAL_INIT_SPRING_TILLAGES,
    SERIAL_MANUAL_CHEMICAL_WEEDINGS,
    SERIAL_MANUAL_DEBRANCHINGS,
    SERIAL_MANUAL_REGULAR_PHYTO_TREATMENTS,
    SERIAL_MANUAL_SPRING_CHEMICAL_WEEDINGS,
    SERIAL_MOTORIZED_CHEMICAL_WEEDINGS,
    SERIAL_MOTORIZED_DEBRANCHINGS,
    SERIAL_MOTORIZED_REGULAR_PHYTO_TREATMENTS,
    SERIAL_MOTORIZED_SPRING_CHEMICAL_WEEDINGS,
    SERIAL_PLANTATIONS,
    SERIAL_PRUNINGS,
    SERIAL_REGULAR_PHYTO_TREATMENTS,
    SERIAL_SHOOT_THINNINGS,
    SERIAL_SPRING_CHEMICAL_WEEDINGS,
    SERIAL_SPRING_TILLAGES,
    SERIAL_TRELLISINGS,
    SERIAL_TRELLISINGS_ITERATION,
    SERIAL_WINTER_TILLAGES,
    SHOOT_THINNING_ACTIVITY,
    SHOOT_THINNING_OPERATION,
    SOIL_HUMIDITY_VECTOR_DATA_ITEM,
    SOIL_MANAGEMENT_DATA_ITEM,
    SOIL_MANAGEMENT_GROUP,
    SOIL_MANAGEMENT_GROUP_SET,
    SOIL_RESERVOIR,
    SOIL_SURFACE,
    SPECIAL_WORKER_ANNUAL_EMPLOYMENT_PLAN,
    SPRAYER,
    SPREADER,
    SPRING_TILLAGE_ACTIVITY,
    SPRING_TILLAGES_ITERATION,
    SPRING_TINE_CULTIVATOR,
    SPRING_TINE_OPERATED_TILLAGE,
    SPRING_TINE_TILLAGE_OPERATION_RESOURCE_SPEC,
    SPRING_TINE_TILLAGE_RESOURCE_SET,
    STANDARD_WORKER_ANNUAL_EMPLOYMENT_PLAN,
    TANK,
    TILLAGE_ACTIVITY,
    TILLAGE_OPERATION,
    TILLAGE_RESOURCE_SET,
    TILLAGE_TOOL,
    TOO_LATE_IN_WORK_DAY_FOR_ACTIVITY_BEGINNING,
    TRACTOR,
    TRELLISING_ACTIVITY,
    TRELLISING_MACHINE,
    TRELLISING_OPERATION,
    VARIETY_GROUP,
    VARIETY_GROUP_SET,
    VEGETAL_COMPARTMENT,
    VEGETATION,
    VERTICAL_RAIL_OPERATED_SPRAYING,
    VERTICAL_RAIL_SPRAYER,
    VERTICAL_RAIL_SPRAYING_OPERATION_RESOURCE_SPEC,
    VERTICAL_RAIL_SPRAYING_RESOURCE_SET,
    VINE_GROWING_TERRITORY,
    VINE_PRODUCING_REGION,
    VINEYARD,
    VINEYARD_ACTIVITIES_RESOURCES_BLOCK,
    VINEYARD_ACTIVITY,
    VINEYARD_CONTROL_SEQUENCE,
    VINEYARD_ITERATED_CONJUNCTIVE_SUBPLAN,
    VINEYARD_PHASE_CONJUNCTIVE_PLAN,
    VINEYARD_PHASE_OPTIONAL_PLAN,
    VINEYARD_SET,
    VIRTUAL_REGION_MANAGER,
    VIRTUAL_REGION_OPERATING_SYSTEM,
    WEATHER_STATION,
    WEATHER_STATION_SET,
    WEEK_DAY_AFTERNOON,
    WEEK_DAY_MORNING,
    WEEK_DAY_PART,
    WINTER_TILLAGE_ACTIVITY,
    WORK_ORGANIZATION_OPTION_SET,
    WORK_ORGANIZATION_OPTION_SUBSET
};


// ------------------------------
// Symboles de classe des 'Descriptor'.
// ------------------------------

enum O_App_DescriptorId {
    ACTIVITY_ATTRIBUTE = 401,
    ACTIVITY_NAME_ATTRIBUTE,
    ACTIVITY_NOMINAL_DATE,
    ACTUAL_REALIZATION_BEG_DATE,
    ACTUAL_REALIZATION_END_DATE,
    ACTUALLY_OPERATED_AREA_PERCENTAGE,
    AGE_ATTRIBUTE,
    ALLEY_WIDTH,
    ALLOCATION_PRIORITY_OPTION_SET_ATTRIBUTE,
    ANNUAL_EMPLOYMENT_PLAN_ATTRIBUTE,
    ANTI_MILDEW_SCHEDULED,
    ANTI_MILDEW_TREATMENT_JUST_DONE,
    AREA,
    AREA_WITH_GRAPEVINE,
    AREA_WITH_TILLED_GRAPEVINE,
    AUTUMN_TILLAGES_MANAGEMENT,
    BEGINNING_CALENDAR_DATE,
    CHEMICAL_WEEDINGS_MANAGEMENT,
    CLIPPINGS_MANAGEMENT,
    COMMERCIAL_FORMULATION,
    COMMERCIAL_FORMULATION_DOSE,
    COMMERCIAL_FORMULATION_LIST,
    CONTROL_PLAN_ATTRIBUTE,
    CONTROL_PLAN_CLASS_NAME_ATTRIBUTE,
    CROP_ROW_ALLEY_WIDTH_RATIO,
    CUMULATIVE_RAINFALL_FROM_EARLY_WINTER,
    CUMULATIVE_RAINFALL_FROM_EARLY_WINTER_FOR_INITST,
    CUMULATIVE_RAINFALL_FROM_LAST_TILLAGE,
    CUMULATIVE_RAINFALL_FROM_MHYDAS_INTERACTION,
    CUMULATIVE_RAINFALL_FROM_WORK_BEGINNING,
    CURRENT_SLOT_TO_BE_EXTENDED,
    CURRENT_STAGE_INDEX,
    DAILY_RAINFALL_FORECAST_FROM_CURRENT_DAY,
    DAY_OF_ACHIEVEMENT,
    DAY_WHEN_ACHIEVED,
    DAYS_NUMBER,
    DEBRANCHINGS_MANAGEMENT,
    DECISION_OPTION_SET_ATTRIBUTE,
    DISTRIBUTED_ACTIVITY_SET_MEMORY,
    DOWNY_MILDEW_LEVEL,
    DOWNY_MILDEW_MANAGEMENT_ATTRIBUTE,
    DOWNY_MILDEW_PRESSURE,
    DOWNY_MILDEW_PRIMARY_INFECTION,
    DOWNY_MILDEW_RISK_LEVEL,
    DOWNY_MILDEW_TO_CLOSE,
    END_CALENDAR_DATE,
    FARM_WORKER_ATTRIBUTE,
    FERTILIZATIONS_MANAGEMENT,
    FIRST_SPRING_TILLAGE_DATE,
    FLAG_MILDEW,
    GRAPE_VARIETY_ATTRIBUTE,
    GRAPE_VARIETY_LIST_ATTRIBUTE,
    GRASS_COVER_VECTOR_FROM_MHYDAS,
    GRASS_STRIP_ALLEY_WIDTH_RATIO,
    GRASS_TYPE_ATTRIBUTE,
    GUIDING_EARLY_VARIETY_ATTRIBUTE,
    GUIDING_LATE_VARIETY_ATTRIBUTE,
    GUIDING_VARIETIES_ATTRIBUTE,
    HAS_EARLY_VARIETY,
    HAS_LATE_VARIETY,
    IN_OUT_MODE,
    INIT_SPRING_TILLAGES_MANAGEMENT,
    IS_ALLOCATION_EXCLUSIVE,
    IS_EARLY,
    IS_MANAGER,
    ISO_AGEING_ENTITY_ATTRIBUTE,
    ISO_AGEING_ENTITY_SET_ATTRIBUTE,
    JULIAN_TIME_TO_ACHIEVE,
    LAI_FOR_MOWING,
    LAI_FOR_SENESCENCE,
    LAND_USE,
    LAST_OPERATIONS_MEMORY_ATTRIBUTE,
    LAST_RAINFALL_CLOCK,
    LAST_SEVEN_DAYS_RAINFALL,
    LAST_TILLAGE_OPERATION_CLOCK,
    LAST_WEATHER_PRINT_CLOCK,
    LATITUDE,
    LEAF_AREA_INDEX_RATE,
    LEAF_AREA_INDEX_RESIDUAL,
    LEAF_LIFE_SPAN_MIN,
    LONGITUDE,
    MAX_REPLICATION_NUMBER_IN_DRY_PERIOD,
    MEAN_PRIORITY_DEGREE,
    MEMBERSHIP_MODE,
    MIN_PERCENTAGE_TO_BEGIN_OPERATION,
    NEED_FOR_NEXT_FAVOURABLE_DAYS,
    NOMINAL_FLOAT_QUANTITY_SPEED,
    NOMINAL_INT_QUANTITY_SPEED,
    NUMBER_OF_TRACTORS,
    NUMBER_OF_WORKERS,
    OFF_WORK_CALENDAR_ATTRIBUTE,
    OPERATED_PLOTS_ATTRIBUTE,
    OPERATED_VINEYARD_SUB_AREA,
    OPERATION_PRIORITY_OPTION_SET_ATTRIBUTE,
    OPERATION_RECORDING_ATTRIBUTE,
    OPT_ACTUAL_DOWNY_MILDEW_RISK_THRESHOLD,
    OPT_AUTUMN_TILLAGE_C_P,
    OPT_AUTUMN_TILLAGE_O_P,
    OPT_CHEMICAL_WEEDING_O_P,
    OPT_CROP_ROW_ALLEY_WIDTH_RATIO,
    OPT_DEBRANCHING_MODALITY,
    OPT_DOWNY_MILDEW_AT_LEAST_CLOSING,
    OPT_DOWNY_MILDEW_MANAGEMENT,
    OPT_DOWNY_MILDEW_UNDER_PRESSURE_CLOSING,
    OPT_EXTRA_PHYTO_TREATMENTS_O_P,
    OPT_FERTILIZATION_O_P,
    OPT_FERTILIZATION_SEASON,
    OPT_FIRST_SPRING_TILLAGE_O_P,
    OPT_GRASS_STRIP_ALLEY_WIDTH_RATIO,
    OPT_INIT_SPRING_TILLAGE_O_P,
    OPT_PAST_DOWNY_MILDEW_PRESSURE_THRESHOLD,
    OPT_PHYTO_TREATMENT_CADENCE,
    OPT_PHYTO_TREATMENT_RAIN_ANTICIPATION,
    OPT_PLANTATION_O_P,
    OPT_POWDERY_MILDEW_CLOSING,
    OPT_POWDERY_MILDEW_MANAGEMENT,
    OPT_PRE_PRUNING_MODALITY,
    OPT_PRUNING_MIN_BEG_DATE,
    OPT_PRUNING_O_P,
    OPT_REGULAR_PHYTO_TREATMENTS_O_P,
    OPT_RIDING_ORIENTED_INTER_ROW_PROPORTION,
    OPT_SHOOT_THINNINGS_O_P,
    OPT_SPRAY_NUMBER_AT_BEGINNING,
    OPT_SPRAY_PATH_AT_BEGINNING,
    OPT_SPRAY_PATH_REGULAR,
    OPT_SPRAY_PATH_SINCE_FLOWERING,
    OPT_SPRAYER_TYPE_AT_BEGINNING,
    OPT_SPRAYER_TYPE_REGULAR,
    OPT_SPRING_CHEMICAL_WEEDING_O_P,
    OPT_SPRING_FERT_MAX_BEG_DATE,
    OPT_SPRING_FERT_MIN_BEG_DATE,
    OPT_SPRING_TILLAGES_ITERATION_C_P,
    OPT_SPRING_TILLAGES_O_P,
    OPT_SPRING_TILLAGES_O_P_SCOPE,
    PATH_NAME_ATTRIBUTE,
    PERCENT_ANTI_MILDEW_TREATED,
    PERCENT_AUTUMN_TILLED,
    PERCENT_CLIPPED,
    PERCENT_DEBRANCHED,
    PERCENT_EXTRA_PHYTO_TREATED,
    PERCENT_FERTILIZED,
    PERCENT_INIT_SPRING_TILLED,
    PERCENT_PLANTED,
    PERCENT_PRUNED,
    PERCENT_REGULAR_PHYTO_TREATED,
    PERCENT_SHOOT_THINNED,
    PERCENT_SPRING_TILLED,
    PERCENT_SPRING_WEEDED,
    PERCENT_TRELLISED,
    PERCENT_WEEDED,
    PERCENT_WINTER_TILLED,
    PEST_INFO_MEMORY_ATTRIBUTE,
    PESTICIDE_SUBTYPE,
    PESTICIDE_TYPE,
    PHYTO_MANAGEMENT,
    PHYTO_TREATMENT_LIST,
    PLACE_NAME,
    PLANT_ATTRIBUTE,
    PLANT_SPACING,
    PLOT_PATTERN,
    PLOT_PATTERN_OPTION_SET_ATTRIBUTE,
    PLOT_PROFILE,
    PLOT_PROFILE_OPERATOR,
    POWDERY_MILDEW_FLAG_SHOOT,
    POWDERY_MILDEW_LEVEL,
    POWDERY_MILDEW_MANAGEMENT_ATTRIBUTE,
    POWDERY_MILDEW_TO_CLOSE,
    PREVIOUS_REPLICATION_REF_DATE,
    PRUNING_MODE,
    PRUNINGS_MANAGEMENT,
    RAINFALL,
    RECORDED_ACTIVITY_CLASS_NAME,
    RECORDED_CHANTIER_CLASS_NAME,
    RECORDED_DAY,
    RECORDED_IN_DAY_DURATION,
    RECORDED_JULIAN_DAY,
    RECORDED_MONTH,
    RECORDED_OPERATION_CLASS_NAME,
    RECORDED_PERFORMER_LIST,
    RECORDED_PHYTO_PRODUCT_LIST,
    RECORDED_PLOT_NAME,
    RECORDED_RESOURCE_LIST,
    RECORDED_YEAR,
    REGULAR_PHYTO_TREATMENT_INDEX,
    RELATIVE_AREA,
    REPLICATION_IN_DRY_PERIOD_COUNTER,
    RIDING_ORIENTED_INTER_ROW_PROPORTION,
    ROW_MANAGEMENT,
    SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE,
    SHOOT_INTENSITY,
    SHOOT_THINNINGS_MANAGEMENT,
    SKIPPED_PLOTS_ATTRIBUTE,
    SOIL_HUMIDITY_VECTOR_FROM_MHYDAS,
    SOIL_MANAGEMENT_GROUP_NAME,
    SOIL_MANAGEMENT_GROUP_SET_NAME,
    SOIL_MANAGEMENT_MODALITY,
    SOIL_MANAGEMENT_OPTION,
    SOIL_TYPE,
    SPRING_CHEMICAL_WEEDINGS_MANAGEMENT,
    SPRING_TILLAGES_MANAGEMENT,
    STAGE_NAME,
    STAGE_TAB,
    STANDARD_VALUE_PRIORITY_TAB,
    STONINESS,
    TEMPERATURE,
    TERMINATED_PLOTS_ATTRIBUTE,
    THERMAL_TIME_FROM_BBK,
    THERMAL_TIME_FROM_BBK_TO_ACHIEVE,
    THERMAL_TIME_FROM_EMERGENCE,
    THERMAL_TIME_FROM_SOWING,
    THERMAL_TIME_TO_ACHIEVE,
    THERMAL_TIME_WHEN_ACHIEVED,
    TIMETABLE_ATTRIBUTE,
    TOOL_CLASS_NAME,
    TRELLIS_MODE,
    VILLAGE,
    VINEYARD_ATTRIBUTE,
    WEATHER_STATION_ATTRIBUTE,
    WEEK_DAY_NUMBER,
    WIDTH,
    WINTER_BEGINNING_CLOCK,
    WINTER_BEGINNING_CLOCK_FOR_INITST,
    WINTER_TILLAGES_MANAGEMENT,
    WORK_BEGINNING_HOUR,
    WORK_DAY_AFTERNOON_BEG_HOUR,
    WORK_DAY_AFTERNOON_END_HOUR,
    WORK_DAY_AFTERNOON_EXTENDED_END_HOUR,
    WORK_DAY_MORNING_BEG_HOUR,
    WORK_DAY_MORNING_END_HOUR,
    WORK_DAY_MORNING_EXTENDED_END_HOUR,
    WORK_ORGANIZATION_OPTION_SET_ATTRIBUTE,
    WORKING_TIME_DAILY_LEFT,
    WORKING_TIME_DAILY_UPPER_BOUND,
    WORKING_TIME_WEEKLY_LEFT,
    WORKING_TIME_WEEKLY_UPPER_BOUND,
    WORKING_TIME_YEARLY_LEFT,
    WORKING_TIME_YEARLY_UPPER_BOUND,
    YEAR_OF_PLANTATION,
    YEAR_WHEN_ACHIEVED
};


// ------------------------------
// Symboles de classe des 'Arguments'.
// ------------------------------

enum O_App_ArgumentId {
    CLOCK_ARGUMENT = 151,
    DAY_WHEN_ACHIEVED_ARGUMENT,
    DAYS_NUMBER_ARGUMENT,
    DISTRIBUTED_ACTIVITY_SET_ARGUMENT,
    FARM_WORKER_ARGUMENT,
    IN_COURSE_PLOTS_ARGUMENT,
    MANAGEMENT_GROUP_SET_ARGUMENT,
    MANUAL_MOTORIZED_ARGUMENT,
    OPERATION_ARGUMENT,
    OPERATION_CLASS_ARGUMENT,
    PLOT_ARGUMENT,
    SEASON_ARGUMENT,
    SELECTED_PLOTS_ARGUMENT,
    SERIAL_PARALLEL_ARGUMENT,
    SPRAY_NUMBER_AT_BEGINNING_OPTION_ARGUMENT,
    SPRAYER_TYPE_AT_BEGINNING_OPTION_ARGUMENT,
    SPRAYER_TYPE_REGULAR_OPTION_ARGUMENT,
    STAGE_INDEX_ARGUMENT,
    TEMPERATURE_ARGUMENT,
    TERMINATED_PLOTS_ARGUMENT,
    VINEYARD_ARGUMENT
};

// ------------------------------
// Symboles de classe des 'Method'.
// ------------------------------

enum O_App_MethodId {
    ADD_NEW_SITUATED_AUTUMN_TILLAGES = 301,
    ADD_NEW_SITUATED_CHEMICAL_WEEDINGS,
    ADD_NEW_SITUATED_CLIPPINGS,
    ADD_NEW_SITUATED_DEBRANCHINGS,
    ADD_NEW_SITUATED_FERTILIZATIONS,
    ADD_NEW_SITUATED_INIT_SPRING_TILLAGES,
    ADD_NEW_SITUATED_PHYTO_TREATMENTS,
    ADD_NEW_SITUATED_PLANTATIONS,
    ADD_NEW_SITUATED_PRUNINGS,
    ADD_NEW_SITUATED_SHOOT_THINNINGS,
    ADD_NEW_SITUATED_SPRING_CHEMICAL_WEEDINGS,
    ADD_NEW_SITUATED_SPRING_TILLAGES,
    ADD_NEW_SITUATED_TRELLISINGS,
    ADD_NEW_SITUATED_WINTER_TILLAGES,
    ANTI_DOWNY_MILDEW_AT_LEAST_CLOSING_PREDICATE,
    ANTI_DOWNY_MILDEW_UNDER_PRESSURE_CLOSING_PREDICATE,
    ANTI_POWDERY_MILDEW_CLOSING_PREDICATE,
    ASSIGN_RELATIVE_AREA_TO_ROWS,
    ATTACH_FARM_WORKER_TO_TIMETABLES,
    DUMP_OPERATION_RECORDS,
    GET_ACTUAL_THERMAL_TIME_FROM_EMERGENCE,
    GET_DAY_WHEN_STAGE_ACHIEVED,
    GET_FIRST_WAVE_LIST,
    GET_RANKED_WAVE_LIST,
    IS_CLOCK_VALUE_IN_CALENDAR,
    IS_CLOCK_VALUE_IN_PERIOD,
    IS_MOTORIZATION_POSSIBLE,
    OPERATION_NOMINAL_DURATION,
    RETURN_EFFECTIVE_TEMPERATURE,
    RETURN_PASSED_ROWS_FREQUENCY,
    RETURN_PHYTO_TREATMENT_OPERATION_SUBCLASS,
    RETURN_SHOOT_THINNING_OPERATION_SUBCLASS,
    RETURN_SOIL_MANAGEMENT_GROUP_ON_PROFILE,
    RETURN_TILLAGE_OPERATION_SUBCLASS,
    SELECT_NEW_PLOTS_TO_AUTUMN_TILL,
    SELECT_NEW_PLOTS_TO_CLIP,
    SELECT_NEW_PLOTS_TO_DEBRANCH,
    SELECT_NEW_PLOTS_TO_FERTILIZE,
    SELECT_NEW_PLOTS_TO_INIT_SPRING_TILL,
    SELECT_NEW_PLOTS_TO_PHYTO_PROTECT,
    SELECT_NEW_PLOTS_TO_PLANT,
    SELECT_NEW_PLOTS_TO_PRUNE,
    SELECT_NEW_PLOTS_TO_SHOOT_THIN,
    SELECT_NEW_PLOTS_TO_SPRING_TILL,
    SELECT_NEW_PLOTS_TO_SPRING_WEED,
    SELECT_NEW_PLOTS_TO_TRELLIS,
    SELECT_NEW_PLOTS_TO_WEED,
    SELECT_NEW_PLOTS_TO_WINTER_TILL,
    SET_DAY_WHEN_STAGE_ACHIEVED,
    SET_FLAG_MILDEW,
    SET_ROW_SOIL_MANAGEMENT,
    SET_SCHEDULED_ANTI_MILDEW,
    SUM_UP_GRASS_COVER_VECTOR,
    SUM_UP_SOIL_HUMIDITY_VECTOR,
    TIMETABLE_CLOSING_PREDICATE,
    TIMETABLE_OPENING_PREDICATE,
    UPDATE_OFF_PERIOD_CURRENT_INDEX,
    UPDATE_SEASON_CURRENT_INDEX
};

// ------------------------------
// Symboles de classe des 'Process'.
// ------------------------------

enum O_App_ProcessId {
    CLEAR_PERF_ALLOCATION_AND_UPDATE_SITUATION = 31,
    GRAPEVINE_AGEING_PROCESS,
    HOURLY_WEATHER_FILE_READING,
    INIT_PEST_INFO_FILE_READING,
    INIT_PHENO_STAGE_FILE_READING,
    MEMORY_ITEM_GARBAGING_PROCESS,
    MILDEW_WARNING_PROCESS,
    MORNING_MHYDAS_INTERACTION_PROCESS,
    UPDATE_SEASON_CURRENT_INDEX_PROCESS
};


// ------------------------------
// Symboles de classe des 'SerialDataFile'.
// ------------------------------

enum O_App_FileId {
    HOURLY_WEATHER_FILE = 11,
    PEST_INFO_FILE,
    PHENO_STAGE_FILE
};


#endif // _User_TYPES_HH

