// ==============================================
// Fichier : UserArgument.cc  
// Type    : source C++
// 
// Description : constructeurs des classes des 'Argument'.
// ==============================================
  
#include "UserArgument.h"
  

// ==============================================
// Une classe de Argument : 'ClockArgument'    (de type : 'INT').
// ==============================================

ClockArgument::ClockArgument() : IntArgument(CLOCK_ARGUMENT, "clockArgument") {
};


// ==============================================
// Une classe de Argument : 'DayWhenAchievedArgument'    (de type : 'INT').
// ==============================================

DayWhenAchievedArgument::DayWhenAchievedArgument() : IntArgument(DAY_WHEN_ACHIEVED_ARGUMENT, "dayWhenAchievedArgument") {
};


// ==============================================
// Une classe de Argument : 'DaysNumberArgument'    (de type : 'INT').
// ==============================================

DaysNumberArgument::DaysNumberArgument() : IntArgument(DAYS_NUMBER_ARGUMENT, "daysNumberArgument") {
};


// ==============================================
// Une classe de Argument : 'DistributedActivitySetArgument'    (de type : 'P_ENTITY').
// ==============================================

DistributedActivitySetArgument::DistributedActivitySetArgument() : EntityArgument(DISTRIBUTED_ACTIVITY_SET_ARGUMENT, "distributedActivitySetArgument") {
};


// ==============================================
// Une classe de Argument : 'FarmWorkerArgument'    (de type : 'P_ENTITY').
// ==============================================

FarmWorkerArgument::FarmWorkerArgument() : EntityArgument(FARM_WORKER_ARGUMENT, "farmWorkerArgument") {
};


// ==============================================
// Une classe de Argument : 'InCoursePlotsArgument'    (de type : 'ENTITY_TAB').
// ==============================================

InCoursePlotsArgument::InCoursePlotsArgument() : EntityTabArgument(IN_COURSE_PLOTS_ARGUMENT, "inCoursePlotsArgument") {
};


// ==============================================
// Une classe de Argument : 'ManagementGroupSetArgument'    (de type : 'STRING').
// ==============================================

ManagementGroupSetArgument::ManagementGroupSetArgument() : StringArgument(MANAGEMENT_GROUP_SET_ARGUMENT, "managementGroupSetArgument") {
};


// ==============================================
// Une classe de Argument : 'ManualMotorizedArgument'    (de type : 'STRING').
// ==============================================

ManualMotorizedArgument::ManualMotorizedArgument() : StringArgument(MANUAL_MOTORIZED_ARGUMENT, "manualMotorizedArgument") {
};


// ==============================================
// Une classe de Argument : 'OperationArgument'    (de type : 'P_ENTITY').
// ==============================================

OperationArgument::OperationArgument() : EntityArgument(OPERATION_ARGUMENT, "operationArgument") {
};


// ==============================================
// Une classe de Argument : 'OperationClassArgument'    (de type : 'INT').
// ==============================================

OperationClassArgument::OperationClassArgument() : IntArgument(OPERATION_CLASS_ARGUMENT, "operationClassArgument") {
};


// ==============================================
// Une classe de Argument : 'PlotArgument'    (de type : 'P_ENTITY').
// ==============================================

PlotArgument::PlotArgument() : EntityArgument(PLOT_ARGUMENT, "plotArgument") {
};


// ==============================================
// Une classe de Argument : 'SeasonArgument'    (de type : 'INT').
// ==============================================

SeasonArgument::SeasonArgument() : IntArgument(SEASON_ARGUMENT, "seasonArgument") {
};


// ==============================================
// Une classe de Argument : 'SelectedPlotsArgument'    (de type : 'ENTITY_TAB').
// ==============================================

SelectedPlotsArgument::SelectedPlotsArgument() : EntityTabArgument(SELECTED_PLOTS_ARGUMENT, "selectedPlotsArgument") {
};


// ==============================================
// Une classe de Argument : 'SerialParallelArgument'    (de type : 'STRING').
// ==============================================

SerialParallelArgument::SerialParallelArgument() : StringArgument(SERIAL_PARALLEL_ARGUMENT, "serialParallelArgument") {
};


// ==============================================
// Une classe de Argument : 'SprayNumberAtBeginningOptionArgument'    (de type : 'INT').
// ==============================================

SprayNumberAtBeginningOptionArgument::SprayNumberAtBeginningOptionArgument() : IntArgument(SPRAY_NUMBER_AT_BEGINNING_OPTION_ARGUMENT, "sprayNumberAtBeginningOptionArgument") {
};


// ==============================================
// Une classe de Argument : 'SprayerTypeAtBeginningOptionArgument'    (de type : 'INT').
// ==============================================

SprayerTypeAtBeginningOptionArgument::SprayerTypeAtBeginningOptionArgument() : IntArgument(SPRAYER_TYPE_AT_BEGINNING_OPTION_ARGUMENT, "sprayerTypeAtBeginningOptionArgument") {
};


// ==============================================
// Une classe de Argument : 'SprayerTypeRegularOptionArgument'    (de type : 'INT').
// ==============================================

SprayerTypeRegularOptionArgument::SprayerTypeRegularOptionArgument() : IntArgument(SPRAYER_TYPE_REGULAR_OPTION_ARGUMENT, "sprayerTypeRegularOptionArgument") {
};


// ==============================================
// Une classe de Argument : 'StageIndexArgument'    (de type : 'INT').
// ==============================================

StageIndexArgument::StageIndexArgument() : IntArgument(STAGE_INDEX_ARGUMENT, "stageIndexArgument") {
};


// ==============================================
// Une classe de Argument : 'TemperatureArgument'    (de type : 'FLOAT').
// ==============================================

TemperatureArgument::TemperatureArgument() : FloatArgument(TEMPERATURE_ARGUMENT, "temperatureArgument") {
};


// ==============================================
// Une classe de Argument : 'TerminatedPlotsArgument'    (de type : 'ENTITY_TAB').
// ==============================================

TerminatedPlotsArgument::TerminatedPlotsArgument() : EntityTabArgument(TERMINATED_PLOTS_ARGUMENT, "terminatedPlotsArgument") {
};


// ==============================================
// Une classe de Argument : 'VineyardArgument'    (de type : 'P_ENTITY').
// ==============================================

VineyardArgument::VineyardArgument() : EntityArgument(VINEYARD_ARGUMENT, "vineyardArgument") {
};

