// ==============================================
// Fichier : UserInterfaceDataItem.cc
// Type    : source C++
// 
// Description : constructeurs des classes des 'InterfaceDataItem'.
// ==============================================
  
#include "UserInterfaceDataItem.h"
  
DhivineValuatedDataItem::DhivineValuatedDataItem() {
// =========================================================
// Une classe de Entity : 'DhivineValuatedDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(DHIVINE_VALUATED_DATA_ITEM);
  //SetParentClassId(INTERFACE_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

MhydasValuatedDataItem::MhydasValuatedDataItem() {
// =========================================================
// Une classe de Entity : 'MhydasValuatedDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MHYDAS_VALUATED_DATA_ITEM);
  //SetParentClassId(INTERFACE_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

RelativeAreaDataItem::RelativeAreaDataItem() {
// =========================================================
// Une classe de Entity : 'RelativeAreaDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(RELATIVE_AREA_DATA_ITEM);
  //SetParentClassId(DHIVINE_VALUATED_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(TYPE_ATTRIBUTE, FLOAT);
  SetIntConstValue(DESCRIPTOR_ID_ATTRIBUTE, RELATIVE_AREA);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

SoilHumidityVectorDataItem::SoilHumidityVectorDataItem() {
// =========================================================
// Une classe de Entity : 'SoilHumidityVectorDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SOIL_HUMIDITY_VECTOR_DATA_ITEM);
  //SetParentClassId(MHYDAS_VALUATED_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(TYPE_ATTRIBUTE, FLOAT_TAB);
  SetIntConstValue(DESCRIPTOR_ID_ATTRIBUTE, SOIL_HUMIDITY_VECTOR_FROM_MHYDAS);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

SoilManagementDataItem::SoilManagementDataItem() {
// =========================================================
// Une classe de Entity : 'SoilManagementDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SOIL_MANAGEMENT_DATA_ITEM);
  //SetParentClassId(DHIVINE_VALUATED_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(TYPE_ATTRIBUTE, INT);
  SetIntConstValue(DESCRIPTOR_ID_ATTRIBUTE, SOIL_MANAGEMENT_MODALITY);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

CulturalOperationsDataItem::CulturalOperationsDataItem() {
// =========================================================
// Une classe de Entity : 'CulturalOperationsDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(CULTURAL_OPERATIONS_DATA_ITEM);
  //SetParentClassId(DHIVINE_VALUATED_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(TYPE_ATTRIBUTE, P_ENTITY);
  SetIntConstValue(DESCRIPTOR_ID_ATTRIBUTE, LAST_OPERATIONS_MEMORY_ATTRIBUTE);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

GrassCoverVectorDataItem::GrassCoverVectorDataItem() {
// =========================================================
// Une classe de Entity : 'GrassCoverVectorDataItem'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(GRASS_COVER_VECTOR_DATA_ITEM);
  //SetParentClassId(MHYDAS_VALUATED_DATA_ITEM); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(TYPE_ATTRIBUTE, FLOAT_TAB);
  SetIntConstValue(DESCRIPTOR_ID_ATTRIBUTE, GRASS_COVER_VECTOR_FROM_MHYDAS);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

