int App_GetOperationPriority (Entity* pVineyard, char* nomClasse, UserDescriptorId descId, int numPhase)
//---------------------------------------------
// Description  : 
// Precondition :  
// Precondition : nomClasse est le nom d'une classe d'activités
// Retour       : 
//---------------------------------------------
{
  int result = 50;

  Entity* pConduite = pVineyard->GetEntityConstValue(CONTROL_PLAN_ATTRIBUTE);
  Entity* pARB = pConduite->GetSuperEntity();
  Entity* op_optionSet //OperationPriorityOptionSet
	= pARB->GetEntityConstValue(OPERATION_PRIORITY_OPTION_SET_ATTRIBUTE);
  Entity* op_subset = NULL;
  int nbElem = op_optionSet->GetNumberOfElements();
  for(int i=0;i<nbElem;i++) {
	Entity* pElem_i = (Entity* )op_optionSet->GetElement(i); // fichier
	char* optClassName = pElem_i->InstanceName();
	UserClassId optClassId =  GetClassSymbol(optClassName);
	UserClassId argClassId = GetClassSymbol(nomClasse);  // argument
	if((optClassId == argClassId)
	   ||
	   IsAncestorOf(optClassId, argClassId)) {
	  op_subset = pElem_i;
	  break;
	}
  }

  if(! op_subset) {
	printf("\n'%s' App_GetOperationPriority(%s) : priorites non trouvees : %s\n", op_optionSet->InstanceName(), DescIdToCharTab[descId], nomClasse);
	exit(0);
  }

  pIntTab* op_tab = op_subset->GetIntTabValue(descId);
  if(numPhase < 1 ) {
	printf("\nApp_GetOperationPriority(%s, %d) : numero de phase illegal : %d\n", nomClasse,  numPhase);
	exit(0);
  }
  result = op_tab->get_element(numPhase-1);

  if(result < 0) {
	printf("\nApp_GetOperationPriority(%s, %d) : priorite illegale : %d\n", nomClasse,  numPhase, result);
	exit(0);
  }
//printf("\nApp_GetOperationPriority(%s, %s, %s, %d) returns %d", pVineyard->InstanceName(), nomClasse, DescIdToCharTab[descId], numPhase, result);
  return result;
}
