bool myFloatAreaOperation_feasibilityCondition_Body(EntityMethod* pM) {
//---------------------------------------------------------------------
// M�thode invoqu�e alors que l'activit� est ouverte.
// Doit renvoyer vrai si l'op�ration est maintenant faisable.
//---------------------------------------------------------------------
  Operation* pOt = (Operation*)(pM->DescribedEntity());
  bool result = TRUE; 
//printf("\nentree '%s'::FC", pOt->InstanceName());

  //
  // Condition générale de traficabilité pour opérations mécanisées
  //
  if(pOt->IsInstanceOf(MOTORIZED_OPERATION)) {
	Entity* pInst = pOt->GetEntityVarValue(INSTRUCTION_CONTAINER);
	Entity* pOOspec = pInst->GetEntityVarValue(OPERATED_OBJECT_SPEC_ATTRIBUTE);
	pEntityTab* ooList = pOOspec->GetEntityTabVarValue(PRE_EXPANDED_LIST);
	Entity* pPlot = (Entity*)ooList->get_element(0);
	Entity* pWS = pPlot->GetEntityConstValue(WEATHER_STATION_ATTRIBUTE);
	char* pathName = pWS->GetStringConstValue(PATH_NAME_ATTRIBUTE);
	tm* pTm = ClockValueToTm(pCurrentSim->Clock());
	int nearestMem = pTm->tm_hour;
	delete pTm;
	int farthestMem = nearestMem + 7*24;
	float value =  // pluie des 7j precedents
	  SumUpMemoryFloatFieldValue(pathName, FLD_RAINFALL, nearestMem, farthestMem);
	if(pOt->IsInstanceOf(TILLAGE_OPERATION)) {
	  pOt->SetFloatConstValue(LAST_SEVEN_DAYS_RAINFALL, value);
	}
	//
	// test
	//
	float threshold = GetRealParameterValue("trafficabilityRainMaxThreshold", "mechanicalOperation");
//printf("\nmyFloatAreaOperation_FC '%s' pluie[j-1 j-7] = %f / seuil = %f", pWS->InstanceName(), value, threshold);
	if(value >= threshold) {
	  result = FALSE;
	}
  }

  if(! result) 
	if(gMyTraceWarnings)
	  printf("\n'%s'::FC returns FALSE / non trafficalility", pOt->InstanceName());
//printf("\n'%s'::FC returns %d", pOt->InstanceName(), result);
  return result;
};
