int App_GetAllocationPriority(Entity* pVineyard, char* nomClasse, UserDescriptorId descId, int numPhase)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  int result = 50;

  Entity* pConduite = pVineyard->GetEntityConstValue(CONTROL_PLAN_ATTRIBUTE);
  Entity* pARB = pConduite->GetSuperEntity();
  Entity* ap_optionSet //AllocationPriorityOptionSet
	= pARB->GetEntityConstValue(ALLOCATION_PRIORITY_OPTION_SET_ATTRIBUTE);
  Entity* ap_subset = (Entity*)ap_optionSet->GetNamedElement(nomClasse);

  if(! ap_subset) {
	printf("\n'%s' App_GetAllocationPriority(%s) : priorites non trouvees : %s\n", ap_optionSet->InstanceName(), DescIdToCharTab[descId], nomClasse);
	exit(0);
  }

  pIntTab* ap_tab = ap_subset->GetIntTabValue(descId);
  if(numPhase < 1 ) {
	printf("\nApp_GetAllocationPriority(%s, %d) : numero de phase illegal : %d\n", nomClasse,  numPhase);
	exit(0);
  }
  result = ap_tab->get_element(numPhase-1);

  if(result < 0) {
	printf("\nApp_GetAllocationPriority(%s, %d) : priorite illegale : %d\n", nomClasse,  numPhase, result);
	exit(0);
  }
//printf("\nApp_GetAllocationPriority(%s, %s, %s, %d) returns %d", pVineyard->InstanceName(), nomClasse, DescIdToCharTab[descId], numPhase, result);
  return result;
}
