MotorizedOperation::MotorizedOperation() {
// =========================================================
// Une classe de Entity : 'MotorizedOperation'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MOTORIZED_OPERATION);
  //SetParentClassId(MY_FLOAT_AREA_OPERATION); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new NominalFloatQuantitySpeed();   AddVariableDescriptor(pD);
  SetFloatConstValue(SUSPENSION_THRESHOLD, 1.0);
  AssignBody(SET_USER_FLOAT_QUANTITY_SPEED, motorizedOperation_setUserFloatQuantitySpeed_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
//
// SUSPENSION_THRESHOLD : la valeur idéale 0 forcerait la continuation sans 
// suspension de ces opérations une fois commencées (activité requise).
// La valeur 1 provoque un déroulé plus satisfaisant (lire READ_ME_versions).
// Une certaine modif (121215) dans la fonction ReplaceSubset de cdiese est 
// plus satisfaisante a priori, en association avec la valeur 0, mais a 
// provoqué une simulation extrêmement longue. A reprendre.

  // Pour economiser des reconstitutions de la valeur de la vitesse
  // par la m�thode motorizedOperation_setUserFloatQuantitySpeed
  // on n'y fait cette reconstitution que si la valeur courante est < 0.
  // La presente initialisation � -9. permet cela.
  // Le calcul de la vitesse est fait une seule fois, puisque 
  // setUserFloatQuantitySpeed affecte une valeur > 0. lors de ce calcul.
  //
  SetFloatConstValue(FLOAT_QUANTITY_SPEED, (float)-9.);
};
