bool novemberJanuaryEmploymentPlan_timetableOpeningPredicate_Body(EntityMethod* pM) {
//---------------------------------------------------------------------------
// specifie l'ouverture d'un SeasonalEmploymentPlan
//---------------------------------------------------------------------------
// renvoie 'vrai' ssi la date courante est
// . apres le passage heure Ete -> heure Hiver de la m�me annee
//   si mois <= 7 e.g. : 15 NOV
//   OU
// . apres le passage heure Ete -> heure Hiver de l'annee precedente
//   e.g. : 15 JAN
//---------------------------------------------------------------------------
  Entity* pSeasonalPlan = pM->DescribedEntity();
  bool result = FALSE;
  //
  // l'instant courant
  //
  int now = pCurrentSim->Clock();
  tm* pTm_now = ClockValueToTm(now);
  int mon  = pTm_now->tm_mon;
  int mday = pTm_now->tm_mday;
  //
  // la date a depasser pour entrer dans la periode :
  //
  // de JAN a AOU : le passage Ete -> Hiver de l'annee precedente
  // de SEP a DEC : le passage Ete -> Hiver de la meme annee
  //
  // recherche du jour de passage heure Ete -> heure Hiver
  //
  if(mon < 8)
	pTm_now->tm_year = pTm_now->tm_year - 1;
  pTm_now->tm_mon = 9; // octobre
  for(int m=23;m<=31;m++) {
	pTm_now->tm_mday = m;
	mktime(pTm_now);
	int isdst_m = pTm_now->tm_isdst;
	if(isdst_m == 0) {
	  break;
	}
  }
//printf("\nnovemberJanuaryEmploymentPlan_OP with %d %s ete->hiver le %d %s %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900);
  int seuil = StructTmToClockValue(pTm_now);
  //
  // test
  //
  if(now >= seuil)
	result = TRUE;

//printf("\nnovemberJanuaryEmploymentPlan_OP with %d %s vs. %d %s %d returns %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900, result);
  delete pTm_now;

  return result;
};
