BasicEntity* Body_BestActivitySetSelector_FirstOnOperationPriority (EntityMethod* pM)
//---------------------------------------------
// Choisit (et eventuellement modifie) le meilleur jeu d'activites
// parmi des jeux vehicules par l'argument ACTIVITY_SETS_ARGUMENT.
//
// CRITERE 1 : on selectionne le premier venu parmi jes jeux qui
// possede l'activite (l'operation, en fait) de plus forte priorite
//
// ((A1   B   C)  (A2   B   D))
//   30   40  70   30   40  60               <- priorite
// -> on choisit le jeu (A1 B C)
//
// CRITERE 2 :   ... 
//---------------------------------------------
{
  Entity* pARB = pM->DescribedEntity();
  Entity* pSetDisj = pM->GetEntityArgValue(ACTIVITY_SETS_ARGUMENT);

  BasicEntity* result = NULL;

  pEntityTab setTab = pSetDisj->GetElementTab();
  int nbSets = setTab.size();

  // ...

  if(! result)
	result = setTab.get_element(0);

  return result;
}
