bool septemberOctoberEmploymentPlan_timetableOpeningPredicate_Body(EntityMethod* pM) {
//---------------------------------------------------------------------------
// specifie l'ouverture d'un SeasonalEmploymentPlan
//---------------------------------------------------------------------------
// renvoie 'vrai' ssi la date courante est apres le 01/09 de la m�me annee
//---------------------------------------------------------------------------
  Entity* pSeasonalPlan = pM->DescribedEntity();
  bool result = FALSE;
  //
  // l'instant courant
  //
  int now = pCurrentSim->Clock();
  tm* pTm_now = ClockValueToTm(now);
  int mday = pTm_now->tm_mday;
  int mon = pTm_now->tm_mon;
  //
  // la date a atteindre pour entrer dans la periode
  //
  // de MAI a DEC : le 01/09 de la meme annee
  // de JAN a AVR : le 01/09 de l'annee precedente
  //
  if(mon < 4)
	pTm_now->tm_year = pTm_now->tm_year - 1;
  pTm_now->tm_mon = 8; // septembre
  pTm_now->tm_mday = 1;

  mktime(pTm_now);
  int seuil = StructTmToClockValue(pTm_now);
  //
  // test
  //
  if(now >= seuil)
	result = TRUE;

//printf("\nseptemberOctoberEmploymentPlan_OP with %d %s vs. %d %s %d returns %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900, result);
  delete pTm_now;

  return result;
};
