SerialPrunings::SerialPrunings(Vineyard* pEA, int numPhase) {
// =========================================================
// Une classe de Entity : 'SerialPrunings'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SERIAL_PRUNINGS);
  //SetParentClassId(SERIAL_DISTRIBUTED_ACTIVITY_SET); // pour memoire (*)
  AddInstanceToClass();
  Method* pM;
  pM = new SelectNewPlotsToPrune();       AddMethod (pM);
  pM = new AddNewSituatedPrunings();      AddMethod (pM);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
 
  AssignBody(MODIFY_IN_OPEN_SITUATION, Body_MIOS_Prunings);

  //
  // date au plus tot pour l'ouverture du chantier ...
  //
  int jDay = App_GetIntDecisionOption(pEA, OPT_PRUNING_MIN_BEG_DATE);
  int minBegDate = App_JulianDayToClockFromBegSim(jDay);
  SetIntVarValue(MIN_BEG_DATE, minBegDate);
  //
  // ... complementee par le predicat d'ouverture
  //
  AssignBody(OPENING_PREDICATE, Body_OP_Prunings_OnDate);
  //
  // predicat de fermeture
  //
  switch (numPhase) {
  case 2 : { 
	AssignBody(CLOSING_PREDICATE, Body_CP_Prunings_Phase2);
	break;
  }
  case 3 : { 
	AssignBody(CLOSING_PREDICATE, Body_CP_Prunings_Phase3);
	break;
  }
  default : {
	printf("\n!!! Construction d'un '%s' avec un numero de phase illegal : %d\n", InstanceName(), numPhase);
	exit(0);
  }
  }
};
