bool Body_OP_InitSpringTillages (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();

  bool result = OpeningCondition_InitSpringTillages(pChantier);

  if(result) {
	  
	//=================================================
	// creation du premier lot de parcelles a labourer
	// en fonction de l'option SER(ial) / PAR(allel)
	//=================================================

	pChantier->ClearEntityTabValues(TERMINATED_PLOTS_ATTRIBUTE);

	pEntityTab* pTerminatedPlots = new pEntityTab(); // vide
	pEntityTab* pInCoursePlots = new pEntityTab(); // vide

  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_INIT_SPRING_TILLAGES,
									TERMINATED_PLOTS_ARGUMENT, 
									pTerminatedPlots);
  	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_INIT_SPRING_TILLAGES,
									IN_COURSE_PLOTS_ARGUMENT, 
									pInCoursePlots);
  	pChantier->ExecPredicate(ADD_NEW_SITUATED_INIT_SPRING_TILLAGES);
  	//     ---------------------------------------------

	delete pTerminatedPlots;
	delete pInCoursePlots;
  }
  if(result) {
	pChantier->SetFloatVarValue(OPERATED_VINEYARD_SUB_AREA, (float)0.);
  }

//printf("\n'%s'::Body_OP_InitSpringTillages returns %d\n", pChantier->InstanceName(), result);
  return result;
}
