bool OpeningCondition_Fertilizations_OnChain (Entity* pChantier)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  bool result = FALSE;
  
  Entity* pEA = App_GetVineyard((Activity*)pChantier);
  int option = App_GetIntDecisionOption(pEA, OPT_FERTILIZATION_O_P);

  //int now = pCurrentSim->Clock();

  pEntityTab tmp = pChantier->GetContainerTab(VINEYARD_PHASE_CONJUNCTIVE_PLAN);
  BasicEntity* pPhaseConjunctivePlan = tmp.get_element(0);
  pEntityTab pElemTab = pPhaseConjunctivePlan->GetElementTab();
  int nbElem = pElemTab.size();

  Entity* pThinnings;
  for(int k=0;k<nbElem;k++) {
	Entity* pElem_k = (Entity*)pElemTab.get_element(k);
	if(pElem_k->IsInstanceOf(CONCURRENT_SHOOT_THINNINGS)
	   ||
	   pElem_k->IsInstanceOf(SERIAL_SHOOT_THINNINGS)) {
	  pThinnings = pElem_k;
	  break;
	}
  }
  switch (option)  {
	
  case END_THIN : {
	if(pThinnings->GetIntVarValue(SITUATION) == CLOSED)
	  result = TRUE;
	break;
  };
	
  case END_THIN_CW : {
	if(pThinnings->GetIntVarValue(SITUATION, CLOSED)) {

	  Entity* pChemWeedings;
	  for(int k=0;k<nbElem;k++) {
		Entity* pElem_k = (Entity*)pElemTab.get_element(k);
		if(pElem_k->IsInstanceOf(CONCURRENT_CHEMICAL_WEEDINGS)
		   ||
		   pElem_k->IsInstanceOf(SERIAL_CHEMICAL_WEEDINGS)) {
		  pChemWeedings = pElem_k;
		  break;
		}
	  }
	  if(pChemWeedings->GetIntVarValue(SITUATION) == CLOSED)
		result = TRUE;
	}
	break;
  };
  }

//printf("\n'%s'::OpeningCondition_Fertilizations_OnChain returns %d", pChantier->InstanceName(), result);
  return result;
}
