SeasonalEmploymentPlan::SeasonalEmploymentPlan() {
// =========================================================
// Une classe de Entity : 'SeasonalEmploymentPlan'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SEASONAL_EMPLOYMENT_PLAN);
  //SetParentClassId(BD_ENTITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new WorkDayMorningBegHour();       AddConstantDescriptor(pD);
  pD = new WorkDayMorningEndHour();       AddConstantDescriptor(pD);
  pD = new WorkDayMorningExtendedEndHour();AddConstantDescriptor(pD);
  pD = new WorkDayAfternoonBegHour();     AddConstantDescriptor(pD);
  pD = new WorkDayAfternoonEndHour();     AddConstantDescriptor(pD);
  pD = new WorkDayAfternoonExtendedEndHour();AddConstantDescriptor(pD);
  pD = new TimetableAttribute();          AddConstantDescriptor(pD);
  pD = new WorkingTimeWeeklyUpperBound(); AddConstantDescriptor(pD);
  pD = new CurrentSlotToBeExtended();     AddConstantDescriptor(pD);
  Method* pM;
  pM = new TimetableOpeningPredicate();   AddMethod (pM);
  pM = new TimetableClosingPredicate();   AddMethod (pM);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  // contraintes standard sur les heures de travail
  SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("standardWorkingTime", "week"));
};
