PhytoTreatmentComposedProgram::PhytoTreatmentComposedProgram(Vineyard* pEA, char* optionSerPar) {
// =========================================================
// Une classe de Entity : 'PhytoTreatmentComposedProgram'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(PHYTO_TREATMENT_COMPOSED_PROGRAM);
  //SetParentClassId(ACTIVITY_CONJUNCTION); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new AntiMildewTreatmentJustDone(); AddConstantDescriptor(pD);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  Activity* pAct;
  // --------------------------------------------------
  //
  // le traitement repetitif, anti oidium  [+ anti mildiou selon strategie Rx]
  //
  pAct = new RegularPhytoTreatmentsIteration(pEA, optionSerPar);
  AddElement(pAct);
  // --------------------------------------------------
  //
  // un ou deux traitements anti oidium complementaires si besoin
  //
  pAct = new ExtraPhytoTreatmentsIteration(pEA, optionSerPar);
  AddElement(pAct);
  // --------------------------------------------------
  //
  // un traitement specifique anti mildiou si necessaire
  //
  Entity* pChantier;
  if(! strcmp(optionSerPar, "PAR"))
	pChantier = new ConcurrentAntiMildewTreatments(pEA);
  else
	pChantier = new SerialAntiMildewTreatments(pEA);
  pAct = new ActivityOptional();
  pAct->AddElement(pChantier);
  AddElement(pAct);
  // --------------------------------------------------
};
