ManualOperation::ManualOperation() {
// =========================================================
// Une classe de Entity : 'ManualOperation'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MANUAL_OPERATION);
  //SetParentClassId(MY_FLOAT_AREA_OPERATION); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new NominalIntQuantitySpeed();     AddVariableDescriptor(pD);
  SetFloatConstValue(SUSPENSION_THRESHOLD, 1.0);
  AssignBody(SET_USER_FLOAT_QUANTITY_SPEED, manualOperation_setUserFloatQuantitySpeed_Body);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  // Pour economiser des reconstitutions de la valeur de la vitesse
  // par la m�thode manualOperation_setUserFloatQuantitySpeed
  // on n'y fait cette reconstitution que si la valeur courante est < 0.
  // La presente initialisation � -9. permet cela.
  // Le calcul de la vitesse est fait une seule fois, puisque 
  // setUserFloatQuantitySpeed affecte une valeur > 0. lors de ce calcul.
  //
  SetFloatConstValue(FLOAT_QUANTITY_SPEED, (float)-9.);
};
