float manualOperation_setUserFloatQuantitySpeed_Body(EntityMethod* pM) {
//
// Retourne la vitesse de l'op�ration.
// (surcharge une �ventuelle valeur du descripteur FloatQuantitySpeed).
//
  Operation* pOt = (Operation*)(pM->DescribedEntity());
  
  float currentValue = pOt->GetFloatConstValue(FLOAT_QUANTITY_SPEED);
  if(currentValue > (float)-8.)
	return currentValue;
  //
  // FloatQuantitySpeed est -9. par construction de l'operation,
  // puis devient > 0. dans ce corps de methode.
  // Pour une instance d'operation, on ne poursuit donc compl�tement 
  // le present calcul de la vitesse qu'une seule fois.
  //
  float result;

  Entity* pInst = pOt->GetEntityVarValue(INSTRUCTION_CONTAINER);

  Entity* pOOspec = pInst->GetEntityVarValue(OPERATED_OBJECT_SPEC_ATTRIBUTE);
  pEntityTab* ooList = pOOspec->GetEntityTabVarValue(PRE_EXPANDED_LIST);
  Entity* pPlot = (Entity*)ooList->get_element(0);
//printf("\nentree '%s'::setUserFloatQuantitySpeed plot '%s'", pOt->InstanceName(), pPlot->InstanceName());

  float alleyWidth = pPlot->GetIntConstValue(ALLEY_WIDTH) / (float)100.;
  float plantSpacing = pPlot->GetIntConstValue(PLANT_SPACING) / (float)100.;
  //
  // vitesse nominale en nombre de souches par heure :
  // - Pruning : NominalIntQuantitySpeed est dote d'un moniteur
  // - autres : valeur affectee par construction
  //
  int nominalSpeed = pOt->GetIntVarValue(NOMINAL_INT_QUANTITY_SPEED);
//printf("\n\talleyWidth = %3.2f plantSpacing = %3.2f nominalSpeed = %d", alleyWidth, plantSpacing, nominalSpeed);

  result = alleyWidth * plantSpacing * nominalSpeed / (float)10000.;

  pOt->SetFloatConstValue(FLOAT_QUANTITY_SPEED, result);

//printf("\n'%s'::setUserFloatQuantitySpeed plot '%s' returns %f", pOt->InstanceName(), pPlot->InstanceName(), result);
  return result;
};
