bool mayAugustEmploymentPlan_timetableOpeningPredicate_Body(EntityMethod* pM) {
//---------------------------------------------------------------------------
// specifie l'ouverture d'un SeasonalEmploymentPlan
//---------------------------------------------------------------------------
// renvoie 'vrai' ssi la date courante est apres le 01/05 de la m�me annee
//---------------------------------------------------------------------------
  Entity* pSeasonalPlan = pM->DescribedEntity();
  bool result = FALSE;
  //
  // l'instant courant
  //
  int now = pCurrentSim->Clock();
  tm* pTm_now = ClockValueToTm(now);
  int mday = pTm_now->tm_mday;
  int mon = pTm_now->tm_mon;
  //
  // la date a atteindre pour entrer dans la periode
  //
  // de SEP a DEC : le 01/05 de l'annee suivante
  // en JAN � AOU : le 01/05 de la meme annee
  //
  if(mon > 7)
	pTm_now->tm_year = pTm_now->tm_year + 1;
  //
  pTm_now->tm_mon = 4; // may
  pTm_now->tm_mday = 1;

  mktime(pTm_now);
  int seuil = StructTmToClockValue(pTm_now);
  //
  // test
  //
  if(now >= seuil)
	result = TRUE;

//printf("\nmayAugustEmploymentPlan_OP with %d %s vs. %d %s %d returns %d", mday, MonthToChar(mon+1), pTm_now->tm_mday, MonthToChar(pTm_now->tm_mon+1), pTm_now->tm_year+1900, result);
  delete pTm_now;

  return result;
};
