SerialRegularPhytoTreatments::SerialRegularPhytoTreatments(Vineyard* pEA) {
// =========================================================
// Une classe de Entity : 'SerialRegularPhytoTreatments'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(SERIAL_REGULAR_PHYTO_TREATMENTS);
  //SetParentClassId(SERIAL_DISTRIBUTED_ACTIVITY_SET); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new AntiMildewScheduled();         AddConstantDescriptor(pD);
  Method* pM;
  pM = new AddNewSituatedPhytoTreatments();AddMethod (pM);
  pM = new SelectNewPlotsToPhytoProtect();AddMethod (pM);
  pM = new SetScheduledAntiMildew();      AddMethod (pM);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  AssignBody(OPENING_PREDICATE, Body_OP_PhytoTreatments);
  AssignBody(CLOSING_PREDICATE, Body_CP_RegularPhytoTreatments);
};
