int App_EnumToInt (char* token)
//---------------------------------------------
// Description  : mapping element d'enumeration -> entier
// Precondition :
// Retour       :
//---------------------------------------------
{
  int result;
  int resultFromDiese = O_EnumToInt(token);
  if(resultFromDiese >= 0) {
    result = resultFromDiese;
  }
  else if(!strcmp(token, "BEG_PRUN")) result = 160;
  else if(!strcmp(token, "END_DEBR")) result = 161;
  else if(!strcmp(token, "END_HARV")) result = 162;
  else if(!strcmp(token, "END_PRUN_THIN")) result = 163;
  else if(!strcmp(token, "END_THIN")) result = 164;
  else if(!strcmp(token, "END_THIN_CW")) result = 165;
  else if(!strcmp(token, "END_THIN_FERT")) result = 166;
  else if(!strcmp(token, "END_THIN_CW_FERT")) result = 167;
  else if(!strcmp(token, "PART_CHEM")) result = 180;
  else if(!strcmp(token, "PART_MECA")) result = 181;
  else if(!strcmp(token, "PART_MECA_CHEM")) result = 182;
  else if(!strcmp(token, "WHOLE_CHEM")) result = 183;
  else if(!strcmp(token, "WHOLE_MECA")) result = 184;
  else if(!strcmp(token, "WHOLE_MECA_CHEM")) result = 185;
  else if(!strcmp(token, "R0")) result = 0;
  else if(!strcmp(token, "R1")) result = 1;
  else if(!strcmp(token, "RFLO")) result = 2;
  else if(!strcmp(token, "F2")) result = 3;
  else if(!strcmp(token, "F3")) result = 4;
  else if(!strcmp(token, "FFLO")) result = 5;
  else if(!strcmp(token, "S")) result = 6;
  else if(!strcmp(token, "EARLY_FEB")) result = 130;
  else if(!strcmp(token, "EARLY_MAR")) result = 131;
  else if(!strcmp(token, "EARLY_APR")) result = 132;
  else if(!strcmp(token, "EARLY_JUN")) result = 133;
  else if(!strcmp(token, "EARLY_JUL")) result = 134;
  else if(!strcmp(token, "EARLY_OCT")) result = 135;
  else if(!strcmp(token, "EARLY_NOV")) result = 136;
  else if(!strcmp(token, "EARLY_DEC")) result = 137;
  else if(!strcmp(token, "MID_JAN")) result = 138;
  else if(!strcmp(token, "MID_FEB")) result = 139;
  else if(!strcmp(token, "MID_MAR")) result = 140;
  else if(!strcmp(token, "MID_APR")) result = 141;
  else if(!strcmp(token, "MID_MAY")) result = 142;
  else if(!strcmp(token, "MID_JUL")) result = 143;
  else if(!strcmp(token, "MID_OCT")) result = 144;
  else if(!strcmp(token, "MID_NOV")) result = 145;
  else if(!strcmp(token, "MID_DEC")) result = 146;
  else if(!strcmp(token, "LATE_MAR")) result = 147;
  else if(!strcmp(token, "LATE_OCT")) result = 148;
  else if(!strcmp(token, "LATE_NOV")) result = 149;
  else if(!strcmp(token, "LATE_DEC")) result = 150;
  else if(!strcmp(token, "TEN_AUG")) result = 151;
  else if(!strcmp(token, "ERR_NO_OT_SPEC")) result = 80;
  else if(!strcmp(token, "OPERATIONS_FILE")) result = 210;
  else if(!strcmp(token, "ENDING_TRACE_FILE")) result = 211;
  else if(!strcmp(token, "NON")) result = 10;
  else if(!strcmp(token, "OUI")) result = 11;
  else if(!strcmp(token, "AUGUST")) result = 120;
  else if(!strcmp(token, "NOVEMBER")) result = 121;
  else if(!strcmp(token, "DECEMBER")) result = 122;
  else if(!strcmp(token, "NOVEMBRE")) result = 123;
  else if(!strcmp(token, "DECEMBRE")) result = 124;
  else if(!strcmp(token, "BEFORE")) result = 20;
  else if(!strcmp(token, "AFTER")) result = 21;
  else if(!strcmp(token, "ANTI_MILDIOU")) result = 30;
  else if(!strcmp(token, "REGULAR_PHYTO")) result = 31;
  else if(!strcmp(token, "EXTRA_PHYTO")) result = 32;
  else if(!strcmp(token, "E1")) result = 40;
  else if(!strcmp(token, "E2")) result = 41;
  else if(!strcmp(token, "E3")) result = 42;
  else if(!strcmp(token, "G")) result = 43;
  else if(!strcmp(token, "SG1")) result = 44;
  else if(!strcmp(token, "SG4")) result = 45;
  else if(!strcmp(token, "NONE")) result = 90;
  else if(!strcmp(token, "ALL_PLOTS")) result = 91;
  else if(!strcmp(token, "ALL_BUT_GOB")) result = 92;
  else if(!strcmp(token, "LARGE")) result = 93;
  else if(!strcmp(token, "ROYAT")) result = 94;
  else if(!strcmp(token, "VIGOROUS")) result = 95;
  else if(!strcmp(token, "ROYAT_VIGOROUS")) result = 96;
  else if(!strcmp(token, "AUTUMN")) result = 50;
  else if(!strcmp(token, "WINTER")) result = 51;
  else if(!strcmp(token, "INITSPRING")) result = 52;
  else if(!strcmp(token, "SPRING")) result = 53;
  else if(!strcmp(token, "ONE_PLOT_PRUNED")) result = 170;
  else if(!strcmp(token, "SURF_PRUNED_3")) result = 171;
  else if(!strcmp(token, "SURF_PRUNED_12")) result = 172;
  else if(!strcmp(token, "SURF_PRUNED_17")) result = 173;
  else if(!strcmp(token, "SURF_PRUNED_MAJ")) result = 174;
  else if(!strcmp(token, "TILLAGE")) result = 60;
  else if(!strcmp(token, "CHEMICAL_WEEDING")) result = 61;
  else if(!strcmp(token, "GRASS_COVER")) result = 62;
  else if(!strcmp(token, "MIXED_TILLAGE_CW")) result = 63;
  else if(!strcmp(token, "GRASS_COVERING")) result = 65;
  else if(!strcmp(token, "GRASS_COVERING_TILLAGE")) result = 66;
  else if(!strcmp(token, "CW_IN_SPACE")) result = 67;
  else if(!strcmp(token, "CW_IN_TIME")) result = 68;
  else if(!strcmp(token, "TOTAL_CW")) result = 69;
  else if(!strcmp(token, "TOTAL_TILLAGE")) result = 70;
  else if(!strcmp(token, "HAND_HELD")) result = 72;
  else if(!strcmp(token, "BACK_CARRIED")) result = 73;
  else if(!strcmp(token, "HORIZONTAL")) result = 74;
  else if(!strcmp(token, "VERTICAL")) result = 75;
  else if(!strcmp(token, "AIR_ASSISTED")) result = 76;
  else if(!strcmp(token, "DEBRANCHER")) result = 77;
  else if(!strcmp(token, "WEED_COVER")) result = 190;
  else if(!strcmp(token, "OPTIMIZATION")) result = 191;
  else if(!strcmp(token, "OPPORTUNITY")) result = 192;
  else if(!strcmp(token, "LOW_RAIN_INTENSITY")) result = 193;
  else if(!strcmp(token, "LOW_RAIN_INTENSITY_OR_LONG_DRY_PERIOD")) result = 194;
  else if(!strcmp(token, "MEDIUM_RAIN_INTENSITY")) result = 195;
  else if(!strcmp(token, "MEDIUM_RAIN_INTENSITY_OR_LONG_DRY_PERIOD")) result = 196;
  else if(!strcmp(token, "HIGH_RAIN_INTENSITY")) result = 197;
  else if(!strcmp(token, "HIGH_RAIN_INTENSITY_OR_LONG_DRY_PERIOD")) result = 198;
  else if(!strcmp(token, "INIT_SPRING_TILLAGE")) result = 199;
  else if(!strcmp(token, "WINTER_RAIN_BASED")) result = 200;
  else if(!strcmp(token, "FARM_SCOPE")) result = 201;
  else if(!strcmp(token, "PLOT_SCOPE")) result = 202;
  else if(!strcmp(token, "PLOT_GROUP_SCOPE")) result = 203;
  else {
    printf("\nSymbole d'énumération inconnu : '%s'\n", token);
  	exit(0);
  }
  
// plus grand entier en cours : 211
  
  return result;
}
