void App_ParseMainArguments (int argc, char* argv[])
//---------------------------------------------
// Description  : interpretation of main function arguments
// Precondition :
// Retour       :
//---------------------------------------------
{
  Boolean arg_ok = O_ParseMainArguments(argc, argv, TRUE);  // PrintCommaneLine

  if ((argc < 6) || !strcmp(argv[1], "-h")) {
    printf("\n        [-w (application warnings)] \n");
    printf("        [-o (all activities full trace)] \n");
    printf("        [-O <nomFichier> (all activities ending trace)] \n");    // + JPR 130325
    printf("        [-O <nomFichier> <string1> ... <stringn> (string-named activities ending trace)] \n");
    printf("        [-f <nomFichier BDD> (dans OUT_DIR)] \n");
    printf("        [-gf <fichier de commandes Gantt> (dans OUT_DIR)] \n");
    printf("        [-gs <suffixe du fichier de commandes Gantt> (dans OUT_DIR)] \n");
	exit(0);
  }
  if(arg_ok)  {
	for (int i=6;i<argc;i++) {
//printf("\ni = %d argc = %d argv : '%s'", i, argc, argv[i]);
	  if (!strcmp(argv[i], "-w"))
		gMyTraceWarnings  = TRUE;
	  else if (!strcmp(argv[i], "-o"))
		gMyTraceOperations  = TRUE;
	  else if (!strcmp(argv[i], "-O")) {    // + JPR 130325
		gMyEndingTraceFileName = argv[i+1];
		if((i+2 >= argc) || strstr(argv[i+2], "-")) {
		  gMyEndingTraceAllOperations  = TRUE;
		  i++;
		}
		else {
		  if(gMyEndingTraceSomeOperations == FALSE) {
			gMyEndingTraceSomeOperations = TRUE;
			gMyEndingTraceStringTab = new char[200];
			gMyEndingTraceStringTab[0] = '\0';
		  }
		  strcat(gMyEndingTraceStringTab, argv[i+2]);
		  strcat(gMyEndingTraceStringTab, "_");
		  i = i+2;
		}
	  }
	  else if (!strcmp(argv[i], "-f")) {
		gMyRecordOperations  = TRUE;
		gMyRecordFileName = argv[i+1];
		i++;
	  }
	  else if (!strcmp(argv[i], "-gf")) {  // ajout JPR 130313 (5.5)
		gMyGanttFileSpec  = TRUE;
		gMyGanttFileName = argv[i+1];
		i++;
	  }
	  else if (!strcmp(argv[i], "-gs")) {
		gMyGanttFileSpec  = TRUE;
		gMyGanttFileSuffix = argv[i+1];
		i++;
	  }
      else if(! strstr(argv[i], "-")    // + JPR 130325
			  &&
			  ! strstr(argv[i], ".exp"))  {    // + JPR 130524
		// pour que le token soit ajoute a la liste des classes d'OT,
		// il faut que ca ne soit pas le nom du fichier de plan d'expe
        strcat(gMyEndingTraceStringTab, argv[i]);
        strcat(gMyEndingTraceStringTab, "_");
      }
	}
//printf("\ngMyEndingTraceStringTab : '%s'\n", gMyEndingTraceStringTab);
  }
  //printf("\n"); exit(0);
}
