pEntityTab* manualWorkerEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM)
//---------------------------------------------
// Construit une liste d'entites correspondant a la specification.
//---------------------------------------------
{
  EntitySpec* pES = pM->DescribedEntitySpec();
  pEntityTab* result = pES->GetExpansion();
  result->erase();
  Entity* pVineyard = pM->GetEntityArgValue(REFERENCEENTITY_ARGUMENT);
  //UserClassId classId = pM->GetIntArgValue(CLASSID_ARGUMENT);
  //int size = pM->GetIntArgValue(LISTSIZE_ARGUMENT);
  //
  Entity* pPlan = pVineyard->GetEntityConstValue(CONTROL_PLAN_ATTRIBUTE);
  Entity* pARB = pPlan->GetSuperEntity();
  Entity* pRscPool = pARB->GetComponent(RESOURCE_POOL_CONJUNCTION);
  Entity* pWorkerPool = pRscPool->GetElement(0); // convention App_ResourceSettings
  pEntityTab tmp;  

  tmp = pWorkerPool->GetDepthElementTab(PERMANENT_MULTI_TASK_MANUAL_WORKER);
  result->push_back(tmp);
  tmp = pWorkerPool->GetDepthElementTab(PERMANENT_TILLAGE_ORIENTED_TRACTOR_DRIVER);
  result->push_back(tmp);
  tmp = pWorkerPool->GetDepthElementTab(PERMANENT_ALL_TASK_TRACTOR_DRIVER);
  result->push_back(tmp);
  tmp = pWorkerPool->GetDepthElementTab(PERMANENT_PREFERENTIAL_TRACTOR_DRIVER);
  result->push_back(tmp);

//printf("\nmanualWorkerEntitySpec_ELI result : ");result->display_names();

  return result;
};
