PruningActivity::PruningActivity(Vineyard* pEA) {
// =========================================================
// Une classe de Entity : 'PruningActivity'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(PRUNING_ACTIVITY);
  //SetParentClassId(VINEYARD_ACTIVITY); // pour memoire (*)
  AddInstanceToClass();
  SetIntConstValue(ALLOCATION_PRIORITY_DEGREE, 50);
  SetIntVarValue(OPERATION_CLASS_ID, PRUNING_OPERATION);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

//printf("\nconstr PruningActivity pEA : '%s'", pEA->InstanceName());

  SetFloatConstValue(MIN_PERCENTAGE_TO_BEGIN_OPERATION, (float)0.);

  PerformerSpecification* pPerfSpec = new PerformerSpecification();
  //-------------------------------------------------------
  EntitySpec* pES = new PruningExecutorEntitySpec();
  //-------------------------------------------------------
  pES->ReferentEntity(pEA);
  pPerfSpec->SetEntitySpecConstValue(PERFORMER_ENTITY_SPEC_ATTRIBUTE, pES);
  pPerfSpec->SetIntConstValue(SELECTOR_FCT_ID, MAX);
  pPerfSpec->SetIntVarValue(ENTITY_SPEC_REFERENCE_CLASS_ID, FARM_WORKER);
  //pPerfSpec->SetIntConstValue(CONTINUATION_MODE, SAME_PREVIOUS_ENTITIES);
  
  SetEntityVarValue(PERFORMER_SPEC_ATTRIBUTE, pPerfSpec);
};
