bool Body_OP_Debranchings (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : 
//---------------------------------------------
{
  Entity* pChantier = pM->DescribedEntity();

  bool result = OpeningCondition_Debranchings(pChantier);

  if(result) {
	/*
	// patch JPR 110209 
	// qd des parcelles OPEN ne sont pas commenc�es immediatement,
	// la plot operee n'est ni dans terminatedPlots ni dans inCoursePlots
	// --> plot est (re)mise dans la liste des parcelels selectionnees
	// --> une activite primitive est (re)creee pour elle
	//
	// ==> on enleve du chantier les activites OPEN (== not IN_COURSE)
	// (normalement fait dans MIOS !
    //
	int nbSons = pChantier->GetNumberOfOperands();
	for(int k=nbSons-1;k>=0;k--) {
	  Entity* pAct = pChantier->GetOperand(k);
	  Boolean inCourseFound = FALSE;
	  int situation = pAct->GetIntVarValue(SITUATION);
	  if(situation == OPEN) {
		pChantier->RemoveOperand(k);
	  }
	}
	*/

	//=================================================
	// creation du premier lot de parcelles a epamprer
	//=================================================

	pChantier->ClearEntityTabValues(TERMINATED_PLOTS_ATTRIBUTE);

	pEntityTab* pTerminatedPlots = new pEntityTab(); // vide
	pEntityTab* pInCoursePlots = new pEntityTab(); // vide

	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_DEBRANCHINGS,
									TERMINATED_PLOTS_ARGUMENT, 
									pTerminatedPlots); 
	pChantier->SetEntityTabArgValue(ADD_NEW_SITUATED_DEBRANCHINGS,  
									IN_COURSE_PLOTS_ARGUMENT, 
									pInCoursePlots);
	pChantier->ExecPredicate(ADD_NEW_SITUATED_DEBRANCHINGS);
	//          ---------------------------------------------
	delete pTerminatedPlots;
	delete pInCoursePlots;
  }

//printf("\n'%s'::Body_OP_Debranchings returns %d", pChantier->InstanceName(), result);
  return result;
}
