pEntityTab* App_GetIsoAgeingEntityList (Entity* pEA, Entity* pVariety, Entity* pWS)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : un tableau d'entites a desallouer par le code client
//---------------------------------------------
{
  pEntityTab* result = new pEntityTab();
  
  pEntityTab* pIsoAgeingEntityTab = 
	pEA->GetEntityTabConstValue(ISO_AGEING_ENTITY_SET_ATTRIBUTE);
  
  int nbElem = pIsoAgeingEntityTab->size();
  for(int i=0;i<nbElem;i++) {
	Entity* pIsoAgeingEntity = (Entity*)pIsoAgeingEntityTab->get_element(i);
	if((! pVariety
		||
		pIsoAgeingEntity->GetEntityConstValue(GRAPE_VARIETY_ATTRIBUTE) == pVariety)
	   &&
	   (! pWS
		||
		pIsoAgeingEntity->GetEntityConstValue(WEATHER_STATION_ATTRIBUTE) == pWS))
	  result->push_back(pIsoAgeingEntity);
  }
//printf("\nApp_GetIsoAgeingEntityList('%s','%x','%x') returns :", pEA->InstanceName(), pVariety, pWS);result->display_names();
  return result;
}
