bool Body_OP_Phase3 (EntityMethod* pM)
//---------------------------------------------
// Description  : 
// Precondition : 
// Retour       : TRUE ssi le chantier d'AutumnTillage est ferme (celui de
//              : la phase 1 ou celui de la phase 2, si on y est entre)
//---------------------------------------------
{
  Entity* pPhase = pM->DescribedEntity();
//printf("\nDEB '%s'Body_OP_Phase3", pPhase->InstanceName());
  Entity* pEA = App_GetVineyard((Activity*)pPhase);
  int nbPlots = pEA->GetNumberOfElements();
  //
  // si une parcelle est en cours de labour d'automne, on n'ouvre pas
  //
  bool result = TRUE;
  for(int k=0;k<nbPlots;k++) {
	Entity* pPlot_k = pEA->GetElement(k);
	float percentAutumnTilled = 
	  pPlot_k->GetFloatVarValue(PERCENT_AUTUMN_TILLED);
//printf("\n'%s'_OP_Phase3) %s percentAutumnTilled = %f", pPhase->InstanceName(), pPlot_k->InstanceName(), percentAutumnTilled);
	int isATInCourse = App_FloatGT(percentAutumnTilled, (float)-1.)
	                   && 
                       App_FloatLT(percentAutumnTilled, (float)1.);
	if(isATInCourse) {
	  result = FALSE;
	  break;
	}
  }
//printf("\n'%s'Body_OP_Phase3 returns %d", pPhase->InstanceName(), result);
  return result;
}
