pEntityTab* clippingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM)
//---------------------------------------------
// Construit une liste d'entites correspondant a la specification.
//---------------------------------------------
{
  EntitySpec* pES = pM->DescribedEntitySpec();
  pEntityTab* result = pES->GetExpansion();
  result->erase();
  Entity* pOt = pM->GetEntityArgValue(REFERENCEENTITY_ARGUMENT);
  Entity* pInst = pOt->GetEntityVarValue(INSTRUCTION_CONTAINER);
  Entity* pOOspec = pInst->GetEntityVarValue(OPERATED_OBJECT_SPEC_ATTRIBUTE);
  pEntityTab* ooList = pOOspec->GetEntityTabVarValue(PRE_EXPANDED_LIST);
  if(ooList->size() < 1) {
	printf("\n!!! Pas de parcelle trouvee dans clippingResourceEntitySpec_ELI operation : '%s'", pOt->InstanceName());
	exit(0);
  }
  Entity* pPlot = (Entity*)ooList->get_element(0);
//printf("\nclippingResourceEntitySpec_ELI pPlot  : '%s'\n", pPlot->InstanceName());

  //UserClassId classId = pM->GetIntArgValue(CLASSID_ARGUMENT); 
  // CLIPPING_RESOURCE_SET
  //int size = pM->GetIntArgValue(LISTSIZE_ARGUMENT);

  Entity* pVineyard = pPlot->GetSuperSet();
  Entity* pPlan = pVineyard->GetEntityConstValue(CONTROL_PLAN_ATTRIBUTE);
  Entity* pARB = pPlan->GetSuperEntity();
  Entity* pRscPool = pARB->GetComponent(RESOURCE_POOL_CONJUNCTION);
  //Entity* pWorkerPool = pRscPool->GetElement(0); // cf. App_ResourceSettings
  Entity* pEquipmentPool = pRscPool->GetElement(1);
  pEntityTab tmp;
  //------------------------------------------------------------
  pEntityTab* tractorTab = new pEntityTab();
  tmp = pEquipmentPool->GetDepthElementTab(TRACTOR);
  tractorTab->push_back(tmp);
  int nbTractor = tractorTab->size();
//printf("\nclippingResourceEntitySpec_ELI tractorTab : ");tractorTab->display_names();
  //------------------------------------------------------------
  pEntityTab* tractedTab = new pEntityTab();
  tmp = pEquipmentPool->GetDepthElementTab(CLIPPER);
  tractedTab->push_back(tmp);
  int nbTracted = tractedTab->size();
//printf("\nclippingResourceEntitySpec_ELI tractedTab : ");tractedTab->display_names();
  //------------------------------------------------------------
  for(int j= 0;j<nbTractor;j++) {
	Entity* pTractor = (Entity*)tractorTab->get_element(j);
	/*
	  if(pTractor->IsInstanceOf(UNE_SS_CLASSE)
	  &&
	  pPlot-GetIntConstValue(ALLEY_WIDTH) < 180)
	  continue;
	*/
	for(int k= 0;k<nbTracted;k++) {
	  Entity* pTracted = (Entity*)tractedTab->get_element(k);
		Entity* pAggrRsc = new FertilizationResourceSet();
		pAggrRsc->AddElement(pTractor);
		pAggrRsc->AddElement(pTracted);
		pAggrRsc->SetIntConstValue(IS_PERMANENT, FALSE);  // + JPR 110225
//printf("\nclippingResourceEntitySpec_ELI new {'%s' '%s'}", pTractor->InstanceName(), pTracted->InstanceName()); 
		result->push_back(pAggrRsc);
	}
  }
  delete  tractorTab;
  delete  tractedTab;
  
  return result;
};
