int distributedActivitySetBegDate_whenSetInt_Body(MonitorMethod* pM)
//---------------------------------------------
// Definition de la fonction qui sera declenchee lors de
// chaque modification de la variable surveillee.
//---------------------------------------------
// Quand un chantier commence (id. le chantier devient OPEN) ...
//---------------------------------------------
{
  Descriptor* pVD = pM->GetDescriptorArgValue(MONITOREDDESCRIPTOR_ARGUMENT);
  Entity* pChantier = pVD->DescribedEntity();
  //int oldValue = pM->GetIntArgValue(CURRENTINTVALUE_ARGUMENT);
  int newValue = pM->GetIntArgValue(CANDIDATEINTVALUE_ARGUMENT);
  //
  // ... il est vide de ses activites elements obsoletes 
  //
  // . cas general : les act. viennent d'etre instanciees par AddNewSituatedX
  //                 --> on ne les touche pas
  // . cas particulier : les act. sont les elements residuels de l'iteration
  //                     precedente d'un chantier itere
  //                 --> on ne les desalloue (ce qui les enleve du chantier)
  // critere d'obsolescence : END_DATE > -9
  //
  int nbAct = pChantier->GetNumberOfElements();
  for(int i=nbAct-1;i>=0;i--) {
	PrimitiveActivity* pAct = (PrimitiveActivity*)pChantier->GetElement(i);
	int endDate = pAct->GetIntVarValue(END_DATE);
//printf("\n'%s'::BEG_DATE WSI '%s'->DeleteInDepth END_DATE = %d", pChantier->InstanceName(), pAct->InstanceName(), endDate);
	if(endDate > -9) {;
//printf("\t ... deleted and removed !");
	  pAct->DeleteInDepth();
	}
  }

  return newValue;
};
