###############
#  Condition  #
###############

OccurrenceDomain AtLeastOnePlot {
      ClassSymbol               : AT_LEAST_ONE_PLOT
      ClassName                 : "atLeastOnePlot"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_DOMAIN

      OverloadedConstDesc value : EntityIdAttribute   PLOT 
      OverloadedConstDesc value : AcceptabilityThreshold   0 
      OverloadedConstDesc value : BinaryOperatorId   C_GT 
}
#==============================================
ResourceSharingViolationCondition EquipmentMultiLocalization {
      ClassSymbol               : EQUIPMENT_MULTI_LOCALIZATION
      ClassName                 : "equipmentMultiLocalization"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : RESOURCE_SHARING_VIOLATION_CONDITION

      OverloadedConstDesc value : OccurrenceCrossDomainAttribute   equipmentUbiquityCondition 
      OverloadedVarDesc value   : ConstrainedEntityClassId   FARM_EQUIPMENT 
}
#==============================================
OccurrenceCrossDomain EquipmentUbiquityCondition {
      ClassSymbol               : EQUIPMENT_UBIQUITY_CONDITION
      ClassName                 : "equipmentUbiquityCondition"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_CROSS_DOMAIN

}
#==============================================
ResourceSharingViolationCondition FarmWorkerMultiLocalization {
      ClassSymbol               : FARM_WORKER_MULTI_LOCALIZATION
      ClassName                 : "farmWorkerMultiLocalization"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : RESOURCE_SHARING_VIOLATION_CONDITION

      OverloadedConstDesc value : OccurrenceCrossDomainAttribute   farmWorkerUbiquityCondition 
      OverloadedVarDesc value   : ConstrainedEntityClassId   FARM_WORKER 
}
#==============================================
ResourceSharingViolationCondition FarmWorkerMultiOccupation {
      ClassSymbol               : FARM_WORKER_MULTI_OCCUPATION
      ClassName                 : "farmWorkerMultiOccupation"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : RESOURCE_SHARING_VIOLATION_CONDITION

      OverloadedConstDesc value : OccurrenceCrossDomainAttribute   farmWorkerMultiOccupied 
      OverloadedVarDesc value   : ConstrainedEntityClassId   FARM_WORKER 
}
#==============================================
OccurrenceCrossDomain FarmWorkerMultiOccupied {
      ClassSymbol               : FARM_WORKER_MULTI_OCCUPIED
      ClassName                 : "farmWorkerMultiOccupied"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_CROSS_DOMAIN

}
#==============================================
OccurrenceCrossDomain FarmWorkerUbiquityCondition {
      ClassSymbol               : FARM_WORKER_UBIQUITY_CONDITION
      ClassName                 : "farmWorkerUbiquityCondition"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_CROSS_DOMAIN

}
#==============================================
OccurrenceDomain MoreThanOnePlot {
      ClassSymbol               : MORE_THAN_ONE_PLOT
      ClassName                 : "moreThanOnePlot"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_DOMAIN

      OverloadedConstDesc value : EntityIdAttribute   PLOT 
      OverloadedConstDesc value : AcceptabilityThreshold   1 
      OverloadedConstDesc value : BinaryOperatorId   C_GT 
}
#==============================================
OccurrenceDomain MoreThanOneTask {
      ClassSymbol               : MORE_THAN_ONE_TASK
      ClassName                 : "moreThanOneTask"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_DOMAIN

      OverloadedConstDesc value : EntityIdAttribute   OPERATION 
      OverloadedConstDesc value : AcceptabilityThreshold   1 
      OverloadedConstDesc value : BinaryOperatorId   C_GT 
}
#==============================================
OccurrenceCrossDomain NeutralInconsistencyCondition {
      ClassSymbol               : NEUTRAL_INCONSISTENCY_CONDITION
      ClassName                 : "neutralInconsistencyCondition"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : OCCURRENCE_CROSS_DOMAIN

}
#==============================================
ActivityInconsistencyCondition OnlyPhytoTreatmentsAtEarlyMorning {
      ClassSymbol               : ONLY_PHYTO_TREATMENTS_AT_EARLY_MORNING
      ClassName                 : "onlyPhytoTreatmentsAtEarlyMorning"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ACTIVITY_INCONSISTENCY_CONDITION

      OverloadedConstDesc value : OccurrenceCrossDomainAttribute   neutralInconsistencyCondition 
      OverloadedVarDesc value   : ConstrainedEntityClassId   VINEYARD_ACTIVITY 
      OverloadedMethod body     : HoldingCondition   onlyPhytoTreatmentsAtEarlyMorning_holdingCondition_Body
}
#==============================================
ActivitiesResourcesInconsistentCommitment PlotWithSeveralOperations {
      ClassSymbol               : PLOT_WITH_SEVERAL_OPERATIONS
      ClassName                 : "plotWithSeveralOperations"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ACTIVITIES_RESOURCES_INCONSISTENT_COMMITMENT

      OverloadedMethod body     : HoldingCondition   plotWithSeveralOperations_holdingCondition_Body
}
#==============================================
ActivityInconsistencyCondition TooLateInWorkDayForActivityBeginning {
      ClassSymbol               : TOO_LATE_IN_WORK_DAY_FOR_ACTIVITY_BEGINNING
      ClassName                 : "tooLateInWorkDayForActivityBeginning"
      signatureConstructeur     : "()"
      instanceList              : "yes"
      SetParentClassId          : ACTIVITY_INCONSISTENCY_CONDITION

      OverloadedConstDesc value : OccurrenceCrossDomainAttribute   neutralInconsistencyCondition 
      OverloadedVarDesc value   : ConstrainedEntityClassId   VINEYARD_ACTIVITY 
      OverloadedMethod body     : HoldingCondition   tooLateInWorkDayForActivityBeginning_holdingCondition_Body
}
#==============================================

