################
#  EntitySpec  #
################

EntitySpec AirAssistedSprayingResourceEntitySpec {
      ClassName                 : airAssistedSprayingResourceEntitySpec
      UserClassId               : AIR_ASSISTED_SPRAYING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : airAssistedSprayingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec ChemicalDebrancherSprayingResourceEntitySpec {
      ClassName                 : chemicalDebrancherSprayingResourceEntitySpec
      UserClassId               : CHEMICAL_DEBRANCHER_SPRAYING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : chemicalDebrancherSprayingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec ChemicalWeedingExecutorEntitySpec {
      ClassName                 : chemicalWeedingExecutorEntitySpec
      UserClassId               : PERMANENT_FARM_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : chemicalWeedingExecutorEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec ClippingResourceEntitySpec {
      ClassName                 : clippingResourceEntitySpec
      UserClassId               : CLIPPING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : clippingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec FertilizationResourceEntitySpec {
      ClassName                 : fertilizationResourceEntitySpec
      UserClassId               : FERTILIZATION_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : fertilizationResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec GreenWorkExecutorEntitySpec {
      ClassName                 : greenWorkExecutorEntitySpec
      UserClassId               : FARM_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : greenWorkExecutorEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec GrinderShootThinningResourceEntitySpec {
      ClassName                 : grinderShootThinningResourceEntitySpec
      UserClassId               : GRINDER_SHOOT_THINNING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : grinderShootThinningResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec HandHeldGunSprayingResourceEntitySpec {
      ClassName                 : handHeldGunSprayingResourceEntitySpec
      UserClassId               : HAND_HELD_GUN_SPRAYING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : handHeldGunSprayingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec HorizontalRailSprayingResourceEntitySpec {
      ClassName                 : horizontalRailSprayingResourceEntitySpec
      UserClassId               : HORIZONTAL_RAIL_SPRAYING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : horizontalRailSprayingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec ManualWorkerEntitySpec {
      ClassName                 : manualWorkerEntitySpec
      UserClassId               : FARM_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : manualWorkerEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec PruningExecutorEntitySpec {
      ClassName                 : pruningExecutorEntitySpec
      UserClassId               : FARM_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : pruningExecutorEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec RotaryTillageResourceEntitySpec {
      ClassName                 : rotaryTillageResourceEntitySpec
      UserClassId               : ROTARY_TILLAGE_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : rotaryTillageResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec SpringTineTillageResourceEntitySpec {
      ClassName                 : springTineTillageResourceEntitySpec
      UserClassId               : SPRING_TINE_TILLAGE_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : springTineTillageResourceEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec TillageTractorDriverEntitySpec {
      ClassName                 : tillageTractorDriverEntitySpec
      UserClassId               : PERMANENT_FARM_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : tillageTractorDriverEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec TractorDriverEntitySpec {
      ClassName                 : tractorDriverEntitySpec
      UserClassId               : PERMANENT_MULTI_TASK_WORKER
      QuantificatorId           : ALLENT
      Mode                      : RETURN_INSTANCES
      Effectif                  : -9
      AssignEntityListInstantiator : tractorDriverEntitySpec_entityListInstantiator_Body
}
#==============================================
EntitySpec VerticalRailSprayingResourceEntitySpec {
      ClassName                 : verticalRailSprayingResourceEntitySpec
      UserClassId               : VERTICAL_RAIL_SPRAYING_RESOURCE_SET
      QuantificatorId           : ALLENT
      Mode                      : INSTANTIATE
      Effectif                  : -9
      AssignEntityListInstantiator : verticalRailSprayingResourceEntitySpec_entityListInstantiator_Body
}
#==============================================

