###########
#  Event  #
###########

Event MemoryItemGarbagingEvent {
      ClassName                 : memoryItemGarbagingEvent
      ParentClass               : Event
      SetPriorityDegree         : 20
      SetOccurrenceProbability  : 100
      SetOccurrenceClockTime    : 0
      SetMinOccurrenceClockTime : 0
      SetMaxOccurrenceClockTime : 0
      NextEventClass            : Event
      SetMinDelayNextEvent      : 0
      SetMaxDelayNextEvent      : 0
      SetNextEventOccurrenceProbability : 100
      AddProcessAction          : [ memoryItemGarbagingProcess 	/ Exec ]
      ProcessedEntityClassId    : BD_ENTITY
}
#==============================================
Event MildewWarningEvent {
      ClassName                 : mildewWarningEvent
      ParentClass               : Event
      SetPriorityDegree         : 20
      SetOccurrenceProbability  : 100
      SetOccurrenceClockTime    : 0
      SetMinOccurrenceClockTime : 0
      SetMaxOccurrenceClockTime : 0
      NextEventClass            : Event
      SetMinDelayNextEvent      : 0
      SetMaxDelayNextEvent      : 0
      SetNextEventOccurrenceProbability : 100
      SetDefineNextEventClockTime : mildewWarningEvent_defineNextEventClockTime_Body
      AddProcessAction          : [ mildewWarningProcess 	/ Exec ]
      ProcessedEntityClassId    : BD_ENTITY
}
#==============================================
Event MorningMhydasInteractionEvent {
      ClassName                 : morningMhydasInteractionEvent
      ParentClass               : Event
      SetPriorityDegree         : 5
      SetOccurrenceProbability  : 100
      SetOccurrenceClockTime    : 0
      SetMinOccurrenceClockTime : 0
      SetMaxOccurrenceClockTime : 0
      NextEventClass            : Event
      SetMinDelayNextEvent      : 0
      SetMaxDelayNextEvent      : 0
      SetNextEventOccurrenceProbability : 100
      SetDefineNextEventClockTime : morningMhydasInteractionEvent_defineNextEventClockTime_Body
      AddProcessAction          : [ morningMhydasInteractionProcess 	/ Exec ]
      ProcessedEntityClassId    : BD_ENTITY
}
#==============================================
Event MorningUpdateSituationEvent {
      ClassName                 : morningUpdateSituationEvent
      ParentClass               : UpdateSituationEvent
      SetPriorityDegree         : 99
      SetOccurrenceProbability  : 100
      SetOccurrenceClockTime    : 0
      SetMinOccurrenceClockTime : 0
      SetMaxOccurrenceClockTime : 0
      NextEventClass            : UpdateSituationEvent
      SetMinDelayNextEvent      : 0
      SetMaxDelayNextEvent      : 0
      SetNextEventOccurrenceProbability : 100
      SetDefineNextEventClockTime : morningUpdateSituationEvent_defineNextEventClockTime_Body
      AddProcessAction          : [ clearPerfAllocationAndUpdateSituation 	/ Exec ]
      ProcessedEntityClassId    : BD_ENTITY
}
#==============================================
Event UpdateSeasonCurrentIndexEvent {
      ClassName                 : updateSeasonCurrentIndexEvent
      ParentClass               : Event
      SetPriorityDegree         : 10
      SetOccurrenceProbability  : 100
      SetOccurrenceClockTime    : 0
      SetMinOccurrenceClockTime : 0
      SetMaxOccurrenceClockTime : 0
      NextEventClass            : Event
      SetMinDelayNextEvent      : 0
      SetMaxDelayNextEvent      : 0
      SetNextEventOccurrenceProbability : 100
      SetDefineNextEventClockTime : updateSeasonCurrentIndexEvent_defineNextEventClockTime_Body
      AddProcessAction          : [ updateSeasonCurrentIndexProcess 	/ Exec ]
      ProcessedEntityClassId    : BD_ENTITY
}
#==============================================

