#############
#  Process  #
#############

DiscreteProcess ClearPerfAllocationAndUpdateSituation {
      ClassSymbol               : CLEAR_PERF_ALLOCATION_AND_UPDATE_SITUATION
      ClassName                 : clearPerfAllocationAndUpdateSituation
      ParentClassId             : DiscreteProcess
      ProcessedEntityClassId    : MANAGER
      FirstEntity               : true
      PostponementDelay         : 1
      SetExec                   : clearPerfAllocationAndUpdateSituation_execProcess_Body
}
#==============================================
ContinuousProcess GrapevineAgeingProcess {
      ClassSymbol               : GRAPEVINE_AGEING_PROCESS
      ClassName                 : grapevineAgeingProcess
      ParentClassId             : ContinuousProcess
      ProcessedEntityClassId    : ISO_AGEING_ENTITY
      PostponementDelay         : 1
      Step                      : 1
      PostInitialisationEvent   : 0   0
      SetInitialize             : grapevineAgeingProcess_initializeProcess_Body
      SetGoOneStepForward       : grapevineAgeingProcess_goOneStepForwardProcess_Body
}
#==============================================
ReadBufferizedDataFileProcess HourlyWeatherFileReading {
      ClassSymbol               : HOURLY_WEATHER_FILE_READING
      ClassName                 : hourlyWeatherFileReading
      ParentClassId             : ReadBufferizedDataFileProcess
      ProcessedEntityClassId    : BD_ENTITY
      PostponementDelay         : 1
      Step                      : 1
      PostInitialisationEvent   : 0   0
      SetInitialize             : hourlyWeatherFileReading_initializeProcess_Body
      SetPostRead               : hourlyWeatherFileReading_postReadProcess_Body
      FileClassId               : HOURLY_WEATHER_FILE
}
#==============================================
InitFactualDataFileReadingProcess InitPestInfoFileReading {
      ClassSymbol               : INIT_PEST_INFO_FILE_READING
      ClassName                 : initPestInfoFileReading
      ParentClassId             : InitFactualDataFileReadingProcess
      ProcessedEntityClassId    : VINEYARD_SET
      PostponementDelay         : 1
      PostExecutionEvent        : 0   0
      SetPostRead               : initPestInfoFileReading_postReadProcess_Body
      FileClassId               : PEST_INFO_FILE
}
#==============================================
InitFactualDataFileReadingProcess InitPhenoStageFileReading {
      ClassSymbol               : INIT_PHENO_STAGE_FILE_READING
      ClassName                 : initPhenoStageFileReading
      ParentClassId             : InitFactualDataFileReadingProcess
      ProcessedEntityClassId    : BD_ENTITY
      PostponementDelay         : 1
      PostExecutionEvent        : 0   0
      SetPostRead               : initPhenoStageFileReading_postReadProcess_Body
      FileClassId               : PHENO_STAGE_FILE
}
#==============================================
DiscreteProcess MemoryItemGarbagingProcess {
      ClassSymbol               : MEMORY_ITEM_GARBAGING_PROCESS
      ClassName                 : memoryItemGarbagingProcess
      ParentClassId             : DiscreteProcess
      ProcessedEntityClassId    : BD_ENTITY
      PostponementDelay         : 1
      SetExec                   : memoryItemGarbagingProcess_execProcess_Body
}
#==============================================
DiscreteProcess MildewWarningProcess {
      ClassSymbol               : MILDEW_WARNING_PROCESS
      ClassName                 : mildewWarningProcess
      ParentClassId             : DiscreteProcess
      ProcessedEntityClassId    : BD_ENTITY
      PostponementDelay         : 1
      SetExec                   : mildewWarningProcess_execProcess_Body
}
#==============================================
DiscreteProcess MorningMhydasInteractionProcess {
      ClassSymbol               : MORNING_MHYDAS_INTERACTION_PROCESS
      ClassName                 : morningMhydasInteractionProcess
      ParentClassId             : DiscreteProcess
      ProcessedEntityClassId    : BD_ENTITY
      PostponementDelay         : 1
      SetExec                   : morningMhydasInteractionProcess_execProcess_Body
}
#==============================================
DiscreteProcess UpdateSeasonCurrentIndexProcess {
      ClassSymbol               : UPDATE_SEASON_CURRENT_INDEX_PROCESS
      ClassName                 : updateSeasonCurrentIndexProcess
      ParentClassId             : DiscreteProcess
      ProcessedEntityClassId    : VINEYARD_SET
      PostponementDelay         : 1
      SetExec                   : updateSeasonCurrentIndexProcess_execProcess_Body
}
#==============================================

