ConcurrentShootThinnings::ConcurrentShootThinnings(Vineyard* pVineyard, int numPhase) {
// =========================================================
// Une classe de Entity : 'ConcurrentShootThinnings'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(CONCURRENT_SHOOT_THINNINGS);
  //SetParentClassId(CONCURRENT_DISTRIBUTED_ACTIVITY_SET); // pour memoire (*)
  AddInstanceToClass();
  Method* pM;
  pM = new AddNewSituatedShootThinnings();AddMethod (pM);
  pM = new SelectNewPlotsToShootThin();   AddMethod (pM);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  AssignBody(MODIFY_IN_OPEN_SITUATION, Body_MIOS_ShootThinnings);

  AssignBody(OPENING_PREDICATE, Body_OP_ShootThinnings_OnSurface);
  //
  // predicat de fermeture
  //
  switch (numPhase) {
  case 2 : { 
	AssignBody(CLOSING_PREDICATE, Body_CP_ShootThinnings_Phase2);
	break;
  }
  case 3 : { 
	AssignBody(CLOSING_PREDICATE, Body_CP_ShootThinnings_Phase3);
	break;
  }
  default : {
	printf("\n!!! Construction d'un '%s' avec un numero de phase illegal : %d\n", InstanceName(), numPhase);
	exit(0);
  }
  }
};
