DecisionOptionSet::DecisionOptionSet() {
// =========================================================
// Une classe de Entity : 'DecisionOptionSet'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(DECISION_OPTION_SET);
  //SetParentClassId(BD_ENTITY); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new OptFertilizationSeason();      AddConstantDescriptor(pD);
  pD = new OptSpringFertMinBegDate();     AddConstantDescriptor(pD);
  pD = new OptSpringFertMaxBegDate();     AddConstantDescriptor(pD);
  pD = new OptPruningMinBegDate();        AddConstantDescriptor(pD);
  pD = new OptSprayerTypeRegular();       AddConstantDescriptor(pD);
  pD = new OptSprayerTypeAtBeginning();   AddConstantDescriptor(pD);
  pD = new OptSprayNumberAtBeginning();   AddConstantDescriptor(pD);
  pD = new OptSprayPathAtBeginning();     AddConstantDescriptor(pD);
  pD = new OptSprayPathRegular();         AddConstantDescriptor(pD);
  pD = new OptSprayPathSinceFlowering();  AddConstantDescriptor(pD);
  pD = new OptFertilizationOP();          AddConstantDescriptor(pD);
  pD = new OptPruningOP();                AddConstantDescriptor(pD);
  pD = new OptRegularPhytoTreatmentsOP(); AddConstantDescriptor(pD);
  pD = new GuidingEarlyVarietyAttribute();AddConstantDescriptor(pD);
  pD = new GuidingLateVarietyAttribute(); AddConstantDescriptor(pD);
  pD = new OptDownyMildewManagement();    AddConstantDescriptor(pD);
  pD = new OptPowderyMildewManagement();  AddConstantDescriptor(pD);
  pD = new OptPhytoTreatmentCadence();    AddConstantDescriptor(pD);
  pD = new OptPhytoTreatmentRainAnticipation();AddConstantDescriptor(pD);
  pD = new OptExtraPhytoTreatmentsOP();   AddConstantDescriptor(pD);
  pD = new OptPowderyMildewClosing();     AddConstantDescriptor(pD);
  pD = new OptPastDownyMildewPressureThreshold();AddConstantDescriptor(pD);
  pD = new OptActualDownyMildewRiskThreshold();AddConstantDescriptor(pD);
  pD = new OptDownyMildewAtLeastClosing();AddConstantDescriptor(pD);
  pD = new OptDownyMildewUnderPressureClosing();AddConstantDescriptor(pD);
  pD = new OptAutumnTillageCP();          AddConstantDescriptor(pD);
  pD = new OptSpringTillagesOP();         AddConstantDescriptor(pD);
  pD = new OptFirstSpringTillageOP();     AddConstantDescriptor(pD);
  pD = new OptSpringTillagesOPScope();    AddConstantDescriptor(pD);
  pD = new OptSpringTillagesIterationCP();AddConstantDescriptor(pD);
  pD = new OptAutumnTillageOP();          AddConstantDescriptor(pD);
  pD = new OptShootThinningsOP();         AddConstantDescriptor(pD);
  pD = new OptInitSpringTillageOP();      AddConstantDescriptor(pD);
  pD = new OptChemicalWeedingOP();        AddConstantDescriptor(pD);
  pD = new OptPlantationOP();             AddConstantDescriptor(pD);
  pD = new OptDebranchingModality();      AddConstantDescriptor(pD);
  pD = new OptPrePruningModality();       AddConstantDescriptor(pD);
  pD = new OptSpringChemicalWeedingOP();  AddConstantDescriptor(pD);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};
