ManagerAnnualEmploymentPlan::ManagerAnnualEmploymentPlan() {
// =========================================================
// Une classe de Entity : 'ManagerAnnualEmploymentPlan'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(MANAGER_ANNUAL_EMPLOYMENT_PLAN);
  //SetParentClassId(ANNUAL_EMPLOYMENT_PLAN); // pour memoire (*)
  AddInstanceToClass();
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***

  Entity* pPlan;
  Entity* pRATT;
  //--------------------------------------------------
  pPlan = new SeptemberOctoberNormalHoursEmploymentPlan();
  pPlan->SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "week"));
  pRATT = new PermanentFarmWorkerSixDayTimetable();
  pPlan->SetEntityConstValue(TIMETABLE_ATTRIBUTE, pRATT);
  pRATT->SetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE, pPlan);
  AddElement(pPlan);
  //--------------------------------------------------
  pPlan = new NovemberJanuaryNormalHoursEmploymentPlan();
  pPlan->SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "week")); 
  pRATT = new PermanentFarmWorkerSixDayTimetable();
  pPlan->SetEntityConstValue(TIMETABLE_ATTRIBUTE, pRATT);
  pRATT->SetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE, pPlan);
  AddElement(pPlan);
  //--------------------------------------------------
  pPlan = new FebruaryMarchNormalHoursEmploymentPlan();
  pPlan->SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "week")); 
  pRATT = new PermanentFarmWorkerSixDayTimetable();
  pPlan->SetEntityConstValue(TIMETABLE_ATTRIBUTE, pRATT);
  pRATT->SetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE, pPlan);
  AddElement(pPlan);
  //--------------------------------------------------
  pPlan = new AprilNormalHoursEmploymentPlan();
  pPlan->SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "week")); 
  pRATT = new PermanentFarmWorkerSixDayTimetable();
  pPlan->SetEntityConstValue(TIMETABLE_ATTRIBUTE, pRATT);
  pRATT->SetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE, pPlan);
  AddElement(pPlan);
  //--------------------------------------------------
  //pPlan = new MayAugustNormalHoursEmploymentPlan();
  pPlan = new MayAugustExtendedHoursEmploymentPlan(); // JPR 121220
  pPlan->SetIntConstValue(WORKING_TIME_WEEKLY_UPPER_BOUND, GetIntParameterValue("managerWorkingTime", "week")); 
  pRATT = new PermanentFarmWorkerSixDayTimetable();
  pPlan->SetEntityConstValue(TIMETABLE_ATTRIBUTE, pRATT);
  pRATT->SetEntityConstValue(SEASONAL_EMPLOYMENT_PLAN_ATTRIBUTE, pPlan);
  AddElement(pPlan);
  //--------------------------------------------------
};
