float getActualThermalTimeFromEmergence_Body(EntityMethod* pM)
//---------------------------
// Renvoie la somme de degres.jour reelle depuie la levee
//--------------------------
{
  Entity* pGrassAge = pM->DescribedEntity();
  //
  // recherche de la somme de temperatures de la veille
  //
  float oldSumTemp = pGrassAge->GetFloatVarValue(THERMAL_TIME_FROM_EMERGENCE);
//printf("\n somme de la veille = %4.2f",oldSumTemp);
  float newSumTemp = (float)0.;
  //
  // recherche du composant Grass
  //
  Entity* pGrass  = pGrassAge->GetEntityConstValue(PLANT_ATTRIBUTE);
  //Entity* pGrassType = pGrass->GetEntityConstValue(GRASS_TYPE_ATTRIBUTE);

  Entity* pRow = pGrass->GetSuperEntity();
  Entity* pVegetalCompartment= pRow->GetSuperSet();
  Entity* pPlot = pVegetalCompartment->GetSuperEntity();

  Entity* pWeather = pPlot->GetEntityConstValue(WEATHER_STATION_ATTRIBUTE);
  //
  // calcul de la temperature efficace du jour
  //
  float actualTemp = pWeather->GetFloatVarValue(TEMPERATURE);
  
   FloatEntityMethod* pM2 = 
 	(FloatEntityMethod*)(pGrass->GetMethod(RETURN_EFFECTIVE_TEMPERATURE));
   pM2->SetArgValue(TEMPERATURE_ARGUMENT, actualTemp);
   float effectiveTemp = pM2->Body(pM2);

  //
  // calcul de la somme de temperature du jour courant
  //
    newSumTemp = oldSumTemp + effectiveTemp;

  /*
  // recherche de la duree de vie min des feuilles
  // si somme de temp > duree de vie; remis a 0 pr calcul de senescence
  //
  Entity* pGrassType = pGrass->GetEntityConstValue(GRASS_TYPE_ATTRIBUTE);
  int leafLifeSpan = pGrassType->GetIntConstValue(LEAF_LIFE_SPAN_MIN);
  float laiRes = pGrassType->GetFloatVarValue(LEAF_AREA_INDEX_RESIDUAL);
  float leafAreaIndex = pGrass->GetFloatValue(LEAF_AREA_INDEX);
  if((oldSumTemp > (float)leafLifeSpan)
     ||
     (leafAreaIndex == laiRes))
    //newSumTemp = effectiveActualTemp;

    newSumTemp = effectiveTemp;
    //newSumTemp = actualTemp;
	*/

//printf("\n somme  = %3.2f",actualTemp);
//printf("\n somme  = %3.2f",effectiveTemp);
//printf("\n somme  = %3.2f",effectiveActualTemp);
//printf("\n somme  = %3.2f",newSumTemp);
  pGrassAge->SetFloatVarValue(THERMAL_TIME_FROM_EMERGENCE, newSumTemp);

  return newSumTemp;

};
