// ==============================================
// Fichier : UserEntityMethod.h
// Type    : source C++
// 
// Description : déclaration des classes des 'EntityMethod'.
// ==============================================
  
#ifndef _User_ENTITYMETHOD_HH
#define _User_ENTITYMETHOD_HH
  
#include "UserTypes.h"
  
// ==============================================

class AddNewSituatedAutumnTillages : public EntityPredicate {
  public :
    AddNewSituatedAutumnTillages();
};

// ==============================================

class AddNewSituatedChemicalWeedings : public EntityPredicate {
  public :
    AddNewSituatedChemicalWeedings();
};

// ==============================================

class AddNewSituatedClippings : public EntityPredicate {
  public :
    AddNewSituatedClippings();
};

// ==============================================

class AddNewSituatedDebranchings : public EntityPredicate {
  public :
    AddNewSituatedDebranchings();
};

// ==============================================

class AddNewSituatedFertilizations : public EntityPredicate {
  public :
    AddNewSituatedFertilizations();
};

// ==============================================

class AddNewSituatedInitSpringTillages : public EntityPredicate {
  public :
    AddNewSituatedInitSpringTillages();
};

// ==============================================

class AddNewSituatedPhytoTreatments : public EntityPredicate {
  public :
    AddNewSituatedPhytoTreatments();
};

// ==============================================

class AddNewSituatedPlantations : public EntityPredicate {
  public :
    AddNewSituatedPlantations();
};

// ==============================================

class AddNewSituatedPrunings : public EntityPredicate {
  public :
    AddNewSituatedPrunings();
};

// ==============================================

class AddNewSituatedShootThinnings : public EntityPredicate {
  public :
    AddNewSituatedShootThinnings();
};

// ==============================================

class AddNewSituatedSpringChemicalWeedings : public EntityPredicate {
  public :
    AddNewSituatedSpringChemicalWeedings();
};

// ==============================================

class AddNewSituatedSpringTillages : public EntityPredicate {
  public :
    AddNewSituatedSpringTillages();
};

// ==============================================

class AddNewSituatedTrellisings : public EntityPredicate {
  public :
    AddNewSituatedTrellisings();
};

// ==============================================

class AddNewSituatedWinterTillages : public EntityPredicate {
  public :
    AddNewSituatedWinterTillages();
};

// ==============================================

class AntiDownyMildewAtLeastClosingPredicate : public EntityPredicate {
  public :
    AntiDownyMildewAtLeastClosingPredicate();
};

// ==============================================

class AntiDownyMildewUnderPressureClosingPredicate : public EntityPredicate {
  public :
    AntiDownyMildewUnderPressureClosingPredicate();
};

// ==============================================

class AntiPowderyMildewClosingPredicate : public EntityPredicate {
  public :
    AntiPowderyMildewClosingPredicate();
};

// ==============================================

class AssignRelativeAreaToRows : public VoidEntityMethod {
  public :
    AssignRelativeAreaToRows();
};

// ==============================================

class AttachFarmWorkerToTimetables : public VoidEntityMethod {
  public :
    AttachFarmWorkerToTimetables();
};

// ==============================================

class DumpOperationRecords : public VoidEntityMethod {
  public :
    DumpOperationRecords();
};

// ==============================================

class GetActualThermalTimeFromEmergence : public FloatEntityMethod {
  public :
    GetActualThermalTimeFromEmergence();
};

// ==============================================

class GetDayWhenStageAchieved : public IntEntityMethod {
  public :
    GetDayWhenStageAchieved();
};

// ==============================================

class GetFirstWaveList : public EntityTabEntityMethod {
  public :
    GetFirstWaveList();
};

// ==============================================

class GetRankedWaveList : public EntityTabEntityMethod {
  public :
    GetRankedWaveList();
};

// ==============================================

class IsClockValueInCalendar : public EntityPredicate {
  public :
    IsClockValueInCalendar();
};

// ==============================================

class IsClockValueInPeriod : public EntityPredicate {
  public :
    IsClockValueInPeriod();
};

// ==============================================

class IsMotorizationPossible : public EntityPredicate {
  public :
    IsMotorizationPossible();
};

// ==============================================

class OperationNominalDuration : public FloatEntityMethod {
  public :
    OperationNominalDuration();
};

// ==============================================

class ReturnEffectiveTemperature : public FloatEntityMethod {
  public :
    ReturnEffectiveTemperature();
};

// ==============================================

class ReturnPassedRowsFrequency : public FloatEntityMethod {
  public :
    ReturnPassedRowsFrequency();
};

// ==============================================

class ReturnPhytoTreatmentOperationSubclass : public IntEntityMethod {
  public :
    ReturnPhytoTreatmentOperationSubclass();
};

// ==============================================

class ReturnShootThinningOperationSubclass : public IntEntityMethod {
  public :
    ReturnShootThinningOperationSubclass();
};

// ==============================================

class ReturnSoilManagementGroupOnProfile : public EntityEntityMethod {
  public :
    ReturnSoilManagementGroupOnProfile();
};

// ==============================================

class ReturnTillageOperationSubclass : public IntEntityMethod {
  public :
    ReturnTillageOperationSubclass();
};

// ==============================================

class SelectNewPlotsToAutumnTill : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToAutumnTill();
};

// ==============================================

class SelectNewPlotsToClip : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToClip();
};

// ==============================================

class SelectNewPlotsToDebranch : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToDebranch();
};

// ==============================================

class SelectNewPlotsToFertilize : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToFertilize();
};

// ==============================================

class SelectNewPlotsToInitSpringTill : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToInitSpringTill();
};

// ==============================================

class SelectNewPlotsToPhytoProtect : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToPhytoProtect();
};

// ==============================================

class SelectNewPlotsToPlant : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToPlant();
};

// ==============================================

class SelectNewPlotsToPrune : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToPrune();
};

// ==============================================

class SelectNewPlotsToShootThin : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToShootThin();
};

// ==============================================

class SelectNewPlotsToSpringTill : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToSpringTill();
};

// ==============================================

class SelectNewPlotsToSpringWeed : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToSpringWeed();
};

// ==============================================

class SelectNewPlotsToTrellis : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToTrellis();
};

// ==============================================

class SelectNewPlotsToWeed : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToWeed();
};

// ==============================================

class SelectNewPlotsToWinterTill : public EntityTabEntityMethod {
  public :
    SelectNewPlotsToWinterTill();
};

// ==============================================

class SetDayWhenStageAchieved : public VoidEntityMethod {
  public :
    SetDayWhenStageAchieved();
};

// ==============================================

class SetFlagMildew : public IntEntityMethod {
  public :
    SetFlagMildew();
};

// ==============================================

class SetRowSoilManagement : public VoidEntityMethod {
  public :
    SetRowSoilManagement();
};

// ==============================================

class SetScheduledAntiMildew : public VoidEntityMethod {
  public :
    SetScheduledAntiMildew();
};

// ==============================================

class SumUpGrassCoverVector : public FloatEntityMethod {
  public :
    SumUpGrassCoverVector();
};

// ==============================================

class SumUpSoilHumidityVector : public FloatEntityMethod {
  public :
    SumUpSoilHumidityVector();
};

// ==============================================

class TimetableClosingPredicate : public EntityPredicate {
  public :
    TimetableClosingPredicate();
};

// ==============================================

class TimetableOpeningPredicate : public EntityPredicate {
  public :
    TimetableOpeningPredicate();
};

// ==============================================

class UpdateOffPeriodCurrentIndex : public IntEntityMethod {
  public :
    UpdateOffPeriodCurrentIndex();
};

// ==============================================

class UpdateSeasonCurrentIndex : public IntEntityMethod {
  public :
    UpdateSeasonCurrentIndex();
};

bool addNewSituatedAutumnTillages_Body(EntityMethod* pM);
bool addNewSituatedChemicalWeedings_Body(EntityMethod* pM);
bool addNewSituatedClippings_Body(EntityMethod* pM);
bool addNewSituatedDebranchings_Body(EntityMethod* pM);
bool addNewSituatedFertilizations_Body(EntityMethod* pM);
bool addNewSituatedInitSpringTillages_Body(EntityMethod* pM);
bool addNewSituatedPhytoTreatments_Body(EntityMethod* pM);
bool addNewSituatedPlantations_Body(EntityMethod* pM);
bool addNewSituatedPrunings_Body(EntityMethod* pM);
bool addNewSituatedShootThinnings_Body(EntityMethod* pM);
bool addNewSituatedSpringChemicalWeedings_Body(EntityMethod* pM);
bool addNewSituatedSpringTillages_Body(EntityMethod* pM);
bool addNewSituatedTrellisings_Body(EntityMethod* pM);
bool addNewSituatedWinterTillages_Body(EntityMethod* pM);
bool antiDownyMildewAtLeastClosingPredicate_Body(EntityMethod* pM);
bool antiDownyMildewUnderPressureClosingPredicate_Body(EntityMethod* pM);
bool antiPowderyMildewClosingPredicate_Body(EntityMethod* pM);
void assignRelativeAreaToRows_Body(EntityMethod* pM);
void attachFarmWorkerToTimetables_Body(EntityMethod* pM);
void dumpOperationRecords_Body(EntityMethod* pM);
float getActualThermalTimeFromEmergence_Body(EntityMethod* pM);
int getDayWhenStageAchieved_Body(EntityMethod* pM);
pEntityTab* getFirstWaveList_Body(EntityMethod* pM);
pEntityTab* getRankedWaveList_Body(EntityMethod* pM);
bool isClockValueInCalendar_Body(EntityMethod* pM);
bool isClockValueInPeriod_Body(EntityMethod* pM);
bool isMotorizationPossible_Body(EntityMethod* pM);
float operationNominalDuration_Body(EntityMethod* pM);
float returnEffectiveTemperature_Body(EntityMethod* pM);
float returnPassedRowsFrequency_Body(EntityMethod* pM);
int returnPhytoTreatmentOperationSubclass_Body(EntityMethod* pM);
int returnShootThinningOperationSubclass_Body(EntityMethod* pM);
BasicEntity* returnSoilManagementGroupOnProfile_Body(EntityMethod* pM);
int returnTillageOperationSubclass_Body(EntityMethod* pM);
pEntityTab* selectNewPlotsToAutumnTill_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToClip_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToDebranch_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToFertilize_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToInitSpringTill_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToPhytoProtect_Body(EntityMethod* pM);
pEntityTab* selectNewPlotsToPlant_Body(EntityMethod* pM);
pEntityTab* selectNewPlotsToPrune_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToShootThin_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToSpringTill_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToSpringWeed_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToTrellis_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToWeed_Body(EntityMethod* pM) ;
pEntityTab* selectNewPlotsToWinterTill_Body(EntityMethod* pM) ;
void setDayWhenStageAchieved_Body(EntityMethod* pM);
int setFlagMildew_Body(EntityMethod* pM);
void  setRowSoilManagement_Body(EntityMethod* pM);
void setScheduledAntiMildew_Body(EntityMethod* pM);
float sumUpGrassCoverVector_Body(EntityMethod* pM);
float sumUpSoilHumidityVector_Body(EntityMethod* pM);
bool timetableClosingPredicate_Body(EntityMethod* pM);
bool timetableOpeningPredicate_Body(EntityMethod* pM);
int updateOffPeriodCurrentIndex_Body(EntityMethod* pM);
int updateSeasonCurrentIndex_Body(EntityMethod* pM);

#endif  // _User_ENTITYMETHOD_HH
