// ==============================================
// Fichier : UserEntitySpec.h
// Type    : source C++
// 
// Description : déclaration des classes des 'EntitySpec'.
// ==============================================
  
// ------------------------------
// Includes
// ------------------------------
#include "UserTypes.h"
  
  
#ifndef _User_ENTITYSPEC_HH
#define _User_ENTITYSPEC_HH
  
  
// ==============================================

class AirAssistedSprayingResourceEntitySpec : public EntitySpec {
  public :
    AirAssistedSprayingResourceEntitySpec();
};


// ==============================================

class ChemicalDebrancherSprayingResourceEntitySpec : public EntitySpec {
  public :
    ChemicalDebrancherSprayingResourceEntitySpec();
};


// ==============================================

class ChemicalWeedingExecutorEntitySpec : public EntitySpec {
  public :
    ChemicalWeedingExecutorEntitySpec();
};


// ==============================================

class ClippingResourceEntitySpec : public EntitySpec {
  public :
    ClippingResourceEntitySpec();
};


// ==============================================

class FertilizationResourceEntitySpec : public EntitySpec {
  public :
    FertilizationResourceEntitySpec();
};


// ==============================================

class GreenWorkExecutorEntitySpec : public EntitySpec {
  public :
    GreenWorkExecutorEntitySpec();
};


// ==============================================

class GrinderShootThinningResourceEntitySpec : public EntitySpec {
  public :
    GrinderShootThinningResourceEntitySpec();
};


// ==============================================

class HandHeldGunSprayingResourceEntitySpec : public EntitySpec {
  public :
    HandHeldGunSprayingResourceEntitySpec();
};


// ==============================================

class HorizontalRailSprayingResourceEntitySpec : public EntitySpec {
  public :
    HorizontalRailSprayingResourceEntitySpec();
};


// ==============================================

class ManualWorkerEntitySpec : public EntitySpec {
  public :
    ManualWorkerEntitySpec();
};


// ==============================================

class PruningExecutorEntitySpec : public EntitySpec {
  public :
    PruningExecutorEntitySpec();
};


// ==============================================

class RotaryTillageResourceEntitySpec : public EntitySpec {
  public :
    RotaryTillageResourceEntitySpec();
};


// ==============================================

class SpringTineTillageResourceEntitySpec : public EntitySpec {
  public :
    SpringTineTillageResourceEntitySpec();
};


// ==============================================

class TillageTractorDriverEntitySpec : public EntitySpec {
  public :
    TillageTractorDriverEntitySpec();
};


// ==============================================

class TractorDriverEntitySpec : public EntitySpec {
  public :
    TractorDriverEntitySpec();
};


// ==============================================

class VerticalRailSprayingResourceEntitySpec : public EntitySpec {
  public :
    VerticalRailSprayingResourceEntitySpec();
};


// ==============================================
// Methodes predefinies
// ==============================================

pEntityTab* airAssistedSprayingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* chemicalDebrancherSprayingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* chemicalWeedingExecutorEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* clippingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* fertilizationResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* greenWorkExecutorEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* grinderShootThinningResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* handHeldGunSprayingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* horizontalRailSprayingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* manualWorkerEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* pruningExecutorEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* rotaryTillageResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* springTineTillageResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* tillageTractorDriverEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* tractorDriverEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
pEntityTab* verticalRailSprayingResourceEntitySpec_entityListInstantiator_Body(EntitySpecMethod* pM);
  
#endif  // _User_ENTITYSPEC_HH
