// ==============================================
// Fichier : UserEvent.h
// Type    : source C++
// 
// Description : declaration des classes des 'Event'.
// ==============================================
  
#ifndef _User_EVENT_HH
#define _User_EVENT_HH
  
#include "UserTypes.h"
  

// ==============================================

class MemoryItemGarbagingEvent : public Event
{
  public :
    MemoryItemGarbagingEvent();
};



// ==============================================

class MildewWarningEvent : public Event
{
  public :
    MildewWarningEvent();
};



// ==============================================

class MorningMhydasInteractionEvent : public Event
{
  public :
    MorningMhydasInteractionEvent();
};



// ==============================================

class MorningUpdateSituationEvent : public UpdateSituationEvent
{
  public :
    MorningUpdateSituationEvent();
};



// ==============================================

class UpdateSeasonCurrentIndexEvent : public Event
{
  public :
    UpdateSeasonCurrentIndexEvent();
};


#endif  // User_EVENT_HH
