// ==============================================
// Fichier : UserSpecification.h
// Type    : source C++
// 
// Description : déclaration des classes des 'Specification'.
// ==============================================
  
#ifndef _User_SPECIFICATION_HH
#define _User_SPECIFICATION_HH
  
#include "UserTypes.h"
  
// ==============================================

class AirAssistedSprayingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    AirAssistedSprayingOperationResourceSpec();
};

// ==============================================

class ChemicalDebrancherSprayingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    ChemicalDebrancherSprayingOperationResourceSpec();
};

// ==============================================

class ClippingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    ClippingOperationResourceSpec();
};

// ==============================================

class FertilizationOperationResourceSpec : public OperationResourceSpecification
{
  public :
    FertilizationOperationResourceSpec();
};

// ==============================================

class GrinderShootThinningOperationResourceSpec : public OperationResourceSpecification
{
  public :
    GrinderShootThinningOperationResourceSpec();
};

// ==============================================

class HandHeldGunSprayingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    HandHeldGunSprayingOperationResourceSpec();
};

// ==============================================

class HorizontalRailSprayingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    HorizontalRailSprayingOperationResourceSpec();
};

// ==============================================

class RotaryTillageOperationResourceSpec : public OperationResourceSpecification
{
  public :
    RotaryTillageOperationResourceSpec();
};

// ==============================================

class SpringTineTillageOperationResourceSpec : public OperationResourceSpecification
{
  public :
    SpringTineTillageOperationResourceSpec();
};

// ==============================================

class VerticalRailSprayingOperationResourceSpec : public OperationResourceSpecification
{
  public :
    VerticalRailSprayingOperationResourceSpec();
};

#endif  // _User_SPECIFICATION_HH
