// ==============================================
// Fichier : UserSystem.h
// Type    : source C++
// 
// Description : déclaration des classes des 'System'.
// ==============================================
  
#ifndef _User_SYSTEM_HH
#define _User_SYSTEM_HH
  
#include "UserTypes.h"
  
// ==============================================

class VineGrowingTerritory : public ControlledSystem
{
  public :
    VineGrowingTerritory();
};

// ==============================================

class VineProducingRegion : public ProductionSystem
{
  public :
    VineProducingRegion();
};

// ==============================================

class VirtualRegionManager : public Manager
{
  public :
    VirtualRegionManager();
};

// ==============================================

class VirtualRegionOperatingSystem : public OperatingSystem
{
  public :
    VirtualRegionOperatingSystem();
};

#endif  // _User_SYSTEM_HH
