// ==============================================
// Fichier : UserVariableDescriptor.h
// Type    : source C++
// 
// Description : déclaration des classes des 'VariableDescriptor'.
// ==============================================
  
#ifndef _User_VARIABLEDESCRIPTOR_HH
#define _User_VARIABLEDESCRIPTOR_HH
  
// ------------------------------
// Includes
// ------------------------------
  
#include "UserTypes.h"
  

// ==============================================

class CumulativeRainfallFromEarlyWinter : public FloatVariableDescriptor {
  public :
    CumulativeRainfallFromEarlyWinter();
};


// ==============================================

class CumulativeRainfallFromEarlyWinterForInitst : public FloatVariableDescriptor {
  public :
    CumulativeRainfallFromEarlyWinterForInitst();
};


// ==============================================

class CumulativeRainfallFromLastTillage : public FloatVariableDescriptor {
  public :
    CumulativeRainfallFromLastTillage();
};


// ==============================================

class CumulativeRainfallFromMhydasInteraction : public FloatVariableDescriptor {
  public :
    CumulativeRainfallFromMhydasInteraction();
};


// ==============================================

class CumulativeRainfallFromWorkBeginning : public FloatVariableDescriptor {
  public :
    CumulativeRainfallFromWorkBeginning();
};


// ==============================================

class CurrentStageIndex : public IntVariableDescriptor {
  public :
    CurrentStageIndex();
};


// ==============================================

class DayWhenAchieved : public IntVariableDescriptor {
  public :
    DayWhenAchieved();
};


// ==============================================

class DaysNumber : public IntVariableDescriptor {
  public :
    DaysNumber();
};


// ==============================================

class DistributedActivitySetMemory : public EntityTabVariableDescriptor {
  public :
    DistributedActivitySetMemory();
};


// ==============================================

class LaiForSenescence : public FloatVariableDescriptor {
  public :
    LaiForSenescence();
};


// ==============================================

class LeafAreaIndexResidual : public FloatVariableDescriptor {
  public :
    LeafAreaIndexResidual();
};


// ==============================================

class NominalFloatQuantitySpeed : public FloatVariableDescriptor {
  public :
    NominalFloatQuantitySpeed();
};


// ==============================================

class NominalIntQuantitySpeed : public IntVariableDescriptor {
  public :
    NominalIntQuantitySpeed();
};


// ==============================================

class OperatedVineyardSubArea : public FloatVariableDescriptor {
  public :
    OperatedVineyardSubArea();
};


// ==============================================

class PercentAntiMildewTreated : public FloatVariableDescriptor {
  public :
    PercentAntiMildewTreated();
};


// ==============================================

class PercentAutumnTilled : public FloatVariableDescriptor {
  public :
    PercentAutumnTilled();
};


// ==============================================

class PercentClipped : public FloatVariableDescriptor {
  public :
    PercentClipped();
};


// ==============================================

class PercentDebranched : public FloatVariableDescriptor {
  public :
    PercentDebranched();
};


// ==============================================

class PercentExtraPhytoTreated : public FloatVariableDescriptor {
  public :
    PercentExtraPhytoTreated();
};


// ==============================================

class PercentFertilized : public FloatVariableDescriptor {
  public :
    PercentFertilized();
};


// ==============================================

class PercentInitSpringTilled : public FloatVariableDescriptor {
  public :
    PercentInitSpringTilled();
};


// ==============================================

class PercentPlanted : public FloatVariableDescriptor {
  public :
    PercentPlanted();
};


// ==============================================

class PercentPruned : public FloatVariableDescriptor {
  public :
    PercentPruned();
};


// ==============================================

class PercentRegularPhytoTreated : public FloatVariableDescriptor {
  public :
    PercentRegularPhytoTreated();
};


// ==============================================

class PercentShootThinned : public FloatVariableDescriptor {
  public :
    PercentShootThinned();
};


// ==============================================

class PercentSpringTilled : public FloatVariableDescriptor {
  public :
    PercentSpringTilled();
};


// ==============================================

class PercentSpringWeeded : public FloatVariableDescriptor {
  public :
    PercentSpringWeeded();
};


// ==============================================

class PercentTrellised : public FloatVariableDescriptor {
  public :
    PercentTrellised();
};


// ==============================================

class PercentWeeded : public FloatVariableDescriptor {
  public :
    PercentWeeded();
};


// ==============================================

class PercentWinterTilled : public FloatVariableDescriptor {
  public :
    PercentWinterTilled();
};


// ==============================================

class Rainfall : public FloatVariableDescriptor {
  public :
    Rainfall();
};


// ==============================================

class ReplicationInDryPeriodCounter : public IntVariableDescriptor {
  public :
    ReplicationInDryPeriodCounter();
};


// ==============================================

class Temperature : public FloatVariableDescriptor {
  public :
    Temperature();
};


// ==============================================

class ThermalTimeFromBbk : public FloatVariableDescriptor {
  public :
    ThermalTimeFromBbk();
};


// ==============================================

class ThermalTimeFromEmergence : public FloatVariableDescriptor {
  public :
    ThermalTimeFromEmergence();
};


// ==============================================

class ThermalTimeFromSowing : public FloatVariableDescriptor {
  public :
    ThermalTimeFromSowing();
};


// ==============================================

class ThermalTimeWhenAchieved : public FloatVariableDescriptor {
  public :
    ThermalTimeWhenAchieved();
};


// ==============================================

class WorkingTimeDailyLeft : public IntVariableDescriptor {
  public :
    WorkingTimeDailyLeft();
};


// ==============================================

class WorkingTimeWeeklyLeft : public IntVariableDescriptor {
  public :
    WorkingTimeWeeklyLeft();
};


// ==============================================

class WorkingTimeYearlyLeft : public IntVariableDescriptor {
  public :
    WorkingTimeYearlyLeft();
};


// ==============================================

class YearWhenAchieved : public IntVariableDescriptor {
  public :
    YearWhenAchieved();
};

#endif  // _User_VARIABLEDESCRIPTOR_HH
