// ==============================================
// Fichier : UserStrategy.cc
// Type    : source C++
// 
// Description : constructeurs des classes des 'Strategy'.
// ==============================================
  
#include "UserStrategy.h"
  
VineyardActivitiesResourcesBlock::VineyardActivitiesResourcesBlock() {
// =========================================================
// Une classe de Entity : 'VineyardActivitiesResourcesBlock'
// Ne pas modifier les lignes au-dessus du code spécifique.
// (*) la parente est declaree dans App_InstallMetaClasses()
// =========================================================
  SetMetaClass(VINEYARD_ACTIVITIES_RESOURCES_BLOCK);
  //SetParentClassId(ACTIVITIES_RESOURCES_BLOCK); // pour memoire (*)
  AddInstanceToClass();
  Descriptor* pD;
  pD = new WorkOrganizationOptionSetAttribute();AddConstantDescriptor(pD);
  pD = new DecisionOptionSetAttribute();  AddConstantDescriptor(pD);
  pD = new AllocationPriorityOptionSetAttribute();AddConstantDescriptor(pD);
  pD = new OperationPriorityOptionSetAttribute();AddConstantDescriptor(pD);
  pD = new SoilManagementGroupSetName();  AddConstantDescriptor(pD);
  pD = new DistributedActivitySetMemory();AddVariableDescriptor(pD);
// *** DEBUT DU CODE SPECIFIQUE. NE RIEN MODIFIER CI-DESSUS ***
};

