// ==============================================
// FILE : UserTypes.cc
// TYPE: C++ TYPEDEF
// DESCRIPTION: definition des types "utilisateur"
// 
// ==============================================

// PROJECT INCLUDES
//
#include "UserTypes.h"

// EXTERNAL REFERENCES

bool gEveningFlag = FALSE;
File* gFileBDD = NULL;
File* gFileEndingTrace = NULL;
bool gMyEndingTraceAllOperations = FALSE;
char* gMyEndingTraceFileName = "";
bool gMyEndingTraceSomeOperations = FALSE;
char* gMyEndingTraceStringTab = "";
char* gMyGanttFileName = "";
bool gMyGanttFileSpec = FALSE;
char* gMyGanttFileSuffix = "";
char* gMyRecordFileName = "";
bool gMyRecordOperations = FALSE;
bool gMyTraceOperations = FALSE;
bool gMyTraceWarnings = FALSE;
int gIntParam_virtualManager_memoryScope_ = 0;
int gIntParam_virtualManager_predictionScope_ = 0;
char* gStringParam_install_vineyardFile_ = "";
char* gStringParam_install_resourceFile_ = "";
char* gStringParam_install_planFile_ = "";
float gRealParam_virtualManager_riskLevelForDownyMildewClosing_ = 0.;
float gRealParam_virtualManager_rainfallThresholdForPhytoTreatment_ = 0.;
float gRealParam_virtualManager_satisfactionThresholdForPhytoTreatment_ = 0.;
float gRealParam_normalPlan_septemberOctoberMorningBegHour_ = 0.;
float gRealParam_normalPlan_septemberOctoberMorningEndHour_ = 0.;
float gRealParam_normalPlan_septemberOctoberMorningExtendedEndHour_ = 0.;
float gRealParam_normalPlan_septemberOctoberAfternoonBegHour_ = 0.;
float gRealParam_normalPlan_septemberOctoberAfternoonEndHour_ = 0.;
float gRealParam_normalPlan_septemberOctoberAfternoonExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberMorningBegHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberMorningEndHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberMorningExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberAfternoonBegHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberAfternoonEndHour_ = 0.;
float gRealParam_reducedPlan_septemberOctoberAfternoonExtendedEndHour_ = 0.;
float gRealParam_normalPlan_aprilMorningBegHour_ = 0.;
float gRealParam_normalPlan_aprilMorningEndHour_ = 0.;
float gRealParam_normalPlan_aprilMorningExtendedEndHour_ = 0.;
float gRealParam_normalPlan_aprilAfternoonBegHour_ = 0.;
float gRealParam_normalPlan_aprilAfternoonEndHour_ = 0.;
float gRealParam_normalPlan_aprilAfternoonExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_aprilMorningBegHour_ = 0.;
float gRealParam_reducedPlan_aprilMorningEndHour_ = 0.;
float gRealParam_reducedPlan_aprilMorningExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_aprilAfternoonBegHour_ = 0.;
float gRealParam_reducedPlan_aprilAfternoonEndHour_ = 0.;
float gRealParam_reducedPlan_aprilAfternoonExtendedEndHour_ = 0.;
float gRealParam_normalPlan_februaryMarchMorningBegHour_ = 0.;
float gRealParam_normalPlan_februaryMarchMorningEndHour_ = 0.;
float gRealParam_normalPlan_februaryMarchMorningExtendedEndHour_ = 0.;
float gRealParam_normalPlan_februaryMarchAfternoonBegHour_ = 0.;
float gRealParam_normalPlan_februaryMarchAfternoonEndHour_ = 0.;
float gRealParam_normalPlan_februaryMarchAfternoonExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchMorningBegHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchMorningEndHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchMorningExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchAfternoonBegHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchAfternoonEndHour_ = 0.;
float gRealParam_reducedPlan_februaryMarchAfternoonExtendedEndHour_ = 0.;
float gRealParam_extendedPlan_mayAugustMorningBegHour_ = 0.;
float gRealParam_extendedPlan_mayAugustMorningEndHour_ = 0.;
float gRealParam_extendedPlan_mayAugustMorningExtendedEndHour_ = 0.;
float gRealParam_extendedPlan_mayAugustAfternoonBegHour_ = 0.;
float gRealParam_extendedPlan_mayAugustAfternoonEndHour_ = 0.;
float gRealParam_extendedPlan_mayAugustAfternoonExtendedEndHour_ = 0.;
float gRealParam_normalPlan_mayAugustMorningBegHour_ = 0.;
float gRealParam_normalPlan_mayAugustMorningEndHour_ = 0.;
float gRealParam_normalPlan_mayAugustMorningExtendedEndHour_ = 0.;
float gRealParam_normalPlan_mayAugustAfternoonBegHour_ = 0.;
float gRealParam_normalPlan_mayAugustAfternoonEndHour_ = 0.;
float gRealParam_normalPlan_mayAugustAfternoonExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_mayAugustMorningBegHour_ = 0.;
float gRealParam_reducedPlan_mayAugustMorningEndHour_ = 0.;
float gRealParam_reducedPlan_mayAugustMorningExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_mayAugustAfternoonBegHour_ = 0.;
float gRealParam_reducedPlan_mayAugustAfternoonEndHour_ = 0.;
float gRealParam_reducedPlan_mayAugustAfternoonExtendedEndHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryMorningBegHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryMorningEndHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryMorningExtendedEndHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryAfternoonBegHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryAfternoonEndHour_ = 0.;
float gRealParam_normalPlan_novemberJanuaryAfternoonExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryMorningBegHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryMorningEndHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryMorningExtendedEndHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryAfternoonBegHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryAfternoonEndHour_ = 0.;
float gRealParam_reducedPlan_novemberJanuaryAfternoonExtendedEndHour_ = 0.;
int gIntParam_standardWorkingTime_day_ = 0;
int gIntParam_standardWorkingTime_week_ = 0;
int gIntParam_standardWorkingTime_year_ = 0;
int gIntParam_phytoTreatmentsWorkingTime_day_ = 0;
int gIntParam_managerWorkingTime_day_ = 0;
int gIntParam_managerWorkingTime_week_ = 0;
int gIntParam_phytoTreatmentsWorkingTime_week_ = 0;
int gIntParam_morningUpdateSituation_normalHour_ = 0;
int gIntParam_morningUpdateSituation_specialHour_ = 0;
int gIntParam_virtualManager_pestMemoryScope_ = 0;
int gIntParam_virtualManager_actualDownyMildewLevelThreshold_ = 0;
float gRealParam_workabilityHumidityMaxThresholdIfRain_nonPeakPeriod_ = 0.;
float gRealParam_workabilityHumidityMaxThreshold_nonPeakPeriod_ = 0.;
float gRealParam_workabilityHumidityMaxThreshold_peakPeriod_ = 0.;
float gRealParam_arretMainDOeuvre_seuilCumulPluieJour_ = 0.;
float gRealParam_vineyardActivity_standardMinPercentageToBeginOperation_ = 0.;
float gRealParam_plantationOperation_overallSpeed_ = 0.;
int gIntParam_trellisingOperation_speed_ = 0;
int gIntParam_backSprayingOperation_speed_ = 0;
int gIntParam_manualDebranchingOperation_speed_ = 0;
float gRealParam_tillageOperation_speed_ = 0.;
float gRealParam_verticalRailOperatedSpraying_speed_ = 0.;
float gRealParam_airAssistedSpraying_speed_ = 0.;
float gRealParam_chemicalDebrancherOperatedSpraying_speed_ = 0.;
float gRealParam_clippingOperation_speed_ = 0.;
float gRealParam_fertilizationOperation_speed_ = 0.;
float gRealParam_grinderOperatedShootThinning_speed_ = 0.;
float gRealParam_handHeldGunOperatedSpraying_speed_ = 0.;
float gRealParam_horizontalRailOperatedSpraying_speed_ = 0.;
float gRealParam_rotaryOperatedShootThinning_speed_ = 0.;
float gRealParam_virtualManager_weedThresholdForTillageOpening_ = 0.;
//char* gStringParam_recordOperations_file_ = "";
float gRealParam_trafficabilityRainMaxThreshold_mechanicalOperation_ = 0.;
float gRealParam_workabilityRainMaxThreshold_tillageOperation_ = 0.;
int gIntParam_afternoonUpdateSituation_normalHour_ = 0;
float gRealParam_tillageOperation_speedReductionRate_ = 0.;
int gIntParam_virtualManager_nbDaysThresholdForTillageOpening_ = 0;
int gIntParam_guyotPruning_speedNotPrePruned_ = 0;
float gRealParam_virtualManager_lowRainfallThresholdForWinterRainBasedSpringTillage_ = 0.;
float gRealParam_virtualManager_highRainfallThresholdForWinterRainBasedSpringTillage_ = 0.;
int gIntParam_virtualManager_springTillagesMaxNumberOfReplicationsInDryPeriod_ = 0;
float gRealParam_virtualManager_rainfallThresholdForWinterRainBasedInitSpringTillage_ = 0.;
int gIntParam_virtualManager_downyMildewLevelThresholdForFlagUp_ = 0;
float gRealParam_virtualManager_downyMildewRiskThresholdForFlagUp_ = 0.;

#ifdef _SWIG_
#include <EXTERN.h>
#include <perl.h>

EXTERN_C void boot_bdiese _((CV* cv));
EXTERN_C void boot_cdiese _((CV* cv));
EXTERN_C void boot_odiese _((CV* cv));
EXTERN_C void boot_C_appli _((CV* cv));
EXTERN_C void boot_O_appli _((CV* cv));

void O_App_xs_init() {
printf("\n*****entree dans xs_init appli*****");
char * file = __FILE__;
printf(" file: %s *****\n", file);
newXS("bdiese::bootstrap", boot_bdiese, file);
newXS("cdiese::bootstrap", boot_cdiese, file);
newXS("odiese::bootstrap", boot_odiese, file);
newXS("C_appli::bootstrap", boot_C_appli, file);
newXS("O_appli::bootstrap", boot_O_appli, file);
}

#endif
